GMERLIN-RECORD(1)

NAME
gmerlin-record

SYNOPSIS
gmerlin-record [options]

DESCRIPTION
Commandline recorder

OPTIONS
-aud <audio_options>
    Set audio recording options
    do_audio=[1|0] (default: 1)

    Record audio

    plugin=option[{suboptions}]

    Supported options: i_alsa i_oss i_esd i_pulse i_audiofile

    Default: i_alsa

    Plugin

    Suboptions for plugin=i_alsa

        card=<string>

        Supported strings: default hw:0,0 hw:0,1 hw:0,2 hw:0,3

        Default: default

        Card

        channel_mode=<string>

        Supported strings: mono stereo

        Default: stereo

        Channel Mode

        bits=<string>

        Supported strings: 8 16

        Default: 16

        Bits

        samplerate=<number> (8000..96000, default: 44100)

        Samplerate [Hz]

        buffer_time=<number> (10..10000, default: 1000)

        Buffer time

        Set the buffer time (in milliseconds). Larger values improve recording performance on slow systems under load.

        user_device=<string>

        User device

        Enter a custom device to use for recording. Leave empty to use the settings above

    Suboptions for plugin=i_oss

        device=<string> (Default: /dev/dsp)

        Device

        channel_mode=<string>

        Supported strings: Mono Stereo

        Default: Stereo

        Channel Mode

        bits=<string>

        Supported strings: 8 16

        Default: 16

        Bits

        samplerate=<number> (8000..96000, default: 44100)

        Samplerate [Hz]

    Suboptions for plugin=i_esd

        esd_host=<string>

        Host (empty: local)

        input_mode=<string>

        Supported strings: record monitor

        Default: record

        Input Mode

    Suboptions for plugin=i_pulse

        channel_mode=<string>

        Supported strings: mono stereo

        Default: stereo

        Channel Mode

        bits=<string>

        Supported strings: 8 16

        Default: 16

        Bits

        samplerate=<number> (8000..96000, default: 44100)

        Samplerate [Hz]

        server=<string>

        Server

        Server to connect to. Leave empty for default.

        dev=<string>

        Source

        Source to open. Use the PulseAudio manager for available Sources.

    Suboptions for plugin=i_audiofile

        channel_mode=<string>

        Supported strings: mono stereo

        Default: stereo

        Channel Mode

        samplerate=<number> (8000..96000, default: 44100)

        Samplerate [Hz]

        album=<string>

        Album

        shuffle=[1|0] (default: 0)

        Shuffle

    language=<string>

    Supported strings: aar abk ace ach ada afa afh afr aka akk ale alg amh ang apa ara arc arn arp art arw asm ath aus ava ave awa aym aze bad bai bak bal bam ban bas bat bej bel bem ben ber bho bih bik bin bis bla bnt tib bos bra bre btk bua bug bul cad cai car cat cau ceb cel cze cha chb che chg chk chm chn cho chp chr chu chv chy cmc cop cor cos cpe cpf cpp cre crp cus wel dak dan day del den ger dgr din div doi dra dua dum dyu dzo efi egy eka gre elx eng enm epo est baq ewe ewo fan fao per fat fij fin fiu fon fre frm fro fry ful fur gaa gay gba gem gez gil gla gle glg glv gmh goh gon gor got grb grc grn guj gwi hai hau haw heb her hil him hin hit hmn hmo scr hun hup arm iba ibo ijo iku ile ilo ina inc ind ine ipk ira iro ice ita jav jpn jpr kaa kab kac kal kam kan kar kas geo kau kaw kaz kha khi khm kho kik kin kir kmb kok kom kon kor kos kpe kro kru kum kur kut lad lah lam lao lat lav lez lin lit lol loz ltz lua lub lug lui lun luo lus mad mag mah mai mak mal man map mar mas mdr men mga mic min mis mac mkh mlg mlt mnc mni mno moh mol mon mos mao may mul mun mus mwr bur myn nah nai nau nav nbl nde ndo nds nep new nia nic niu dut nno nob non nor nso nub nya nym nyn nyo nzi oci oji ori orm osa oss ota oto paa pag pal pam pan pap pau peo phi pli pol pon por pra pro pus que raj rap rar roa rom rum run rus sad sag sah sai sal sam san sas sat sco sel sem sga sgn shn sid sin sio sit sla slo slv sme smi smo sna snd snk sog som son sot spa alb srd scc srr ssa ssw suk sun sus sux swa swe syr tah tai tam tat tel tem ter tet tgk tgl tha tig tir tiv tkl tli tmh tog ton tpi tsi tsn tso tuk tum tur tut tvl twi tyv uga uig ukr umb und urd uzb vai ven vie vol vot wak wal war was wen wol xho yao yap yid yor ypk zap zen zha chi znd zul zun

    Default: eng

    Language

-vid <video_options>
    Set video recording options
    do_video=[1|0] (default: 1)

    Record video

    plugin=option[{suboptions}]

    Supported options: i_v4l i_v4l2 i_x11

    Default: i_v4l

    Plugin

    Suboptions for plugin=i_v4l

        device=<string> (Default: /dev/video0)

        V4L Device

        resolution=<string>

        Supported strings: QSIF (160x112) QCIF (176x144) QVGA (320x240) SIF(352x240) CIF (352x288) VGA (640x480) User defined

        Default: QVGA (320x240)

        Resolution

        user_width=<number> (160..1024, default: 720)

        User defined width

        user_height=<number> (112..768, default: 576)

        User defined height

        brightness=<number> (0..65535, default: 40000)

        Brightness

        hue=<number> (0..65535, default: 65535)

        Hue

        colour=<number> (0..65535, default: 30000)

        Colour

        contrast=<number> (0..65535, default: 30000)

        Contrast

        whiteness=<number> (0..65535, default: 30000)

        Whiteness

    Suboptions for plugin=i_v4l2

        device=option[{suboptions}]

        Supported options: /dev/video0

        Default: /dev/video0

        V4L2 Device

        force_rw=[1|0] (default: 1)

        Force read

        Don't use memory mapping

        resolution=<string>

        Supported strings: QSIF (160x112) QCIF (176x144) QVGA (320x240) SIF(352x240) CIF (352x288) VGA (640x480) User defined

        Default: QVGA (320x240)

        Resolution

        user_width=<number> (160..1024, default: 720)

        User defined width

        user_height=<number> (112..768, default: 576)

        User defined height

    Suboptions for plugin=i_x11

        root=[1|0] (default: 0)

        Grab from root window

        draw_cursor=[1|0] (default: 1)

        Draw cursor

        win_ontop=[1|0] (default: 1)

        Keep grab window on top

        win_sticky=[1|0] (default: 1)

        Make grab window sticky

        disable_screensaver=[1|0] (default: 1)

        Disable screensaver

        Disable screensaver and energy saving mode

    do_limit_fps=[1|0] (default: 1)

    Limit fps

    Limit frames per second. By default, the maximum possible framerate will be used.

    limit_fps=<number> (1.00..100.00, default: 25.00)

    fps limit

    Specify the maximum framerate for input plugins, which can capture images really fast

-af <audio filter options>
    Set audio filter options
    audio_filters={option[{suboptions}][:option[{suboptions}]...]}

    Supported options: fa_ladspa_lp4pole_fcrcia_oa fa_ladspa_fourByFourPole fa_ladspa_adsr fa_ladspa_amPitchshift fa_ladspa_alias fa_ladspa_allpass_c fa_ladspa_allpass_l fa_ladspa_allpass_n fa_ladspa_amp_gcia_oa fa_ladspa_amp_mono fa_ladspa_amp_stereo fa_ladspa_artificialLatency fa_ladspa_divider fa_ladspa_autoPhaser fa_ladspa_sawtooth_fa_oa fa_ladspa_square_fa_oa fa_ladspa_triangle_fasc_oa fa_ladspa_triangle_fcsa_oa fa_ladspa_pulse_fapc_oa fa_ladspa_pulse_fcpa_oa fa_ladspa_satanMaximiser fa_ladspa_canyon_delay fa_ladspa_chebstortion fa_ladspa_syncsquare_fcga_oa fa_ladspa_syncpulse_fcpcga_oa fa_ladspa_comb fa_ladspa_comb_c fa_ladspa_comb_l fa_ladspa_comb_n fa_ladspa_const fa_ladspa_crossoverDist fa_ladspa_dcRemove fa_ladspa_dj_eq fa_ladspa_dj_eq_mono fa_ladspa_djFlanger fa_ladspa_decimator fa_ladspa_declip fa_ladspa_delayorama fa_ladspa_diode fa_ladspa_disintegrator fa_ladspa_dysonCompress fa_ladspa_delay_0,01s fa_ladspa_delay_0,1s fa_ladspa_delay_1s fa_ladspa_delay_5s fa_ladspa_delay_60s fa_ladspa_decay fa_ladspa_fmOsc fa_ladspa_fastLookaheadLimiter fa_ladspa_foverdrive fa_ladspa_fbdelay_0,01s fa_ladspa_fbdelay_0,1s fa_ladspa_fbdelay_1s fa_ladspa_fbdelay_5s fa_ladspa_fbdelay_60s fa_ladspa_flanger fa_ladspa_foldover fa_sampleformat fa_ladspa_fadDelay fa_ladspa_freeverb3 fa_ladspa_freqTracker fa_ladspa_fmod_famc_oa fa_ladspa_fmod_fcma_oa fa_ladspa_butthigh_iir fa_ladspa_buttlow_iir fa_ladspa_gsm fa_ladspa_gate fa_ladspa_giantFlange fa_ladspa_bandpass_a_iir fa_ladspa_bandpass_iir fa_ladspa_highpass_iir fa_ladspa_lowpass_iir fa_ladspa_gongBeater fa_ladspa_gong fa_ladspa_grain_scatter fa_ladspa_hard_gate fa_ladspa_hardLimiter fa_ladspa_harmonicGen fa_ladspa_hermesFilter fa_ladspa_hpf fa_ladspa_pitchScaleHQ fa_ladspa_identity_audio fa_ladspa_imp fa_ladspa_inv fa_ladspa_karaoke fa_ladspa_lcrDelay fa_ladspa_lfoPhaser fa_ladspa_lsFilter fa_ladspa_lofi fa_ladspa_lpf fa_ladspa_notch_iir fa_ladspa_matrixSpatialiser fa_ladspa_matrixMSSt fa_ladspa_matrixStMS fa_ladspa_mbeq fa_ladspa_multivoiceChorus fa_ladspa_pitchScale fa_ladspa_pointerCastDistortion fa_ladspa_random_fasc_oa fa_ladspa_random_fcsa_oa fa_ladspa_rateShifter fa_ladspa_retroFlange fa_ladspa_revdelay fa_ladspa_ringmod_1i1o1l fa_ladspa_sc1 fa_ladspa_sc4 fa_ladspa_sc4m fa_ladspa_se4 fa_ladspa_difference_iamc_oa fa_ladspa_difference_icma_oa fa_ladspa_product_iaic_oa fa_ladspa_ratio_nadc_oa fa_ladspa_ratio_ncda_oa fa_ladspa_sum_iaic_oa fa_ladspa_sifter fa_ladspa_compress_peak fa_ladspa_compress_rms fa_ladspa_expand_peak fa_ladspa_expand_rms fa_ladspa_limit_peak fa_ladspa_limit_rms fa_ladspa_amp fa_ladspa_delay_c fa_ladspa_delay_l fa_ladspa_delay_n fa_ladspa_sine_faac fa_ladspa_sine_fcaa fa_ladspa_singlePara fa_ladspa_sinusWavewrapper fa_ladspa_smoothDecimate fa_ladspa_svf fa_ladspa_tap_autopan fa_ladspa_tap_chorusflanger fa_ladspa_tap_deesser fa_ladspa_tap_dynamics_m fa_ladspa_tap_dynamics_st fa_ladspa_tap_equalizer fa_ladspa_tap_equalizer_bw fa_ladspa_tap_doubler fa_ladspa_tap_pinknoise fa_ladspa_tap_pitch fa_ladspa_tap_reflector fa_ladspa_tap_reverb fa_ladspa_tap_rotspeak fa_ladspa_tap_limiter fa_ladspa_tap_sigmoid fa_ladspa_tap_stereo_echo fa_ladspa_tap_tremolo fa_ladspa_tap_tubewarmth fa_ladspa_tap_vibrato fa_ladspa_tapeDelay fa_ladspa_transient fa_ladspa_triplePara fa_ladspa_vcf303 fa_ladspa_valveRect fa_ladspa_valve fa_volume fa_ladspa_vynil fa_ladspa_wshape_sine fa_ladspa_shaper fa_ladspa_zm1 Audio Filters

    Suboptions for fa_ladspa_lp4pole_fcrcia_oa

        CutoffFrequency=<number> (0.000..0.500, default: 0.500)

        Cutoff Frequency

        Resonanz=<number> (0.000..4.000, default: 0.000)

        Resonanz

    Suboptions for fa_ladspa_fourByFourPole

        Frequency1=<number> (1.000..20000.000, default: 5000.750)

        Frequency 1

        Feedback1=<number> (-1.000..1.000, default: 5000.750)

        Feedback 1

        Frequency2=<number> (1.000..20000.000, default: 10000.500)

        Frequency 2

        Feedback2=<number> (-1.000..1.000, default: 10000.500)

        Feedback 2

        Frequency3=<number> (1.000..20000.000, default: 15000.250)

        Frequency 3

        Feedback3=<number> (-1.000..1.000, default: 15000.250)

        Feedback 3

        Frequency4=<number> (1.000..20000.000, default: 20000.000)

        Frequency 4

        Feedback4=<number> (-1.000..1.000, default: 20000.000)

        Feedback 4

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_adsr

        TriggerThreshold=<number> (default: 0.000)

        Trigger Threshold

        Einschwingzeit(s)=<number> (default: 0.000)

        Einschwingzeit (s)

        Abklingzeit(s)=<number> (default: 0.000)

        Abklingzeit (s)

        Haltewert=<number> (0.000..1.000, default: 1.000)

        Haltewert

        Ausklingzeit(s)=<number> (default: 0.000)

        Ausklingzeit (s)

    Suboptions for fa_ladspa_amPitchshift

        Pitchshift=<number> (0.250..4.000, default: 0.000)

        Pitch shift

        Buffersize=<number> (1..7, default: 4)

        Buffer size

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_alias

        Aliasinglevel=<number> (0.000..1.000, default: 0.000)

        Aliasing level

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_allpass_c

        MaxDelay(s)=<number> (default: 0.000)

        Max Delay (s)

        DelayTime(s)=<number> (default: 0.000)

        Delay Time (s)

        DecayTime(s)=<number> (default: 0.000)

        Decay Time (s)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_allpass_l

        MaxDelay(s)=<number> (default: 0.000)

        Max Delay (s)

        DelayTime(s)=<number> (default: 0.000)

        Delay Time (s)

        DecayTime(s)=<number> (default: 0.000)

        Decay Time (s)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_allpass_n

        MaxDelay(s)=<number> (default: 0.000)

        Max Delay (s)

        DelayTime(s)=<number> (default: 0.000)

        Delay Time (s)

        DecayTime(s)=<number> (default: 0.000)

        Decay Time (s)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_amp_gcia_oa

        Verstärkung(dB)=<number> (-96.000..96.000, default: 0.000)

        Verstärkung (dB)

    Suboptions for fa_ladspa_amp_mono

        Gain=<number> (default: 0.000)

        Gain

    Suboptions for fa_ladspa_amp_stereo

        Gain=<number> (default: 0.000)

        Gain

    Suboptions for fa_ladspa_artificialLatency

        Delay(ms)=<number> (0.000..10000.000, default: 2500.000)

        Delay (ms)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_divider

        Denominator=<number> (1..8, default: 0)

        Denominator

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_autoPhaser

        Attacktime(s)=<number> (0.000..1.000, default: 0.250)

        Attack time (s)

        Decaytime(s)=<number> (0.000..1.000, default: 0.250)

        Decay time (s)

        Modulationdepth=<number> (0.000..1.000, default: 0.250)

        Modulation depth

        Feedback=<number> (-1.000..1.000, default: 0.250)

        Feedback

        Spread(octaves)=<number> (0.000..2.000, default: 0.250)

        Spread (octaves)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_triangle_fasc_oa

        Slope=<number> (0.000..1.000, default: 0.500)

        Slope

    Suboptions for fa_ladspa_triangle_fcsa_oa

        Frequenz=<number> (0.000..0.500, default: 440.000)

        Frequenz

    Suboptions for fa_ladspa_pulse_fapc_oa

        PulseWidth=<number> (0.000..1.000, default: 0.500)

        Pulse Width

    Suboptions for fa_ladspa_pulse_fcpa_oa

        Frequenz=<number> (0.000..0.500, default: 440.000)

        Frequenz

    Suboptions for fa_ladspa_satanMaximiser

        Decaytime(samples)=<number> (2.000..30.000, default: 30.000)

        Decay time (samples)

        Kneepoint(dB)=<number> (-90.000..0.000, default: 30.000)

        Knee point (dB)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_canyon_delay

        LefttoRightTime(Seconds)=<number> (0.010..0.990, default: 0.000)

        Left to Right Time (Seconds)

        LefttoRightFeedback(Percent)=<number> (-1.000..1.000, default: 0.000)

        Left to Right Feedback (Percent)

        RighttoLeftTime(Seconds)=<number> (0.010..0.990, default: 0.000)

        Right to Left Time (Seconds)

        RighttoLeftFeedback(Percent)=<number> (-1.000..1.000, default: 0.000)

        Right to Left Feedback (Percent)

        Low-PassCutoff(Hz)=<number> (1.000..5000.000, default: 0.000)

        Low-Pass Cutoff (Hz)

    Suboptions for fa_ladspa_chebstortion

        Distortion=<number> (0.000..3.000, default: 0.000)

        Distortion

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_syncsquare_fcga_oa

        Frequency=<number> (0.000..64.000, default: 16.000)

        Frequency

    Suboptions for fa_ladspa_syncpulse_fcpcga_oa

        Frequenz=<number> (0.000..64.000, default: 16.000)

        Frequenz

        PulseWidth=<number> (0.000..1.000, default: 0.500)

        Pulse Width

    Suboptions for fa_ladspa_comb

        Bandseparation(Hz)=<number> (16.000..640.000, default: 172.000)

        Band separation (Hz)

        Feedback=<number> (-0.990..0.990, default: 172.000)

        Feedback

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_comb_c

        MaxDelay(s)=<number> (default: 0.000)

        Max Delay (s)

        DelayTime(s)=<number> (default: 0.000)

        Delay Time (s)

        DecayTime(s)=<number> (default: 0.000)

        Decay Time (s)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_comb_l

        MaxDelay(s)=<number> (default: 0.000)

        Max Delay (s)

        DelayTime(s)=<number> (default: 0.000)

        Delay Time (s)

        DecayTime(s)=<number> (default: 0.000)

        Decay Time (s)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_comb_n

        MaxDelay(s)=<number> (default: 0.000)

        Max Delay (s)

        DelayTime(s)=<number> (default: 0.000)

        Delay Time (s)

        DecayTime(s)=<number> (default: 0.000)

        Decay Time (s)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_const

        Signalamplitude=<number> (-1.000..1.100, default: 0.000)

        Signal amplitude

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_crossoverDist

        Crossoveramplitude=<number> (0.000..0.100, default: 0.000)

        Crossover amplitude

        Smoothing=<number> (0.000..1.000, default: 1.000)

        Smoothing

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_dcRemove

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_dj_eq

        Logain(dB)=<number> (-70.000..6.000, default: 0.000)

        Lo gain (dB)

        Midgain(dB)=<number> (-70.000..6.000, default: 0.000)

        Mid gain (dB)

        Higain(dB)=<number> (-70.000..6.000, default: 0.000)

        Hi gain (dB)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_dj_eq_mono

        Logain(dB)=<number> (-70.000..6.000, default: 0.000)

        Lo gain (dB)

        Midgain(dB)=<number> (-70.000..6.000, default: 0.000)

        Mid gain (dB)

        Higain(dB)=<number> (-70.000..6.000, default: 0.000)

        Hi gain (dB)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_djFlanger

        LFOsync=<number> (default: 0.000)

        LFO sync

        LFOperiod(s)=<number> (0.100..32.000, default: 0.000)

        LFO period (s)

        LFOdepth(ms)=<number> (1.000..5.000, default: 4.000)

        LFO depth (ms)

        Feedback(%)=<number> (-100.000..100.000, default: 4.000)

        Feedback (%)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_decimator

        Bitdepth=<number> (1.000..24.000, default: 24.000)

        Bit depth

        Samplerate(Hz)=<number> (0.001..1.000, default: 1.000)

        Sample rate (Hz)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_declip

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_delayorama

        Randomseed=<number> (0..1000, default: 0)

        Random seed

        Inputgain(dB)=<number> (-96.000..24.000, default: 0.000)

        Input gain (dB)

        Feedback(%)=<number> (0.000..100.000, default: 0.000)

        Feedback (%)

        Numberoftaps=<number> (2..128, default: 2)

        Number of taps

        Firstdelay(s)=<number> (0.000..5.000, default: 2.000)

        First delay (s)

        Delayrange(s)=<number> (0.000..6.000, default: 6.000)

        Delay range (s)

        Delaychange=<number> (0.200..5.000, default: 6.000)

        Delay change

        Delayrandom(%)=<number> (0.000..100.000, default: 6.000)

        Delay random (%)

        Amplitudechange=<number> (0.200..5.000, default: 6.000)

        Amplitude change

        Amplituderandom(%)=<number> (0.000..100.000, default: 6.000)

        Amplitude random (%)

        Dry/wetmix=<number> (0.000..1.000, default: 6.000)

        Dry/wet mix

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_diode

        Mode(0fornone,1forhalfwave,2forfullwave)=<number> (0.000..3.000, default: 0.000)

        Mode (0 for none, 1 for half wave, 2 for full wave)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_disintegrator

        Probability=<number> (0.000..1.000, default: 0.000)

        Probability

        Multiplier=<number> (-1.000..1.000, default: 0.000)

        Multiplier

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_dysonCompress

        Peaklimit(dB)=<number> (-30.000..0.000, default: 0.000)

        Peak limit (dB)

        Releasetime(s)=<number> (0.000..1.000, default: 0.250)

        Release time (s)

        Fastcompressionratio=<number> (0.000..1.000, default: 0.500)

        Fast compression ratio

        Compressionratio=<number> (0.000..1.000, default: 0.500)

        Compression ratio

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_delay_0,01s

        Delay(Seconds)=<number> (0.000..0.010, default: 0.000)

        Delay (Seconds)

        Dry/WetBalance=<number> (0.000..1.000, default: 0.500)

        Dry/Wet Balance

    Suboptions for fa_ladspa_delay_0,1s

        Delay(Seconds)=<number> (0.000..0.100, default: 0.000)

        Delay (Seconds)

        Dry/WetBalance=<number> (0.000..1.000, default: 0.500)

        Dry/Wet Balance

    Suboptions for fa_ladspa_delay_1s

        Delay(Seconds)=<number> (0.000..1.000, default: 0.000)

        Delay (Seconds)

        Dry/WetBalance=<number> (0.000..1.000, default: 0.500)

        Dry/Wet Balance

    Suboptions for fa_ladspa_delay_5s

        Delay(Seconds)=<number> (0.000..5.000, default: 0.000)

        Delay (Seconds)

        Dry/WetBalance=<number> (0.000..1.000, default: 0.500)

        Dry/Wet Balance

    Suboptions for fa_ladspa_delay_60s

        Delay(Seconds)=<number> (0.000..60.000, default: 0.000)

        Delay (Seconds)

        Dry/WetBalance=<number> (0.000..1.000, default: 0.500)

        Dry/Wet Balance

    Suboptions for fa_ladspa_decay

        DecayTime(s)=<number> (default: 0.000)

        Decay Time (s)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_fmOsc

        Waveform(1=sin,2=tri,3=squ,4=saw)=<number> (1..4, default: 0)

        Waveform (1=sin, 2=tri, 3=squ, 4=saw)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_fastLookaheadLimiter

        Inputgain(dB)=<number> (-20.000..20.000, default: 0.000)

        Input gain (dB)

        Limit(dB)=<number> (-20.000..0.000, default: 0.000)

        Limit (dB)

        Releasetime(s)=<number> (0.010..2.000, default: 0.507)

        Release time (s)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_foverdrive

        Drivelevel=<number> (1.000..3.000, default: 1.000)

        Drive level

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_fbdelay_0,01s

        Delay(Seconds)=<number> (0.000..0.010, default: 0.000)

        Delay (Seconds)

        Dry/WetBalance=<number> (0.000..1.000, default: 0.500)

        Dry/Wet Balance

        Feedback=<number> (-1.000..1.000, default: 0.500)

        Feedback

    Suboptions for fa_ladspa_fbdelay_0,1s

        Delay(Seconds)=<number> (0.000..0.100, default: 0.000)

        Delay (Seconds)

        Dry/WetBalance=<number> (0.000..1.000, default: 0.500)

        Dry/Wet Balance

        Feedback=<number> (-1.000..1.000, default: 0.500)

        Feedback

    Suboptions for fa_ladspa_fbdelay_1s

        Delay(Seconds)=<number> (0.000..1.000, default: 0.000)

        Delay (Seconds)

        Dry/WetBalance=<number> (0.000..1.000, default: 0.500)

        Dry/Wet Balance

        Feedback=<number> (-1.000..1.000, default: 0.500)

        Feedback

    Suboptions for fa_ladspa_fbdelay_5s

        Delay(Seconds)=<number> (0.000..5.000, default: 0.000)

        Delay (Seconds)

        Dry/WetBalance=<number> (0.000..1.000, default: 0.500)

        Dry/Wet Balance

        Feedback=<number> (-1.000..1.000, default: 0.500)

        Feedback

    Suboptions for fa_ladspa_fbdelay_60s

        Delay(Seconds)=<number> (0.000..60.000, default: 0.000)

        Delay (Seconds)

        Dry/WetBalance=<number> (0.000..1.000, default: 0.500)

        Dry/Wet Balance

        Feedback=<number> (-1.000..1.000, default: 0.500)

        Feedback

    Suboptions for fa_ladspa_flanger

        Delaybase(ms)=<number> (0.100..25.000, default: 6.325)

        Delay base (ms)

        Maxslowdown(ms)=<number> (0.000..10.000, default: 2.500)

        Max slowdown (ms)

        LFOfrequency(Hz)=<number> (0.050..100.000, default: 0.334)

        LFO frequency (Hz)

        Feedback=<number> (-1.000..1.000, default: 0.334)

        Feedback

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_foldover

        Drive=<number> (0.000..1.000, default: 0.000)

        Drive

        Skew=<number> (0.000..1.000, default: 0.000)

        Skew

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_sampleformat

        sampleformat=<string>

        Supported strings: Unsigned 8 bit Signed 8 bit Unsigned 16 bit Signed 16 bit Signed 32 bit Floating point Double precision

        Default: YUV 420 Planar

        Sampleformat

    Suboptions for fa_ladspa_fadDelay

        Delay(seconds)=<number> (0.100..10.000, default: 0.000)

        Delay (seconds)

        Feedback(dB)=<number> (-70.000..0.000, default: 0.000)

        Feedback (dB)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_freeverb3

        FreezeMode=[1|0] (default: 0)

        Freeze Mode

        RoomSize=<number> (0.000..1.000, default: 0.500)

        Room Size

        Damping=<number> (0.000..1.000, default: 0.000)

        Damping

        WetLevel=<number> (0.000..1.000, default: 0.000)

        Wet Level

        DryLevel=<number> (0.000..1.000, default: 1.000)

        Dry Level

        Width=<number> (0.000..1.000, default: 0.500)

        Width

    Suboptions for fa_ladspa_freqTracker

        Trackingspeed=<number> (0.000..1.000, default: 0.500)

        Tracking speed

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_fmod_famc_oa

        Modulation(Octaves)=<number> (default: 0.000)

        Modulation (Octaves)

    Suboptions for fa_ladspa_fmod_fcma_oa

        Frequenz(Hz)=<number> (0.000..0.500, default: 440.000)

        Frequenz (Hz)

    Suboptions for fa_ladspa_butthigh_iir

        CutoffFrequency(Hz)=<number> (0.000..0.450, default: 0.001)

        Cutoff Frequency (Hz)

        Resonance=<number> (0.100..1.410, default: 0.755)

        Resonance

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_buttlow_iir

        CutoffFrequency(Hz)=<number> (0.000..0.450, default: 0.001)

        Cutoff Frequency (Hz)

        Resonance=<number> (0.100..1.410, default: 0.755)

        Resonance

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_gsm

        Dry/wetmix=<number> (0.000..1.000, default: 0.000)

        Dry/wet mix

        Numberofpasses=<number> (0..10, default: 0)

        Number of passes

        Errorrate(bits/block)=<number> (0.000..30.000, default: 0.000)

        Error rate (bits/block)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_gate

        LFkeyfilter(Hz)=<number> (0.001..0.100, default: 0.001)

        LF key filter (Hz)

        HFkeyfilter(Hz)=<number> (0.005..0.490, default: 0.490)

        HF key filter (Hz)

        Threshold(dB)=<number> (-70.000..20.000, default: -70.000)

        Threshold (dB)

        Attack(ms)=<number> (0.010..1000.000, default: 250.008)

        Attack (ms)

        Hold(ms)=<number> (2.000..2000.000, default: 1500.500)

        Hold (ms)

        Decay(ms)=<number> (2.000..4000.000, default: 2001.000)

        Decay (ms)

        Range(dB)=<number> (-90.000..0.000, default: -90.000)

        Range (dB)

        Outputselect(-1=keylisten,0=gate,1=bypass)=<number> (-1..1, default: -90)

        Output select (-1 = key listen, 0 = gate, 1 = bypass)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_giantFlange

        Doubledelay=<number> (default: 0.000)

        Double delay

        LFOfrequency1(Hz)=<number> (0.000..30.000, default: 0.000)

        LFO frequency 1 (Hz)

        Delay1range(s)=<number> (0.000..10.500, default: 2.625)

        Delay 1 range (s)

        LFOfrequency2(Hz)=<number> (0.000..30.000, default: 2.625)

        LFO frequency 2 (Hz)

        Delay2range(s)=<number> (0.000..10.500, default: 2.625)

        Delay 2 range (s)

        Feedback=<number> (-100.000..100.000, default: 2.625)

        Feedback

        Dry/Wetlevel=<number> (0.000..1.000, default: 2.625)

        Dry/Wet level

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_bandpass_a_iir

        CenterFrequency(Hz)=<number> (0.000..0.450, default: 0.001)

        Center Frequency (Hz)

        Bandwidth(Hz)=<number> (0.000..0.450, default: 0.007)

        Bandwidth (Hz)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_bandpass_iir

        CenterFrequency(Hz)=<number> (0.000..0.450, default: 0.007)

        Center Frequency (Hz)

        Bandwidth(Hz)=<number> (0.000..0.450, default: 0.007)

        Bandwidth (Hz)

        Stages(2polesperstage)=<number> (1..10, default: 0)

        Stages(2 poles per stage)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_highpass_iir

        CutoffFrequency=<number> (0.000..0.450, default: 0.001)

        Cutoff Frequency

        Stages(2polesperstage)=<number> (1..10, default: 0)

        Stages(2 poles per stage)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_lowpass_iir

        CutoffFrequency=<number> (0.000..0.450, default: 0.055)

        Cutoff Frequency

        Stages(2polesperstage)=<number> (1..10, default: 0)

        Stages(2 poles per stage)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_gongBeater

        Impulsegain(dB)=<number> (-70.000..0.000, default: -70.000)

        Impulse gain (dB)

        Strikegain(dB)=<number> (-70.000..0.000, default: 0.000)

        Strike gain (dB)

        Strikeduration(s)=<number> (0.001..0.200, default: 0.101)

        Strike duration (s)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_gong

        Innerdamping=<number> (0.000..1.000, default: 0.500)

        Inner damping

        Outerdamping=<number> (0.000..1.000, default: 0.500)

        Outer damping

        Micposition=<number> (0.000..1.000, default: 0.250)

        Mic position

        Innersize1=<number> (0.000..1.000, default: 0.500)

        Inner size 1

        Innerstiffness1+=<number> (0.000..1.000, default: 0.500)

        Inner stiffness 1 +

        Innerstiffness1-=<number> (0.000..1.000, default: 0.500)

        Inner stiffness 1 -

        Innersize2=<number> (0.000..1.000, default: 0.500)

        Inner size 2

        Innerstiffness2+=<number> (0.000..1.000, default: 0.500)

        Inner stiffness 2 +

        Innerstiffness2-=<number> (0.000..1.000, default: 0.500)

        Inner stiffness 2 -

        Innersize3=<number> (0.000..1.000, default: 0.500)

        Inner size 3

        Innerstiffness3+=<number> (0.000..1.000, default: 0.500)

        Inner stiffness 3 +

        Innerstiffness3-=<number> (0.000..1.000, default: 0.500)

        Inner stiffness 3 -

        Innersize4=<number> (0.000..1.000, default: 0.500)

        Inner size 4

        Innerstiffness4+=<number> (0.000..1.000, default: 0.500)

        Inner stiffness 4 +

        Innerstiffness4-=<number> (0.000..1.000, default: 0.500)

        Inner stiffness 4 -

        Outersize1=<number> (0.000..1.000, default: 0.500)

        Outer size 1

        Outerstiffness1+=<number> (0.000..1.000, default: 0.500)

        Outer stiffness 1 +

        Outerstiffness1-=<number> (0.000..1.000, default: 0.500)

        Outer stiffness 1 -

        Outersize2=<number> (0.000..1.000, default: 0.500)

        Outer size 2

        Outerstiffness2+=<number> (0.000..1.000, default: 0.500)

        Outer stiffness 2 +

        Outerstiffness2-=<number> (0.000..1.000, default: 0.500)

        Outer stiffness 2 -

        Outersize3=<number> (0.000..1.000, default: 0.500)

        Outer size 3

        Outerstiffness3+=<number> (0.000..1.000, default: 0.500)

        Outer stiffness 3 +

        Outerstiffness3-=<number> (0.000..1.000, default: 0.500)

        Outer stiffness 3 -

        Outersize4=<number> (0.000..1.000, default: 0.500)

        Outer size 4

        Outerstiffness4+=<number> (0.000..1.000, default: 0.500)

        Outer stiffness 4 +

        Outerstiffness4-=<number> (0.000..1.000, default: 0.500)

        Outer stiffness 4 -

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_grain_scatter

        Density(Grains/s)=<number> (default: 10.000)

        Density (Grains/s)

        Scatter(s)=<number> (0.000..5.000, default: 2.500)

        Scatter (s)

        GrainLength(s)=<number> (default: 0.200)

        Grain Length (s)

        GrainAttack(s)=<number> (default: 0.050)

        Grain Attack (s)

    Suboptions for fa_ladspa_hard_gate

        Threshold=<number> (0.000..1.000, default: 0.000)

        Threshold

    Suboptions for fa_ladspa_hardLimiter

        dBlimit=<number> (-50.000..0.000, default: 0.000)

        dB limit

        Wetlevel=<number> (0.000..1.000, default: 0.000)

        Wet level

        Residuelevel=<number> (0.000..1.000, default: 0.000)

        Residue level

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_harmonicGen

        Fundamentalmagnitude=<number> (-1.000..1.000, default: 0.000)

        Fundamental magnitude

        2ndharmonicmagnitude=<number> (-1.000..1.000, default: 0.000)

        2nd harmonic magnitude

        3rdharmonicmagnitude=<number> (-1.000..1.000, default: 0.000)

        3rd harmonic magnitude

        4thharmonicmagnitude=<number> (-1.000..1.000, default: 0.000)

        4th harmonic magnitude

        5thharmonicmagnitude=<number> (-1.000..1.000, default: 0.000)

        5th harmonic magnitude

        6thharmonicmagnitude=<number> (-1.000..1.000, default: 0.000)

        6th harmonic magnitude

        7thharmonicmagnitude=<number> (-1.000..1.000, default: 0.000)

        7th harmonic magnitude

        8thharmonicmagnitude=<number> (-1.000..1.000, default: 0.000)

        8th harmonic magnitude

        9thharmonicmagnitude=<number> (-1.000..1.000, default: 0.000)

        9th harmonic magnitude

        10thharmonicmagnitude=<number> (-1.000..1.000, default: 0.000)

        10th harmonic magnitude

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_hermesFilter

        LFO1freq(Hz)=<number> (0.000..1000.000, default: 250.000)

        LFO1 freq (Hz)

        LFO1wave(0=sin,1=tri,2=saw,3=squ,4=s&h)=<number> (0..4, default: 250)

        LFO1 wave (0 = sin, 1 = tri, 2 = saw, 3 = squ, 4 = s&h)

        LFO2freq(Hz)=<number> (0.000..1000.000, default: 250.000)

        LFO2 freq (Hz)

        LFO2wave(0=sin,1=tri,2=saw,3=squ,4=s&h)=<number> (0..4, default: 250)

        LFO2 wave (0 = sin, 1 = tri, 2 = saw, 3 = squ, 4 = s&h)

        Osc1freq(Hz)=<number> (0.000..4000.000, default: 440.000)

        Osc1 freq (Hz)

        Osc1wave(0=sin,1=tri,2=saw,3=squ,4=noise)=<number> (0..4, default: 440)

        Osc1 wave (0 = sin, 1 = tri, 2 = saw, 3 = squ, 4 = noise)

        Osc2freq(Hz)=<number> (0.000..4000.000, default: 440.000)

        Osc2 freq (Hz)

        Osc2wave(0=sin,1=tri,2=saw,3=squ,4=noise)=<number> (0..4, default: 440)

        Osc2 wave (0 = sin, 1 = tri, 2 = saw, 3 = squ, 4 = noise)

        Ringmod1depth(0=none,1=AM,2=RM)=<number> (0.000..2.000, default: 440.000)

        Ringmod 1 depth (0=none, 1=AM, 2=RM)

        Ringmod2depth(0=none,1=AM,2=RM)=<number> (0.000..2.000, default: 440.000)

        Ringmod 2 depth (0=none, 1=AM, 2=RM)

        Ringmod3depth(0=none,1=AM,2=RM)=<number> (0.000..2.000, default: 440.000)

        Ringmod 3 depth (0=none, 1=AM, 2=RM)

        Osc1gain(dB)=<number> (-70.000..20.000, default: -70.000)

        Osc1 gain (dB)

        RM1gain(dB)=<number> (-70.000..20.000, default: -70.000)

        RM1 gain (dB)

        Osc2gain(dB)=<number> (-70.000..20.000, default: -70.000)

        Osc2 gain (dB)

        RM2gain(dB)=<number> (-70.000..20.000, default: -70.000)

        RM2 gain (dB)

        Inputgain(dB)=<number> (-70.000..20.000, default: -70.000)

        Input gain (dB)

        RM3gain(dB)=<number> (-70.000..20.000, default: -70.000)

        RM3 gain (dB)

        Xoverlowerfreq=<number> (50.000..6000.000, default: 1537.500)

        Xover lower freq

        Xoverupperfreq=<number> (1000.000..10000.000, default: 7750.000)

        Xover upper freq

        Dist1drive=<number> (0.000..3.000, default: 7750.000)

        Dist1 drive

        Dist2drive=<number> (0.000..3.000, default: 7750.000)

        Dist2 drive

        Dist3drive=<number> (0.000..3.000, default: 7750.000)

        Dist3 drive

        Filt1type(0=none,1=LP,2=HP,3=BP,4=BR,5=AP)=<number> (0..5, default: 7750)

        Filt1 type (0=none, 1=LP, 2=HP, 3=BP, 4=BR, 5=AP)

        Filt1freq=<number> (0.000..8000.000, default: 440.000)

        Filt1 freq

        Filt1q=<number> (0.000..1.000, default: 440.000)

        Filt1 q

        Filt1resonance=<number> (0.000..1.000, default: 440.000)

        Filt1 resonance

        Filt1LFO1level=<number> (-500.000..500.000, default: 440.000)

        Filt1 LFO1 level

        Filt1LFO2level=<number> (-500.000..500.000, default: 440.000)

        Filt1 LFO2 level

        Filt2type(0=none,1=LP,2=HP,3=BP,4=BR,5=AP)=<number> (0..5, default: 440)

        Filt2 type (0=none, 1=LP, 2=HP, 3=BP, 4=BR, 5=AP)

        Filt2freq=<number> (0.000..8000.000, default: 440.000)

        Filt2 freq

        Filt2q=<number> (0.000..1.000, default: 440.000)

        Filt2 q

        Filt2resonance=<number> (0.000..1.000, default: 440.000)

        Filt2 resonance

        Filt2LFO1level=<number> (-500.000..500.000, default: 440.000)

        Filt2 LFO1 level

        Filt2LFO2level=<number> (-500.000..500.000, default: 440.000)

        Filt2 LFO2 level

        Filt3type(0=none,1=LP,2=HP,3=BP,4=BR,5=AP)=<number> (0..5, default: 440)

        Filt3 type (0=none, 1=LP, 2=HP, 3=BP, 4=BR, 5=AP)

        Filt3freq=<number> (0.000..8000.000, default: 440.000)

        Filt3 freq

        Filt3q=<number> (0.000..1.000, default: 440.000)

        Filt3 q

        Filt3resonance=<number> (0.000..1.000, default: 440.000)

        Filt3 resonance

        Filt3LFO1level=<number> (-500.000..500.000, default: 440.000)

        Filt3 LFO1 level

        Filt3LFO2level=<number> (-500.000..500.000, default: 440.000)

        Filt3 LFO2 level

        Delay1length(s)=<number> (0.000..2.000, default: 440.000)

        Delay1 length (s)

        Delay1feedback=<number> (0.000..1.000, default: 440.000)

        Delay1 feedback

        Delay1wetness=<number> (0.000..1.000, default: 440.000)

        Delay1 wetness

        Delay2length(s)=<number> (0.000..2.000, default: 440.000)

        Delay2 length (s)

        Delay2feedback=<number> (0.000..1.000, default: 440.000)

        Delay2 feedback

        Delay2wetness=<number> (0.000..1.000, default: 440.000)

        Delay2 wetness

        Delay3length(s)=<number> (0.000..2.000, default: 440.000)

        Delay3 length (s)

        Delay3feedback=<number> (0.000..1.000, default: 440.000)

        Delay3 feedback

        Delay3wetness=<number> (0.000..1.000, default: 440.000)

        Delay3 wetness

        Band1gain(dB)=<number> (-70.000..20.000, default: 440.000)

        Band 1 gain (dB)

        Band2gain(dB)=<number> (-70.000..20.000, default: 440.000)

        Band 2 gain (dB)

        Band3gain(dB)=<number> (-70.000..20.000, default: 440.000)

        Band 3 gain (dB)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_hpf

        CutoffFrequency(Hz)=<number> (0.000..0.500, default: 440.000)

        Cutoff Frequency (Hz)

    Suboptions for fa_ladspa_pitchScaleHQ

        Pitchco-efficient=<number> (0.500..2.000, default: 0.000)

        Pitch co-efficient

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_imp

        ImpulseID=<number> (1..21, default: 0)

        Impulse ID

        Highlatencymode=<number> (0..1, default: 0)

        High latency mode

        Gain(dB)=<number> (-90.000..24.000, default: 0.000)

        Gain (dB)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_inv

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_karaoke

        Vocalvolume(dB)=<number> (-70.000..0.000, default: 0.000)

        Vocal volume (dB)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_lcrDelay

        Ldelay(ms)=<number> (0.000..2700.000, default: 675.000)

        L delay (ms)

        Llevel=<number> (0.000..50.000, default: 25.000)

        L level

        Cdelay(ms)=<number> (0.000..2700.000, default: 675.000)

        C delay (ms)

        Clevel=<number> (0.000..50.000, default: 25.000)

        C level

        Rdelay(ms)=<number> (0.000..2700.000, default: 675.000)

        R delay (ms)

        Rlevel=<number> (0.000..50.000, default: 25.000)

        R level

        Feedback=<number> (-100.000..100.000, default: 25.000)

        Feedback

        Highdamp(%)=<number> (0.000..100.000, default: 50.000)

        High damp (%)

        Lowdamp(%)=<number> (0.000..100.000, default: 50.000)

        Low damp (%)

        Spread=<number> (0.000..50.000, default: 25.000)

        Spread

        Dry/Wetlevel=<number> (0.000..1.000, default: 25.000)

        Dry/Wet level

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_lfoPhaser

        LFOrate(Hz)=<number> (0.000..100.000, default: 25.000)

        LFO rate (Hz)

        LFOdepth=<number> (0.000..1.000, default: 0.250)

        LFO depth

        Feedback=<number> (-1.000..1.000, default: 0.250)

        Feedback

        Spread(octaves)=<number> (0.000..2.000, default: 1.000)

        Spread (octaves)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_lsFilter

        Filtertype(0=LP,1=BP,2=HP)=<number> (0..2, default: 0)

        Filter type (0=LP, 1=BP, 2=HP)

        Cutofffrequency(Hz)=<number> (0.002..0.500, default: 0.032)

        Cutoff frequency (Hz)

        Resonance=<number> (0.000..1.000, default: 0.032)

        Resonance

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_lofi

        Crackling(%)=<number> (0..100, default: 0)

        Crackling (%)

        PowersupplyOverloading(%)=<number> (0.000..100.000, default: 0.000)

        Powersupply Overloading (%)

        OpampBandwidthLimiting(Hz)=<number> (1.000..10000.000, default: 0.000)

        Opamp Bandwidth Limiting (Hz)

    Suboptions for fa_ladspa_lpf

        CutoffFrequency(Hz)=<number> (0.000..0.500, default: 440.000)

        Cutoff Frequency (Hz)

    Suboptions for fa_ladspa_notch_iir

        CenterFrequency(Hz)=<number> (0.000..0.450, default: 0.007)

        Center Frequency (Hz)

        Bandwidth(Hz)=<number> (0.000..0.450, default: 0.007)

        Bandwidth (Hz)

        Stages(2polesperstage)=<number> (1..10, default: 0)

        Stages(2 poles per stage)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_matrixSpatialiser

        Width=<number> (-512..512, default: 0)

        Width

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_matrixMSSt

        Width=<number> (0.000..2.000, default: 0.000)

        Width

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_matrixStMS

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_mbeq

        50Hzgain(lowshelving)=<number> (-70.000..30.000, default: 0.000)

        50Hz gain (low shelving)

        100Hzgain=<number> (-70.000..30.000, default: 0.000)

        100Hz gain

        156Hzgain=<number> (-70.000..30.000, default: 0.000)

        156Hz gain

        220Hzgain=<number> (-70.000..30.000, default: 0.000)

        220Hz gain

        311Hzgain=<number> (-70.000..30.000, default: 0.000)

        311Hz gain

        440Hzgain=<number> (-70.000..30.000, default: 0.000)

        440Hz gain

        622Hzgain=<number> (-70.000..30.000, default: 0.000)

        622Hz gain

        880Hzgain=<number> (-70.000..30.000, default: 0.000)

        880Hz gain

        1250Hzgain=<number> (-70.000..30.000, default: 0.000)

        1250Hz gain

        1750Hzgain=<number> (-70.000..30.000, default: 0.000)

        1750Hz gain

        2500Hzgain=<number> (-70.000..30.000, default: 0.000)

        2500Hz gain

        3500Hzgain=<number> (-70.000..30.000, default: 0.000)

        3500Hz gain

        5000Hzgain=<number> (-70.000..30.000, default: 0.000)

        5000Hz gain

        10000Hzgain=<number> (-70.000..30.000, default: 0.000)

        10000Hz gain

        20000Hzgain=<number> (-70.000..30.000, default: 0.000)

        20000Hz gain

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_multivoiceChorus

        Numberofvoices=<number> (1..8, default: 0)

        Number of voices

        Delaybase(ms)=<number> (10.000..40.000, default: 10.000)

        Delay base (ms)

        Voiceseparation(ms)=<number> (0.000..2.000, default: 0.500)

        Voice separation (ms)

        Detune(%)=<number> (0.000..5.000, default: 0.500)

        Detune (%)

        LFOfrequency(Hz)=<number> (2.000..30.000, default: 9.000)

        LFO frequency (Hz)

        Outputattenuation(dB)=<number> (-20.000..0.000, default: 9.000)

        Output attenuation (dB)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_pitchScale

        Pitchco-efficient=<number> (0.500..2.000, default: 0.000)

        Pitch co-efficient

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_pointerCastDistortion

        Effectcutofffreq(Hz)=<number> (0.000..0.300, default: 0.001)

        Effect cutoff freq (Hz)

        Dry/wetmix=<number> (0.000..1.000, default: 0.001)

        Dry/wet mix

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_random_fasc_oa

        WaveSmoothness=<number> (0.000..1.000, default: 1.000)

        Wave Smoothness

    Suboptions for fa_ladspa_random_fcsa_oa

        Frequenz(Hz)=<number> (0.000..0.500, default: 440.000)

        Frequenz (Hz)

    Suboptions for fa_ladspa_rateShifter

        Rate=<number> (-4.000..4.000, default: 0.000)

        Rate

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_retroFlange

        Averagestall(ms)=<number> (0.000..10.000, default: 2.500)

        Average stall (ms)

        Flangefrequency(Hz)=<number> (0.500..8.000, default: 2.500)

        Flange frequency (Hz)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_revdelay

        DelayTime(s)=<number> (0.000..5.000, default: 0.000)

        Delay Time (s)

        DryLevel(dB)=<number> (-70.000..0.000, default: 0.000)

        Dry Level (dB)

        WetLevel(dB)=<number> (-70.000..0.000, default: 0.000)

        Wet Level (dB)

        Feedback=<number> (0.000..1.000, default: 0.000)

        Feedback

        Crossfadesamples=<number> (0..5000, default: 1250)

        Crossfade samples

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_ringmod_1i1o1l

        Modulationdepth(0=none,1=AM,2=RM)=<number> (0.000..2.000, default: 0.000)

        Modulation depth (0=none, 1=AM, 2=RM)

        Frequency(Hz)=<number> (1.000..1000.000, default: 440.000)

        Frequency (Hz)

        Sinelevel=<number> (-1.000..1.000, default: 440.000)

        Sine level

        Trianglelevel=<number> (-1.000..1.000, default: 440.000)

        Triangle level

        Sawtoothlevel=<number> (-1.000..1.000, default: 440.000)

        Sawtooth level

        Squarelevel=<number> (-1.000..1.000, default: 440.000)

        Square level

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_sc1

        Attacktime(ms)=<number> (2.000..400.000, default: 101.500)

        Attack time (ms)

        Releasetime(ms)=<number> (2.000..800.000, default: 401.000)

        Release time (ms)

        Thresholdlevel(dB)=<number> (-30.000..0.000, default: 0.000)

        Threshold level (dB)

        Ratio(1:n)=<number> (1.000..10.000, default: 0.000)

        Ratio (1:n)

        Kneeradius(dB)=<number> (1.000..10.000, default: 3.250)

        Knee radius (dB)

        Makeupgain(dB)=<number> (0.000..24.000, default: 3.250)

        Makeup gain (dB)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_sc4

        RMS/peak=<number> (0.000..1.000, default: 0.000)

        RMS/peak

        Attacktime(ms)=<number> (1.500..400.000, default: 101.125)

        Attack time (ms)

        Releasetime(ms)=<number> (2.000..800.000, default: 401.000)

        Release time (ms)

        Thresholdlevel(dB)=<number> (-30.000..0.000, default: 0.000)

        Threshold level (dB)

        Ratio(1:n)=<number> (1.000..20.000, default: 0.000)

        Ratio (1:n)

        Kneeradius(dB)=<number> (1.000..10.000, default: 3.250)

        Knee radius (dB)

        Makeupgain(dB)=<number> (0.000..24.000, default: 3.250)

        Makeup gain (dB)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_sc4m

        RMS/peak=<number> (0.000..1.000, default: 0.000)

        RMS/peak

        Attacktime(ms)=<number> (1.500..400.000, default: 101.125)

        Attack time (ms)

        Releasetime(ms)=<number> (2.000..800.000, default: 401.000)

        Release time (ms)

        Thresholdlevel(dB)=<number> (-30.000..0.000, default: 0.000)

        Threshold level (dB)

        Ratio(1:n)=<number> (1.000..20.000, default: 0.000)

        Ratio (1:n)

        Kneeradius(dB)=<number> (1.000..10.000, default: 3.250)

        Knee radius (dB)

        Makeupgain(dB)=<number> (0.000..24.000, default: 3.250)

        Makeup gain (dB)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_se4

        RMS/peak=<number> (0.000..1.000, default: 0.000)

        RMS/peak

        Attacktime(ms)=<number> (1.500..400.000, default: 101.125)

        Attack time (ms)

        Releasetime(ms)=<number> (2.000..800.000, default: 401.000)

        Release time (ms)

        Thresholdlevel(dB)=<number> (-30.000..0.000, default: 0.000)

        Threshold level (dB)

        Ratio(1:n)=<number> (1.000..20.000, default: 0.000)

        Ratio (1:n)

        Kneeradius(dB)=<number> (1.000..10.000, default: 3.250)

        Knee radius (dB)

        Attenuation(dB)=<number> (-24.000..0.000, default: 3.250)

        Attenuation (dB)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_difference_iamc_oa

        InputtoSubtract=<number> (default: 0.000)

        Input to Subtract

    Suboptions for fa_ladspa_difference_icma_oa

        Input=<number> (default: 0.000)

        Input

    Suboptions for fa_ladspa_product_iaic_oa

        SecondInput=<number> (default: 0.000)

        Second Input

    Suboptions for fa_ladspa_ratio_nadc_oa

        Denominator=<number> (default: 0.000)

        Denominator

    Suboptions for fa_ladspa_ratio_ncda_oa

        Numerator=<number> (default: 0.000)

        Numerator

    Suboptions for fa_ladspa_sum_iaic_oa

        SecondInput=<number> (default: 0.000)

        Second Input

    Suboptions for fa_ladspa_sifter

        Siftsize=<number> (1.000..1000.000, default: 0.000)

        Sift size

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_compress_peak

        Threshold=<number> (default: 0.000)

        Threshold

        CompressionRatio=<number> (default: 0.500)

        Compression Ratio

        OutputEnvelopeAttack(s)=<number> (default: 0.100)

        Output Envelope Attack (s)

        OutputEnvelopeDecay(s)=<number> (default: 0.100)

        Output Envelope Decay (s)

    Suboptions for fa_ladspa_compress_rms

        Threshold=<number> (default: 0.000)

        Threshold

        CompressionRatio=<number> (default: 0.500)

        Compression Ratio

        OutputEnvelopeAttack(s)=<number> (default: 0.100)

        Output Envelope Attack (s)

        OutputEnvelopeDecay(s)=<number> (default: 0.100)

        Output Envelope Decay (s)

    Suboptions for fa_ladspa_expand_peak

        Threshold=<number> (default: 0.000)

        Threshold

        ExpansionRatio=<number> (default: 0.500)

        Expansion Ratio

        OutputEnvelopeAttack(s)=<number> (default: 0.100)

        Output Envelope Attack (s)

        OutputEnvelopeDecay(s)=<number> (default: 0.100)

        Output Envelope Decay (s)

    Suboptions for fa_ladspa_expand_rms

        Threshold=<number> (default: 0.000)

        Threshold

        ExpansionRatio=<number> (default: 0.500)

        Expansion Ratio

        OutputEnvelopeAttack(s)=<number> (default: 0.100)

        Output Envelope Attack (s)

        OutputEnvelopeDecay(s)=<number> (default: 0.100)

        Output Envelope Decay (s)

    Suboptions for fa_ladspa_limit_peak

        Threshold=<number> (default: 0.000)

        Threshold

        OutputEnvelopeAttack(s)=<number> (default: 0.100)

        Output Envelope Attack (s)

        OutputEnvelopeDecay(s)=<number> (default: 0.100)

        Output Envelope Decay (s)

    Suboptions for fa_ladspa_limit_rms

        Threshold=<number> (default: 0.000)

        Threshold

        OutputEnvelopeAttack(s)=<number> (default: 0.100)

        Output Envelope Attack (s)

        OutputEnvelopeDecay(s)=<number> (default: 0.100)

        Output Envelope Decay (s)

    Suboptions for fa_ladspa_amp

        Ampsgain(dB)=<number> (-70.000..70.000, default: 0.000)

        Amps gain (dB)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_delay_c

        MaxDelay(s)=<number> (default: 0.000)

        Max Delay (s)

        DelayTime(s)=<number> (default: 0.000)

        Delay Time (s)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_delay_l

        MaxDelay(s)=<number> (default: 0.000)

        Max Delay (s)

        DelayTime(s)=<number> (default: 0.000)

        Delay Time (s)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_delay_n

        MaxDelay(s)=<number> (default: 0.000)

        Max Delay (s)

        DelayTime(s)=<number> (default: 0.000)

        Delay Time (s)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_sine_faac

        Amplitude=<number> (default: 0.000)

        Amplitude

    Suboptions for fa_ladspa_sine_fcaa

        Frequency=<number> (0.000..0.500, default: 440.000)

        Frequency

    Suboptions for fa_ladspa_singlePara

        Gain(dB)=<number> (-70.000..30.000, default: 0.000)

        Gain (dB)

        Frequency(Hz)=<number> (0.000..0.400, default: 440.000)

        Frequency (Hz)

        Bandwidth(octaves)=<number> (0.000..4.000, default: 440.000)

        Bandwidth (octaves)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_sinusWavewrapper

        Wrapdegree=<number> (0.000..10.000, default: 0.000)

        Wrap degree

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_smoothDecimate

        Resamplerate=<number> (0.000..1.000, default: 1.000)

        Resample rate

        Smoothing=<number> (0.000..1.000, default: 1.000)

        Smoothing

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_svf

        Filtertype(0=none,1=LP,2=HP,3=BP,4=BR,5=AP)=<number> (0..5, default: 0)

        Filter type (0=none, 1=LP, 2=HP, 3=BP, 4=BR, 5=AP)

        Filterfreq=<number> (0.000..6000.000, default: 440.000)

        Filter freq

        FilterQ=<number> (0.000..1.000, default: 0.250)

        Filter Q

        Filterresonance=<number> (0.000..1.000, default: 0.250)

        Filter resonance

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_tap_autopan

        Frequency[Hz]=<number> (0.000..20.000, default: 0.000)

        Frequency [Hz]

        Depth[%]=<number> (0.000..100.000, default: 0.000)

        Depth [%]

        Gain[dB]=<number> (-70.000..20.000, default: 0.000)

        Gain [dB]

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_tap_chorusflanger

        Frequency[Hz]=<number> (0.000..5.000, default: 1.250)

        Frequency [Hz]

        L/RPhaseShift[deg]=<number> (0.000..180.000, default: 90.000)

        L/R Phase Shift [deg]

        Depth[%]=<number> (0.000..100.000, default: 75.000)

        Depth [%]

        Delay[ms]=<number> (0.000..100.000, default: 25.000)

        Delay [ms]

        Contour[Hz]=<number> (20.000..20000.000, default: 100.000)

        Contour [Hz]

        DryLevel[dB]=<number> (-90.000..20.000, default: 100.000)

        Dry Level [dB]

        WetLevel[dB]=<number> (-90.000..20.000, default: 100.000)

        Wet Level [dB]

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_tap_deesser

        ThresholdLevel[dB]=<number> (-50.000..10.000, default: 0.000)

        Threshold Level [dB]

        Frequency[Hz]=<number> (2000.000..16000.000, default: 5500.000)

        Frequency [Hz]

        SidechainFilter=<number> (0..1, default: 5500)

        Sidechain Filter

        Monitor=<number> (0..1, default: 5500)

        Monitor

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_tap_dynamics_m

        Attack[ms]=<number> (4.000..500.000, default: 128.000)

        Attack [ms]

        Release[ms]=<number> (4.000..1000.000, default: 502.000)

        Release [ms]

        OffsetGain[dB]=<number> (-20.000..20.000, default: 502.000)

        Offset Gain [dB]

        MakeupGain[dB]=<number> (-20.000..20.000, default: 502.000)

        Makeup Gain [dB]

        Function=<number> (0..14, default: 502)

        Function

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_tap_dynamics_st

        Attack[ms]=<number> (4.000..500.000, default: 128.000)

        Attack [ms]

        Release[ms]=<number> (4.000..1000.000, default: 502.000)

        Release [ms]

        OffsetGain[dB]=<number> (-20.000..20.000, default: 502.000)

        Offset Gain [dB]

        MakeupGain[dB]=<number> (-20.000..20.000, default: 502.000)

        Makeup Gain [dB]

        StereoMode=<number> (0..2, default: 502)

        Stereo Mode

        Function=<number> (0..14, default: 502)

        Function

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_tap_equalizer

        Band1Gain[dB]=<number> (-50.000..20.000, default: 0.000)

        Band 1 Gain [dB]

        Band2Gain[dB]=<number> (-50.000..20.000, default: 0.000)

        Band 2 Gain [dB]

        Band3Gain[dB]=<number> (-50.000..20.000, default: 0.000)

        Band 3 Gain [dB]

        Band4Gain[dB]=<number> (-50.000..20.000, default: 0.000)

        Band 4 Gain [dB]

        Band5Gain[dB]=<number> (-50.000..20.000, default: 0.000)

        Band 5 Gain [dB]

        Band6Gain[dB]=<number> (-50.000..20.000, default: 0.000)

        Band 6 Gain [dB]

        Band7Gain[dB]=<number> (-50.000..20.000, default: 0.000)

        Band 7 Gain [dB]

        Band8Gain[dB]=<number> (-50.000..20.000, default: 0.000)

        Band 8 Gain [dB]

        Band1Freq[Hz]=<number> (40.000..280.000, default: 100.000)

        Band 1 Freq [Hz]

        Band2Freq[Hz]=<number> (100.000..500.000, default: 200.000)

        Band 2 Freq [Hz]

        Band3Freq[Hz]=<number> (200.000..1000.000, default: 400.000)

        Band 3 Freq [Hz]

        Band4Freq[Hz]=<number> (400.000..2800.000, default: 1000.000)

        Band 4 Freq [Hz]

        Band5Freq[Hz]=<number> (1000.000..5000.000, default: 3000.000)

        Band 5 Freq [Hz]

        Band6Freq[Hz]=<number> (3000.000..9000.000, default: 6000.000)

        Band 6 Freq [Hz]

        Band7Freq[Hz]=<number> (6000.000..18000.000, default: 12000.000)

        Band 7 Freq [Hz]

        Band8Freq[Hz]=<number> (10000.000..20000.000, default: 15000.000)

        Band 8 Freq [Hz]

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_tap_equalizer_bw

        Band1Gain[dB]=<number> (-50.000..20.000, default: 0.000)

        Band 1 Gain [dB]

        Band2Gain[dB]=<number> (-50.000..20.000, default: 0.000)

        Band 2 Gain [dB]

        Band3Gain[dB]=<number> (-50.000..20.000, default: 0.000)

        Band 3 Gain [dB]

        Band4Gain[dB]=<number> (-50.000..20.000, default: 0.000)

        Band 4 Gain [dB]

        Band5Gain[dB]=<number> (-50.000..20.000, default: 0.000)

        Band 5 Gain [dB]

        Band6Gain[dB]=<number> (-50.000..20.000, default: 0.000)

        Band 6 Gain [dB]

        Band7Gain[dB]=<number> (-50.000..20.000, default: 0.000)

        Band 7 Gain [dB]

        Band8Gain[dB]=<number> (-50.000..20.000, default: 0.000)

        Band 8 Gain [dB]

        Band1Freq[Hz]=<number> (40.000..280.000, default: 100.000)

        Band 1 Freq [Hz]

        Band2Freq[Hz]=<number> (100.000..500.000, default: 200.000)

        Band 2 Freq [Hz]

        Band3Freq[Hz]=<number> (200.000..1000.000, default: 400.000)

        Band 3 Freq [Hz]

        Band4Freq[Hz]=<number> (400.000..2800.000, default: 1000.000)

        Band 4 Freq [Hz]

        Band5Freq[Hz]=<number> (1000.000..5000.000, default: 3000.000)

        Band 5 Freq [Hz]

        Band6Freq[Hz]=<number> (3000.000..9000.000, default: 6000.000)

        Band 6 Freq [Hz]

        Band7Freq[Hz]=<number> (6000.000..18000.000, default: 12000.000)

        Band 7 Freq [Hz]

        Band8Freq[Hz]=<number> (10000.000..20000.000, default: 15000.000)

        Band 8 Freq [Hz]

        Band1Bandwidth[octaves]=<number> (0.100..5.000, default: 15000.000)

        Band 1 Bandwidth [octaves]

        Band2Bandwidth[octaves]=<number> (0.100..5.000, default: 15000.000)

        Band 2 Bandwidth [octaves]

        Band3Bandwidth[octaves]=<number> (0.100..5.000, default: 15000.000)

        Band 3 Bandwidth [octaves]

        Band4Bandwidth[octaves]=<number> (0.100..5.000, default: 15000.000)

        Band 4 Bandwidth [octaves]

        Band5Bandwidth[octaves]=<number> (0.100..5.000, default: 15000.000)

        Band 5 Bandwidth [octaves]

        Band6Bandwidth[octaves]=<number> (0.100..5.000, default: 15000.000)

        Band 6 Bandwidth [octaves]

        Band7Bandwidth[octaves]=<number> (0.100..5.000, default: 15000.000)

        Band 7 Bandwidth [octaves]

        Band8Bandwidth[octaves]=<number> (0.100..5.000, default: 15000.000)

        Band 8 Bandwidth [octaves]

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_tap_doubler

        TimeTracking=<number> (0.000..1.000, default: 0.500)

        Time Tracking

        PitchTracking=<number> (0.000..1.000, default: 0.500)

        Pitch Tracking

        DryLevel[dB]=<number> (-90.000..20.000, default: 0.500)

        Dry Level [dB]

        DryLeftPosition=<number> (0.000..1.000, default: 0.000)

        Dry Left Position

        DryRightPosition=<number> (0.000..1.000, default: 1.000)

        Dry Right Position

        WetLevel[dB]=<number> (-90.000..20.000, default: 1.000)

        Wet Level [dB]

        WetLeftPosition=<number> (0.000..1.000, default: 0.000)

        Wet Left Position

        WetRightPosition=<number> (0.000..1.000, default: 1.000)

        Wet Right Position

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_tap_pinknoise

        FractalDimension=<number> (0.000..1.000, default: 0.500)

        Fractal Dimension

        SignalLevel[dB]=<number> (-90.000..20.000, default: 0.500)

        Signal Level [dB]

        NoiseLevel[dB]=<number> (-90.000..20.000, default: -90.000)

        Noise Level [dB]

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_tap_pitch

        SemitoneShift=<number> (-12.000..12.000, default: 0.000)

        Semitone Shift

        RateShift[%]=<number> (-50.000..100.000, default: 0.000)

        Rate Shift [%]

        DryLevel[dB]=<number> (-90.000..20.000, default: -90.000)

        Dry Level [dB]

        WetLevel[dB]=<number> (-90.000..20.000, default: -90.000)

        Wet Level [dB]

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_tap_reflector

        FragmentLength[ms]=<number> (20.000..1600.000, default: 415.000)

        Fragment Length [ms]

        DryLevel[dB]=<number> (-90.000..20.000, default: -90.000)

        Dry Level [dB]

        WetLevel[dB]=<number> (-90.000..20.000, default: -90.000)

        Wet Level [dB]

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_tap_reverb

        Decay[ms]=<number> (0.000..10000.000, default: 2500.000)

        Decay [ms]

        DryLevel[dB]=<number> (-70.000..10.000, default: 2500.000)

        Dry Level [dB]

        WetLevel[dB]=<number> (-70.000..10.000, default: 2500.000)

        Wet Level [dB]

        CombFilters=[1|0] (default: 1)

        Comb Filters

        AllpassFilters=[1|0] (default: 1)

        Allpass Filters

        BandpassFilter=[1|0] (default: 1)

        Bandpass Filter

        EnhancedStereo=[1|0] (default: 1)

        Enhanced Stereo

        ReverbType=<number> (0..42, default: 2500)

        Reverb Type

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_tap_rotspeak

        RotorFrequency[Hz]=<number> (0.000..30.000, default: 0.000)

        Rotor Frequency [Hz]

        HornFrequency[Hz]=<number> (0.000..30.000, default: 0.000)

        Horn Frequency [Hz]

        MicDistance[%]=<number> (0.000..100.000, default: 25.000)

        Mic Distance [%]

        Rotor/HornMix=<number> (0.000..1.000, default: 0.500)

        Rotor/Horn Mix

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_tap_limiter

        LimitLevel[dB]=<number> (-30.000..20.000, default: 0.000)

        Limit Level [dB]

        OutputVolume[dB]=<number> (-30.000..20.000, default: 0.000)

        Output Volume [dB]

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_tap_sigmoid

        PreGain[dB]=<number> (-90.000..20.000, default: 0.000)

        Pre Gain [dB]

        PostGain[dB]=<number> (-90.000..20.000, default: 0.000)

        Post Gain [dB]

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_tap_stereo_echo

        LDelay[ms]=<number> (0.000..2000.000, default: 100.000)

        L Delay [ms]

        LFeedback[%]=<number> (0.000..100.000, default: 100.000)

        L Feedback [%]

        R/HaasDelay[ms]=<number> (0.000..2000.000, default: 100.000)

        R/Haas Delay [ms]

        R/HaasFeedback[%]=<number> (0.000..100.000, default: 100.000)

        R/Haas Feedback [%]

        LEchoLevel[dB]=<number> (-70.000..10.000, default: 100.000)

        L Echo Level [dB]

        REchoLevel[dB]=<number> (-70.000..10.000, default: 100.000)

        R Echo Level [dB]

        DryLevel[dB]=<number> (-70.000..10.000, default: 100.000)

        Dry Level [dB]

        CrossMode=[1|0] (default: 1)

        Cross Mode

        HaasEffect=[1|0] (default: 1)

        Haas Effect

        SwapOutputs=[1|0] (default: 1)

        Swap Outputs

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_tap_tremolo

        Frequency[Hz]=<number> (0.000..20.000, default: 0.000)

        Frequency [Hz]

        Depth[%]=<number> (0.000..100.000, default: 0.000)

        Depth [%]

        Gain[dB]=<number> (-70.000..20.000, default: 0.000)

        Gain [dB]

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_tap_tubewarmth

        Drive=<number> (0.100..10.000, default: 2.575)

        Drive

        Tape--TubeBlend=<number> (-10.000..10.000, default: 10.000)

        Tape--Tube Blend

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_tap_vibrato

        Frequency[Hz]=<number> (0.000..30.000, default: 0.000)

        Frequency [Hz]

        Depth[%]=<number> (0.000..20.000, default: 0.000)

        Depth [%]

        DryLevel[dB]=<number> (-90.000..20.000, default: -90.000)

        Dry Level [dB]

        WetLevel[dB]=<number> (-90.000..20.000, default: -90.000)

        Wet Level [dB]

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_tapeDelay

        Tapespeed(inches/sec,1=normal)=<number> (0.000..10.000, default: 0.000)

        Tape speed (inches/sec, 1=normal)

        Drylevel(dB)=<number> (-90.000..0.000, default: -90.000)

        Dry level (dB)

        Tap1distance(inches)=<number> (0.000..4.000, default: -90.000)

        Tap 1 distance (inches)

        Tap1level(dB)=<number> (-90.000..0.000, default: -90.000)

        Tap 1 level (dB)

        Tap2distance(inches)=<number> (0.000..4.000, default: 1.000)

        Tap 2 distance (inches)

        Tap2level(dB)=<number> (-90.000..0.000, default: -90.000)

        Tap 2 level (dB)

        Tap3distance(inches)=<number> (0.000..4.000, default: 2.000)

        Tap 3 distance (inches)

        Tap3level(dB)=<number> (-90.000..0.000, default: -90.000)

        Tap 3 level (dB)

        Tap4distance(inches)=<number> (0.000..4.000, default: 3.000)

        Tap 4 distance (inches)

        Tap4level(dB)=<number> (-90.000..0.000, default: -90.000)

        Tap 4 level (dB)

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_transient

        Attackspeed=<number> (-1.000..1.000, default: 0.000)

        Attack speed

        Sustaintime=<number> (-1.000..1.000, default: 0.000)

        Sustain time

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_triplePara

        Low-shelvinggain(dB)=<number> (-70.000..30.000, default: 0.000)

        Low-shelving gain (dB)

        Low-shelvingfrequency(Hz)=<number> (0.000..0.490, default: 0.000)

        Low-shelving frequency (Hz)

        Low-shelvingslope=<number> (0.000..1.000, default: 0.500)

        Low-shelving slope

        Band1gain(dB)=<number> (-70.000..30.000, default: 0.500)

        Band 1 gain (dB)

        Band1frequency(Hz)=<number> (0.000..0.490, default: 0.001)

        Band 1 frequency (Hz)

        Band1bandwidth(octaves)=<number> (0.000..4.000, default: 0.001)

        Band 1 bandwidth (octaves)

        Band2gain(dB)=<number> (-70.000..30.000, default: 0.001)

        Band 2 gain (dB)

        Band2frequency(Hz)=<number> (0.000..0.490, default: 0.007)

        Band 2 frequency (Hz)

        Band2bandwidth(octaves)=<number> (0.000..4.000, default: 0.007)

        Band 2 bandwidth (octaves)

        Band3gain(dB)=<number> (-70.000..30.000, default: 0.007)

        Band 3 gain (dB)

        Band3frequency(Hz)=<number> (0.000..0.490, default: 0.059)

        Band 3 frequency (Hz)

        Band3bandwidth(octaves)=<number> (0.000..4.000, default: 0.059)

        Band 3 bandwidth (octaves)

        High-shelvinggain(dB)=<number> (-70.000..30.000, default: 0.059)

        High-shelving gain (dB)

        High-shelvingfrequency(Hz)=<number> (0.000..0.490, default: 0.490)

        High-shelving frequency (Hz)

        High-shelvingslope=<number> (0.000..1.000, default: 0.500)

        High-shelving slope

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_vcf303

        Trigger=[1|0] (default: 0)

        Trigger

        Cutoff=<number> (0.000..1.000, default: 0.000)

        Cutoff

        Resonance=<number> (0.000..1.000, default: 0.000)

        Resonance

        EnvelopeModulation=<number> (0.000..1.000, default: 0.000)

        Envelope Modulation

        Decay=<number> (0.000..1.000, default: 0.000)

        Decay

    Suboptions for fa_ladspa_valveRect

        Saglevel=<number> (0.000..1.000, default: 0.000)

        Sag level

        Distortion=<number> (0.000..1.000, default: 0.000)

        Distortion

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_valve

        Distortionlevel=<number> (0.000..1.000, default: 0.000)

        Distortion level

        Distortioncharacter=<number> (0.000..1.000, default: 0.000)

        Distortion character

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_volume

        volume=<number> (-90.00..20.00, default: 0.00)

        Volume

    Suboptions for fa_ladspa_vynil

        Year=<number> (1900.000..1990.000, default: 1990.000)

        Year

        RPM=<number> (33.000..78.000, default: 33.000)

        RPM

        Surfacewarping=<number> (0.000..1.000, default: 33.000)

        Surface warping

        Crackle=<number> (0.000..1.000, default: 33.000)

        Crackle

        Wear=<number> (0.000..1.000, default: 33.000)

        Wear

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_wshape_sine

        LimitingAmplitude=<number> (default: 0.000)

        Limiting Amplitude

    Suboptions for fa_ladspa_shaper

        Waveshape=<number> (-10.000..10.000, default: 0.000)

        Waveshape

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

    Suboptions for fa_ladspa_zm1

        $run_adding=[1|0] (default: 0)

        Add effect to input data

        $run_adding_gain=<number> (-70.00..0.00, default: 0.00)

        Add gain (dB)

        Overall gain for this filter. This is only valid if you add the effect to the input data

-vf <video filter options>
    Set video filter options
    video_filters={option[{suboptions}][:option[{suboptions}]...]}

    Supported options: fv_onedtv fv_agingtv fv_baltantv fv_blur fv_brokentv fv_burningtv fv_chameleontv fv_colorbalance fv_colstreaktv fv_cropscale fv_cycletv fv_decimate fv_deinterlace fv_dicetv fv_difftv fv_tcdisplay fv_displaywalltv fv_dottv fv_edgetv fv_edgeblurtv fv_equalizer fv_firetv fv_flip fv_framerate fv_pixelformat fv_interlace fv_invert fv_lenstv fv_lifetv fv_matrixtv fv_mosaictv fv_halftv fv_nervoustv fv_noisetv fv_oldcolor fv_optv fv_puptv fv_quarktv fv_colormatrix_rgb fv_rdstv fv_revtv fv_rippletv fv_rndmtv fv_shagadelictv fv_shift fv_simuratv fv_slofasttv fv_sparktv fv_spiraltv fv_streaktv fv_tlp fv_timedisttv fv_transform fv_transformtv fv_tctweak fv_vertigotv fv_warholtv fv_warptv fv_colormatrix_yuv fv_zoom bg_f0r_3 point color balance bg_f0r_3dflippo bg_f0r_B bg_f0r_Baltan bg_f0r_Brightness bg_f0r_Cartoon bg_f0r_Color Distance bg_f0r_Contrast0r bg_f0r_Curves bg_f0r_Defish0r bg_f0r_Delaygrab bg_f0r_Distort0r bg_f0r_Edgeglow bg_f0r_Equaliz0r bg_f0r_Flippo bg_f0r_G bg_f0r_Gamma bg_f0r_Glow bg_f0r_Hueshift0r bg_f0r_Invert0r bg_f0r_K-Means Clustering bg_f0r_Lens Correction bg_f0r_LetterB0xed bg_f0r_Levels bg_f0r_Luminance bg_f0r_Mask0Mate bg_f0r_Nervous bg_f0r_Nikon D90 Stairstepping fix bg_f0r_Perspective bg_f0r_R bg_f0r_RGB-Parade bg_f0r_SOP/Sat bg_f0r_Saturat0r bg_f0r_Scale0Tilt bg_f0r_Sobel bg_f0r_Squareblur bg_f0r_TehRoxx0r bg_f0r_Threshold0r bg_f0r_Tint0r bg_f0r_Transparency bg_f0r_Twolay0r bg_f0r_Vectorscope bg_f0r_Vertigo bg_f0r_Water bg_f0r_White Balance bg_f0r_alpha0ps bg_f0r_alphagrad bg_f0r_alphaspot bg_f0r_bluescreen0r bg_f0r_bw0r bg_f0r_c0rners bg_f0r_coloradj_RGB bg_f0r_delay0r bg_f0r_nosync0r bg_f0r_pixeliz0r bg_f0r_pr0be bg_f0r_pr0file bg_f0r_primaries bg_f0r_scanline0r bg_f0r_select0r bg_f0r_threelay0r Video Filters

    Suboptions for fv_blur

        mode=<string>

        Supported strings: gauss triangular box

        Default: gauss

        Mode

        radius_h=<number> (0.5..50.0, default: 0.5)

        Horizontal radius

        radius_v=<number> (0.5..50.0, default: 0.5)

        Vertical radius

        blur_chroma=[1|0] (default: 0)

        Blur chroma planes

        correct_nonsquare=[1|0] (default: 0)

        Correct radii for nonsquare pixels

    Suboptions for fv_burningtv

        mode=<string>

        Supported strings: fg all

        Default: all

        Mode

    Suboptions for fv_chameleontv

        mode=<string>

        Supported strings: app disapp

        Default: disapp

        Mode

    Suboptions for fv_colorbalance

        r=<number> (0.00..2.00, default: 1.00)

        Red gain

        g=<number> (0.00..2.00, default: 1.00)

        Green gain

        b=<number> (0.00..2.00, default: 1.00)

        Blue gain

        n=[1|0] (default: 0)

        Normalize

        Normalize for constant luminance.

    Suboptions for fv_colstreaktv

        blendnum=<number> (1..10, default: 4)

        Blend num

    Suboptions for fv_cropscale

        crl=<number> (0.000..100000.000, default: 0.000)

        Crop left

        Cut this many pixels from the left border of the source images.

        crr=<number> (0.000..100000.000, default: 0.000)

        Crop right

        Cut this many pixels from the right border of the source images.

        crt=<number> (0.000..100000.000, default: 0.000)

        Crop top

        Cut this many pixels from the top border of the source images.

        crb=<number> (0.000..100000.000, default: 0.000)

        Crop bottom

        Cut this many pixels from the bottom border of the source images.

        s=<string>

        Supported strings: from_input user_defined pal_d1 pal_d1_wide pal_dv pal_dv_wide pal_cvd pal_vcd pal_svcd pal_svcd_wide ntsc_d1 ntsc_d1_wide ntsc_dv ntsc_dv_wide ntsc_cvd ntsc_vcd ntsc_svcd ntsc_svcd_wide 720 1080 vga qvga sqcif qcif cif 4cif 16cif

        Default: from_input

        Image size

        Set the output image size. For a user defined size, you must specify the width and height as well as the pixel width and pixel height.

        w=<number> (1..100000, default: 640)

        User defined width

        User defined width in pixels. Only meaningful if you selected "User defined" for the image size.

        h=<number> (1..100000, default: 480)

        User defined height

        User defined height in pixels. Only meaningful if you selected "User defined" for the image size.

        sw=<number> (1..100000, default: 1)

        User defined pixel width

        User defined pixel width. Only meaningful if you selected "User defined" for the image size.

        sh=<number> (1..100000, default: 1)

        User defined pixel height

        User defined pixel height. Only meaningful if you selected "User defined" for the image size.

        ka=[1|0] (default: 1)

        Maintain aspect ratio

        Let the aspect ratio appear the same as in the source, probably resulting in additional borders.

        bc=<r>,<g>,<b> (default: 0.000,0.000,0.000)

        <r>, <g> and <b> are in the range 0.0..1.0

        Border color

        Color of the image borders.

        squeeze=<number> (-1.000..1.000, default: 0.000)

        Squeeze

        zoom=<number> (20..180, default: 100)

        Zoom

        sm=<string>

        Supported strings: auto nearest bilinear quadratic cubic_bspline cubic_mitchell cubic_catmull sinc_lanczos

        Default: auto

        Scale mode

        Choose scaling method. Auto means to choose based on the conversion quality. Nearest is fastest, Sinc with Lanczos window is slowest.

        so=<number> (4..1000, default: 4)

        Scale order

        Order for sinc scaling

        downscale_filter=<string>

        Supported strings: auto none wide gauss

        Default: auto

        Antialiasing for downscaling

        Specifies the antialiasing filter to be used when downscaling images.

        downscale_blur=<number> (0.00..2.00, default: 1.00)

        Blur factor for downscaling

        Specifies how much blurring should be applied when downscaling. Smaller values can speed up scaling, but might result in strong aliasing.

        chroma_output=<string>

        Supported strings: from_input 444 422 420mpeg1 420mpeg2 420paldv 411

        Default: from_input

        Chroma output

        Set the output chroma format to that of the destination. This can save one chroma scaling operation at a later stage. It only works if the input pixelformat is otherwise compatible to the output.

        deinterlace=<string>

        Supported strings: never auto always

        Default: never

        Deinterlace

        ddm=<string>

        Supported strings: top bottom

        Default: top

        Drop mode

        Specifies which field the deinterlacer should drop.

    Suboptions for fv_decimate

        threshold_block=<number> (0.00..1.00, default: 0.00)

        Block threshold

        Specifies how much a block may differ from the last non-skipped block. 0 means identical blocks, 1 means completely different blocks. Note that the meaning of "completely different" depends on the colorspace.

        threshold_total=<number> (0.00..1.00, default: 0.00)

        Total threshold

        Specifies how much a frame may differ from the last non-skipped frame. 0 means identical frames, 1 means completely different frames. Note that the meaning of "completely different" depends on the colorspace.

        skip_max=<number> (1..500, default: 10)

        Maximum skipped frames

        Maximum number of consecutive skipped frames

        do_log=[1|0] (default: 0)

        Report results

        Log reports about skipped frames

    Suboptions for fv_deinterlace

        method=<string>

        Supported strings: none copy scale_hw scale_sw blend yadif yadif_fast

        Default: none

        Method

        force=[1|0] (default: 0)

        Force deinterlacing

        Always perform deinterlacing even if the source format pretends to be progressive

        output_mode=<string>

        Supported strings: top bottom first second both

        Default: top

        Output mode

        Specify which field to output. Outputting both fields is not always supported.

        sm=<string>

        Supported strings: auto nearest bilinear quadratic cubic_bspline cubic_mitchell cubic_catmull sinc_lanczos

        Default: auto

        Scale mode

        Choose scaling method. Auto means to choose based on the conversion quality. Nearest is fastest, Sinc with Lanczos window is slowest.

        so=<number> (4..1000, default: 4)

        Scale order

        Order for sinc scaling

    Suboptions for fv_dicetv

        g_cube_bits=<number> (0..5, default: 4)

        Square Size

    Suboptions for fv_difftv

        tolerance=<number> (0..255, default: 10)

        Tolerance

    Suboptions for fv_tcdisplay

        interpolate=[1|0] (default: 1)

        Interpolate missing

        Interpolate missing timecodes

        color=<r>,<g>,<b>,<a> (default: 1.000,1.000,1.000,1.000)

        <r>, <g>, <b> and <a> are in the range 0.0..1.0

        Text color

        border_color=<r>,<g>,<b> (default: 0.000,0.000,0.000)

        <r>, <g> and <b> are in the range 0.0..1.0

        Border color

        border_width=<number> (0.00..10.00, default: 2.00)

        Border width

        font=<string> (Default: Courier-20)

        Font

        justify_h=<string>

        Supported strings: center left right

        Default: right

        Horizontal justify

        justify_v=<string>

        Supported strings: center top bottom

        Default: top

        Vertical justify

        border_left=<number> (0..65535, default: 10)

        Left border

        Distance from the left text border to the image border

        border_right=<number> (0..65535, default: 10)

        Right border

        Distance from the right text border to the image border

        border_top=<number> (0..65535, default: 10)

        Top border

        Distance from the top text border to the image border

        border_bottom=<number> (0..65535, default: 10)

        Bottom border

        Distance from the bottom text border to the image border

    Suboptions for fv_displaywalltv

        scale=<number> (1..9, default: 3)

        Scale

        speedx=<number> (-100..100, default: 10)

        Horizontal scroll speed

        speedy=<number> (-100..100, default: 10)

        Vertical scroll speed

    Suboptions for fv_dottv

        mode=<string>

        Supported strings: dots hearts

        Default: dots

        Mode

    Suboptions for fv_edgeblurtv

        color=<r>,<g>,<b> (default: 1.000,1.000,1.000)

        <r>, <g> and <b> are in the range 0.0..1.0

        Color

    Suboptions for fv_equalizer

        brightness=<number> (-10.0..10.0, default: 0.0)

        Brightness

        contrast=<number> (-10.0..10.0, default: 0.0)

        Contrast

        saturation=<number> (-10.0..10.0, default: 0.0)

        Saturation

        hue=<number> (-180.0..180.0, default: 0.0)

        Hue

    Suboptions for fv_firetv

        mode=<string>

        Supported strings: fg light dark

        Default: all

        Mode

    Suboptions for fv_flip

        flip_h=[1|0] (default: 0)

        Flip horizontally

        flip_v=[1|0] (default: 0)

        Flip vertically

    Suboptions for fv_framerate

        framerate=<string>

        Supported strings: from_source user_defined 23_976 24 25 29_970 30 50 59_940 60

        Default: from_source

        Framerate

        Output framerate. For user defined framerate, enter the timescale and frame duration below (framerate = timescale / frame duration).

        timescale=<number> (1..100000, default: 25)

        Timescale

        Timescale for user defined output framerate (Framerate = timescale / frame duration).

        frame_duration=<number> (1..100000, default: 1)

        Frame duration

        Frame duration for user defined output framerate (Framerate = timescale / frame duration).

    Suboptions for fv_pixelformat

        pixelformat=<string>

        Supported strings: 8 bpp gray 16 bpp gray Float gray 16 bpp gray + alpha 32 bpp gray + alpha Float gray + alpha 15 bpp RGB 15 bpp BGR 16 bpp RGB 16 bpp BGR 24 bpp RGB 24 bpp BGR 32 bpp RGB 32 bpp BGR 32 bpp RGBA 48 bpp RGB 64 bpp RGBA Float RGB Float RGBA YUV 422 (YUY2) YUV 422 (UYVY) YUVA 4444 (8 bit) YUVA 4444 (16 bit) YUVA 4444 (float) YUV 444 (float) YUV 420 Planar YUV 410 Planar YUV 411 Planar YUV 422 Planar YUV 422 Planar (16 bit) YUV 444 Planar YUV 444 Planar (16 bit) YUVJ 420 Planar YUVJ 422 Planar YUVJ 444 Planar

        Default: YUV 420 Planar

        Pixelformat

    Suboptions for fv_interlace

        field_order=<string>

        Supported strings: top bottom

        Default: top

        Output field order

    Suboptions for fv_invert

        r=[1|0] (default: 1)

        Invert red

        g=[1|0] (default: 1)

        Invert green

        b=[1|0] (default: 1)

        Invert blue

        a=[1|0] (default: 1)

        Invert alpha

    Suboptions for fv_lenstv

        x=<number> (0.00..1.00, default: 0.25)

        X

        y=<number> (0.00..1.00, default: 0.25)

        Y

        lens_width=<number> (0.00..1.00, default: 0.25)

        Diameter

        lens_zoom=<number> (5..200, default: 30)

        Zoom

    Suboptions for fv_matrixtv

        mode=[1|0] (default: 0)

        Blend

    Suboptions for fv_halftv

        mode=<string>

        Supported strings: delay scratch nervous

        Default: delay

        Mode

        direction=<string>

        Supported strings: left right top bottom

        Default: right

        Direction

        mirror=<string>

        Supported strings: normal mirror copy

        Default: mirror

        Mirror

        delay=<number> (0..31, default: 10)

        Delay

    Suboptions for fv_nervoustv

        mode=<string>

        Supported strings: random scratch

        Default: random

        Mode

    Suboptions for fv_oldcolor

        style=<string>

        Supported strings: bw tech1 tech2

        Default: tech1

        Style

        strength=<number> (0.000..1.000, default: 1.000)

        Strength

        r_gain=<number> (0.000..2.000, default: 1.000)

        Red gain

        g_gain=<number> (0.000..2.000, default: 1.000)

        Green gain

        b_gain=<number> (0.000..2.000, default: 1.000)

        Blue gain

    Suboptions for fv_optv

        mode=<string>

        Supported strings: maelstrom radiation perspective vertical

        Default: maelstrom

        Mode

        speed=<number> (-64..64, default: 16)

        Speed

    Suboptions for fv_puptv

        mode=<string>

        Supported strings: horizontal vertical diagonal dissolution random raster

        Default: horizontal

        Mode

        strength=<number> (0.00..1.00, default: 0.20)

        Strength

    Suboptions for fv_colormatrix_rgb

        r_to_r=<number> (-2.000..2.000, default: 1.000)

        Red -> Red

        g_to_r=<number> (-2.000..2.000, default: 0.000)

        Green -> Red

        b_to_r=<number> (-2.000..2.000, default: 0.000)

        Blue -> Red

        a_to_r=<number> (-2.000..2.000, default: 0.000)

        Alpha -> Red

        off_r=<number> (-2.000..2.000, default: 0.000)

        Red offset

        r_to_g=<number> (-2.000..2.000, default: 0.000)

        Red -> Green

        g_to_g=<number> (-2.000..2.000, default: 1.000)

        Green -> Green

        b_to_g=<number> (-2.000..2.000, default: 0.000)

        Blue -> Green

        a_to_g=<number> (-2.000..2.000, default: 0.000)

        Alpha -> Green

        off_g=<number> (-2.000..2.000, default: 0.000)

        Green offset

        r_to_b=<number> (-2.000..2.000, default: 0.000)

        Red -> Blue

        g_to_b=<number> (-2.000..2.000, default: 0.000)

        Green -> Blue

        b_to_b=<number> (-2.000..2.000, default: 1.000)

        Blue -> Blue

        a_to_b=<number> (-2.000..2.000, default: 0.000)

        Alpha -> Blue

        off_b=<number> (-2.000..2.000, default: 0.000)

        Blue offset

        r_to_a=<number> (-2.000..2.000, default: 0.000)

        Red -> Alpha

        g_to_a=<number> (-2.000..2.000, default: 0.000)

        Green -> Alpha

        b_to_a=<number> (-2.000..2.000, default: 0.000)

        Blue -> Alpha

        a_to_a=<number> (-2.000..2.000, default: 1.000)

        Alpha -> Alpha

        off_a=<number> (-2.000..2.000, default: 0.000)

        Alpha offset

        force_alpha=[1|0] (default: 0)

        Force alpha

        Create video with alpha channel even if the input format has no alpha channel. Use this to generate the alpha channel from other channels using the colormatrix.

    Suboptions for fv_rdstv

        method=<string>

        Supported strings: wall cross

        Default: wall

        Method

    Suboptions for fv_revtv

        fg_color=<r>,<g>,<b> (default: 1.000,1.000,1.000)

        <r>, <g> and <b> are in the range 0.0..1.0

        Line color

        bg_color=<r>,<g>,<b> (default: 0.000,0.000,0.000)

        <r>, <g> and <b> are in the range 0.0..1.0

        Background

        spacing=<number> (0.000..1.000, default: 0.100)

        Spacing

        amplitude=<number> (0.00..1.00, default: 0.10)

        Amplitude

        vgrabtime=<number> (1..10, default: 1)

        Grab interval

    Suboptions for fv_rippletv

        mode=<string>

        Supported strings: motion rain

        Default: motion

        Mode

        loopnum=<number> (1..5, default: 2)

        Speed

        strength=<number> (1..10, default: 8)

        Strength

        decay_cfg=<number> (1..15, default: 8)

        Decay

    Suboptions for fv_rndmtv

        rmode=[1|0] (default: 1)

        Color

    Suboptions for fv_shagadelictv

        mask_r=[1|0] (default: 1)

        Red mask

        mask_g=[1|0] (default: 1)

        Green mask

        mask_b=[1|0] (default: 1)

        Blue mask

    Suboptions for fv_shift

        shift=<number> (0..8, default: 0)

        Bits to shift

    Suboptions for fv_simuratv

        color=<r>,<g>,<b> (default: 0.000,0.000,0.000)

        <r>, <g> and <b> are in the range 0.0..1.0

        Color

        mirror_mode=<string>

        Supported strings: no l r d dl dr u ul ur

        Default: no

        Mirror mode

    Suboptions for fv_sparktv

        mode=<string>

        Supported strings: fg light dark

        Default: all

        Mode

    Suboptions for fv_spiraltv

        mode=<string>

        Supported strings: Concentric A Sawtooth Up Sawtooth Down Triangle Sinusoidal Concentric B Lens Flat

        Default: Concentric A

        Mode

        g_focus_interval=<number> (0..60, default: 6)

        Focus interval

        center_x=<number> (0.000..1.000, default: 0.500)

        Center x

        center_y=<number> (0.000..1.000, default: 0.500)

        Center y

        g_depth_shift=<number> (0..5, default: 0)

        Depth shift

    Suboptions for fv_tlp

        factor=<number> (0.00..1.00, default: 0.50)

        Strength

        0 means no effect, 1 means maximum (= still image)

        quality=<number> (1..5, default: 2)

        Quality

    Suboptions for fv_transform

        tm=<string>

        Supported strings: rotate affine perspective lens_effect whirl

        Default: rotate

        Transformation mode

        Choose Transformation method. Each method can be configured in it's section.

        im=<string>

        Supported strings: auto nearest bilinear quadratic cubic_bspline

        Default: auto

        Interpolation mode

        Choose interpolation method. Auto means to choose based on the conversion quality. Nearest is fastest, Bicubic is slowest.

        bg_color=<r>,<g>,<b>,<a> (default: 0.000,0.000,0.000,1.000)

        <r>, <g>, <b> and <a> are in the range 0.0..1.0

        Background color

        rotate_angle=<number> (-360.00..360.00, default: 0.00)

        Angle

        affine_xx=<number> (-2.000..2.000, default: 1.000)

        X -> X

        affine_xy=<number> (-2.000..2.000, default: 0.000)

        X -> Y

        affine_yx=<number> (-2.000..2.000, default: 0.000)

        Y -> X

        affine_yy=<number> (-2.000..2.000, default: 1.000)

        Y -> Y

        affine_ox=<number> (-1.000..1.000, default: 0.000)

        X Offset

        Normalized X offset. 1 corresponds to image with.

        affine_oy=<number> (-1.000..1.000, default: 0.000)

        Y Offset

        Normalized Y offset. 1 corresponds to image height.

        perspective_tl=<x>,<y> (default: 0.000,0.000)

        <r>, <g> and <b> are in the range 0.0..1.0

        Top left

        Top left corner in normalized image coordinates

        perspective_tr=<x>,<y> (default: 1.000,0.000)

        <r>, <g> and <b> are in the range 0.0..1.0

        Top right

        Top right corner in normalized image coordinates

        perspective_bl=<x>,<y> (default: 0.000,1.000)

        <r>, <g> and <b> are in the range 0.0..1.0

        Bottom left

        Bottom left corner in normalized image coordinates

        perspective_br=<x>,<y> (default: 1.000,1.000)

        <r>, <g> and <b> are in the range 0.0..1.0

        Bottom right

        Bottom right corner in normalized image coordinates

        lens_effect_pos=<x>,<y> (default: 0.500,0.500)

        <r>, <g> and <b> are in the range 0.0..1.0

        Position

        Center of the lens

        lens_effect_diameter=<number> (0.00..1.00, default: 0.25)

        Diameter

        Diamater of the lens (1 is image size)

        lens_effect_zoom=<number> (5.00..200.00, default: 20.00)

        Zoom

        Zoom factor

        whirl_center=<x>,<y> (default: 0.500,0.500)

        <r>, <g> and <b> are in the range 0.0..1.0

        Center

        whirl_radius=<number> (0.00..1.00, default: 0.50)

        Radius

        whirl_pinch=<number> (0.00..1.00, default: 0.50)

        Pinch

        whirl_angle=<number> (0.00..360.00, default: 30.00)

        Angle

    Suboptions for fv_transformtv

        transform=<number> (0..5, default: 0)

        Transformation

    Suboptions for fv_tctweak

        mode=<string>

        Supported strings: off interpolate remove_redundant remove_all add add_first

        Default: off

        Mode

        int_framerate=<number> (1..999, default: 25)

        Integer framerate

        Set the integer framerate used when adding new timecodes

        drop=[1|0] (default: 0)

        Drop frame

        Set the if drop frame is used when adding new timecodes

        hours=<number> (0..23, default: 0)

        Start hour

        Set the start hours used when adding new timecodes

        minutes=<number> (0..59, default: 0)

        Start minute

        Set the start minutes used when adding new timecodes

        seconds=<number> (0..59, default: 0)

        Start second

        Set the start seconds used when adding new timecodes

        frames=<number> (0..999, default: 0)

        Start frames

        Set the start frames used when adding new timecodes

    Suboptions for fv_vertigotv

        phase_increment=<number> (0.01..1.00, default: 0.02)

        Phase increment

        zoomrate=<number> (1.01..1.10, default: 1.01)

        Zoom rate

    Suboptions for fv_colormatrix_yuv

        y_to_y=<number> (-2.000..2.000, default: 1.000)

        Luminance -> Luminance

        u_to_y=<number> (-2.000..2.000, default: 0.000)

        Cb -> Luminance

        v_to_y=<number> (-2.000..2.000, default: 0.000)

        Cr -> Luminance

        a_to_y=<number> (-2.000..2.000, default: 0.000)

        Alpha -> Luminance

        off_y=<number> (-2.000..2.000, default: 0.000)

        Luminance offset

        r_to_u=<number> (-2.000..2.000, default: 0.000)

        Luminance -> Cb

        u_to_u=<number> (-2.000..2.000, default: 1.000)

        Cb -> Cb

        b_to_u=<number> (-2.000..2.000, default: 0.000)

        Cr -> Cb

        a_to_u=<number> (-2.000..2.000, default: 0.000)

        Alpha -> Cb

        off_u=<number> (-2.000..2.000, default: 0.000)

        Cb offset

        y_to_v=<number> (-2.000..2.000, default: 0.000)

        Luminance -> Cr

        u_to_v=<number> (-2.000..2.000, default: 0.000)

        Cb -> Cr

        v_to_v=<number> (-2.000..2.000, default: 1.000)

        Cr -> Cr

        a_to_v=<number> (-2.000..2.000, default: 0.000)

        Alpha -> Cr

        off_v=<number> (-2.000..2.000, default: 0.000)

        Cr offset

        y_to_a=<number> (-2.000..2.000, default: 0.000)

        Luminance -> Alpha

        u_to_a=<number> (-2.000..2.000, default: 0.000)

        Cb -> Alpha

        v_to_a=<number> (-2.000..2.000, default: 0.000)

        Cr -> Alpha

        a_to_a=<number> (-2.000..2.000, default: 1.000)

        Alpha -> Alpha

        off_a=<number> (-2.000..2.000, default: 0.000)

        Alpha offset

        force_alpha=[1|0] (default: 0)

        Force alpha

        Create video with alpha channel even if the input format has no alpha channel. Use this to generate the alpha channel from other channels using the colormatrix.

    Suboptions for fv_zoom

        zoom_h=<number> (0.50..2.00, default: 1.00)

        Zoom horizontally

        zoom_v=<number> (0.50..2.00, default: 1.00)

        Zoom vertically

        sm=<string>

        Supported strings: auto nearest bilinear quadratic cubic_bspline cubic_mitchell cubic_catmull sinc_lanczos

        Default: auto

        Scale mode

        Choose scaling method. Auto means to choose based on the conversion quality. Nearest is fastest, Sinc with Lanczos window is slowest.

        so=<number> (4..1000, default: 4)

        Scale order

        Order for sinc scaling

        downscale_filter=<string>

        Supported strings: auto none wide gauss

        Default: auto

        Antialiasing for downscaling

        Specifies the antialiasing filter to be used when downscaling images.

        downscale_blur=<number> (0.00..2.00, default: 1.00)

        Blur factor for downscaling

        Specifies how much blurring should be applied when downscaling. Smaller values can speed up scaling, but might result in strong aliasing.

        quality=<number> (1..5, default: 2)

        Quality

        bg_color=<r>,<g>,<b>,<a> (default: 0.000,0.000,0.000,1.000)

        <r>, <g>, <b> and <a> are in the range 0.0..1.0

        Background color

    Suboptions for bg_f0r_3 point color balance

        Blackcolor=<r>,<g>,<b> (default: 0.000,0.000,0.000)

        <r>, <g> and <b> are in the range 0.0..1.0

        Black color

        Black color

        Graycolor=<r>,<g>,<b> (default: 0.500,0.500,0.500)

        <r>, <g> and <b> are in the range 0.0..1.0

        Gray color

        Gray color

        Whitecolor=<r>,<g>,<b> (default: 1.000,1.000,1.000)

        <r>, <g> and <b> are in the range 0.0..1.0

        White color

        White color

        Splitpreview=[1|0] (default: 1)

        Split preview

        Split privew

        Sourceimageonleftside=[1|0] (default: 1)

        Source image on left side

        Source image on left side

    Suboptions for bg_f0r_3dflippo

        Xaxisrotation=<number> (0.0000..1.0000, default: 0.5000)

        X axis rotation

        Rotation on the X axis

        Yaxisrotation=<number> (0.0000..1.0000, default: 0.5000)

        Y axis rotation

        Rotation on the Y axis

        Zaxisrotation=<number> (0.0000..1.0000, default: 0.5000)

        Z axis rotation

        Rotation on the Z axis

        Xaxisrotationrate=<number> (0.0000..1.0000, default: 0.5000)

        X axis rotation rate

        Rotation rate on the X axis

        Yaxisrotationrate=<number> (0.0000..1.0000, default: 0.5000)

        Y axis rotation rate

        Rotation rate on the Y axis

        Zaxisrotationrate=<number> (0.0000..1.0000, default: 0.5000)

        Z axis rotation rate

        Rotation rate on the Z axis

        Centerposition(X)=<number> (0.0000..1.0000, default: 0.0000)

        Center position (X)

        Position of the center of rotation on the X axis

        Centerposition(Y)=<number> (0.0000..1.0000, default: 0.0000)

        Center position (Y)

        Position of the center of rotation on the Y axis

        Invertrotationassignment=[1|0] (default: 0)

        Invert rotation assignment

        If true, when mapping rotation, make inverted (wrong) assignment

        Don'tblankmask=[1|0] (default: 0)

        Don't blank mask

        Mask for frame transposition is not blanked, so a trace of old transpositions is maintained

        Fillwithimageorblack=[1|0] (default: 0)

        Fill with image or black

        If true, pixels that are not transposed are black, otherwise, they are copied with the original

    Suboptions for bg_f0r_Brightness

        Brightness=<number> (0.0000..1.0000, default: 0.5000)

        Brightness

        The brightness value

    Suboptions for bg_f0r_Cartoon

        triplevel=<number> (0.0000..1.0000, default: 1000.0000)

        triplevel

        level of trip: use high numbers, incremented by 100

        diffspace=<number> (0.0000..1.0000, default: 1.0000)

        diffspace

        difference space: a value from 0 to 256

    Suboptions for bg_f0r_Color Distance

        Color=<r>,<g>,<b> (default: 0.500,0.500,0.500)

        <r>, <g> and <b> are in the range 0.0..1.0

        Color

        The Source Color

    Suboptions for bg_f0r_Contrast0r

        Contrast=<number> (0.0000..1.0000, default: 0.5000)

        Contrast

        The contrast value

    Suboptions for bg_f0r_Curves

        Channel=<number> (0.0000..1.0000, default: 0.0000)

        Channel

        Channel to adjust levels (1 = RED; 2 = GREEN; 3 = BLUE; 4 = LUMA)

        Showcurves=[1|0] (default: 1)

        Show curves

        Draw curve graph on output image

        Graphposition=<number> (0.0000..1.0000, default: 3.0000)

        Graph position

        Output image corner where curve graph will be drawn (1 = TOP,LEFT; 2 = TOP,RIGHT; 3 = BOTTOM,LEFT; 4 = BOTTOM, RIGHT)

        Curvepointnumber=<number> (0.0000..1.0000, default: 2.0000)

        Curve point number

        Number of point to use to build curve

        Point1inputvalue=<number> (0.0000..1.0000, default: 1.0000)

        Point 1 input value

        Point 1 input value

        Point1outputvalue=<number> (0.0000..1.0000, default: 1.0000)

        Point 1 output value

        Point 1 output value

        Point2inputvalue=<number> (0.0000..1.0000, default: 1.0000)

        Point 2 input value

        Point 2 input value

        Point2outputvalue=<number> (0.0000..1.0000, default: 1.0000)

        Point 2 output value

        Point 2 output value

        Point3inputvalue=<number> (0.0000..1.0000, default: 1.0000)

        Point 3 input value

        Point 3 input value

        Point3outputvalue=<number> (0.0000..1.0000, default: 1.0000)

        Point 3 output value

        Point 3 output value

        Point4inputvalue=<number> (0.0000..1.0000, default: 1.0000)

        Point 4 input value

        Point 4 input value

        Point4outputvalue=<number> (0.0000..1.0000, default: 1.0000)

        Point 4 output value

        Point 4 output value

        Point5inputvalue=<number> (0.0000..1.0000, default: 1.0000)

        Point 5 input value

        Point 5 input value

        Point5outputvalue=<number> (0.0000..1.0000, default: 1.0000)

        Point 5 output value

        Point 5 output value

    Suboptions for bg_f0r_Defish0r

        Amount=<number> (0.0000..1.0000, default: 0.0000)

        Amount

        Focal Ratio

        DeFish=[1|0] (default: 0)

        DeFish

        Fish or Defish

        Type=<number> (0.0000..1.0000, default: 0.6667)

        Type

        Mapping function

        Scaling=<number> (0.0000..1.0000, default: 0.6667)

        Scaling

        Scaling method

        ManualScale=<number> (0.0000..1.0000, default: 0.5000)

        Manual Scale

        Manual Scale

        Interpolator=<number> (0.0000..1.0000, default: 0.1667)

        Interpolator

        Quality of interpolation

        Aspecttype=<number> (0.0000..1.0000, default: 0.0000)

        Aspect type

        Pixel aspect ratio presets

        ManualAspect=<number> (0.0000..1.0000, default: 0.5000)

        Manual Aspect

        Manual Pixel Aspect ratio

    Suboptions for bg_f0r_Distort0r

        Amplitude=<number> (0.0000..1.0000, default: 1.0000)

        Amplitude

        The amplitude of the plasma signal

        Frequency=<number> (0.0000..1.0000, default: 0.0050)

        Frequency

        The frequency of the plasma signal

    Suboptions for bg_f0r_Edgeglow

        lthresh=<number> (0.0000..1.0000, default: 0.0000)

        lthresh

        threshold for edge lightening

        lupscale=<number> (0.0000..1.0000, default: 0.0000)

        lupscale

        multiplier for upscaling edge brightness

        lredscale=<number> (0.0000..1.0000, default: 0.0000)

        lredscale

        multiplier for downscaling non-edge brightness

    Suboptions for bg_f0r_Flippo

        Xaxis=[1|0] (default: 0)

        X axis

        Flipping on the horizontal axis

        Yaxis=[1|0] (default: 0)

        Y axis

        Flipping on the vertical axis

    Suboptions for bg_f0r_Gamma

        Gamma=<number> (0.0000..1.0000, default: 1.0000)

        Gamma

        The gamma value

    Suboptions for bg_f0r_Glow

        Blur=<number> (0.0000..1.0000, default: 0.0000)

        Blur

        Blur of the glow

    Suboptions for bg_f0r_Hueshift0r

        Hue=<number> (0.0000..1.0000, default: 0.0000)

        Hue

        The shift value

    Suboptions for bg_f0r_K-Means Clustering

        Num=<number> (0.0000..1.0000, default: 0.5000)

        Num

        The number of clusters

        Distweight=<number> (0.0000..1.0000, default: 0.5000)

        Dist weight

        The weight on distance

    Suboptions for bg_f0r_Lens Correction

        xcenter=<number> (0.0000..1.0000, default: 0.5000)

        xcenter

        ycenter=<number> (0.0000..1.0000, default: 0.5000)

        ycenter

        correctionnearcenter=<number> (0.0000..1.0000, default: 0.5000)

        correctionnearcenter

        correctionnearedges=<number> (0.0000..1.0000, default: 0.5000)

        correctionnearedges

        brightness=<number> (0.0000..1.0000, default: 0.5000)

        brightness

    Suboptions for bg_f0r_LetterB0xed

        BorderWidth=<number> (0.0000..1.0000, default: 0.4000)

        Border Width

        Transparency=[1|0] (default: 0)

        Transparency

    Suboptions for bg_f0r_Levels

        Channel=<number> (0.0000..1.0000, default: 0.0000)

        Channel

        Channel to adjust levels

        Inputblacklevel=<number> (0.0000..1.0000, default: 0.0000)

        Input black level

        Input black level

        Inputwhitelevel=<number> (0.0000..1.0000, default: 1.0000)

        Input white level

        Input white level

        Gamma=<number> (0.0000..1.0000, default: 0.2500)

        Gamma

        Gamma

        Blackoutput=<number> (0.0000..1.0000, default: 0.0000)

        Black output

        Black output

        Whiteoutput=<number> (0.0000..1.0000, default: 1.0000)

        White output

        White output

        Showhistogram=[1|0] (default: 1)

        Show histogram

        Show histogram

        Histogramposition=<number> (0.0000..1.0000, default: 3.0000)

        Histogram position

        Histogram position

    Suboptions for bg_f0r_Mask0Mate

        Left=<number> (0.0000..1.0000, default: 0.2000)

        Left

        Right=<number> (0.0000..1.0000, default: 0.2000)

        Right

        Top=<number> (0.0000..1.0000, default: 0.2000)

        Top

        Bottom=<number> (0.0000..1.0000, default: 0.2000)

        Bottom

        Invert=[1|0] (default: 0)

        Invert

        Invert the mask, creates a hole in the frame.

        Blur=<number> (0.0000..1.0000, default: 0.0000)

        Blur

        Blur the outline of the mask

    Suboptions for bg_f0r_Perspective

        TopLeft=<x>,<y> (default: 0.000,0.000)

        <r>, <g> and <b> are in the range 0.0..1.0

        Top Left

        TopRight=<x>,<y> (default: 1.000,0.000)

        <r>, <g> and <b> are in the range 0.0..1.0

        Top Right

        BottomLeft=<x>,<y> (default: 0.000,1.000)

        <r>, <g> and <b> are in the range 0.0..1.0

        Bottom Left

        BottomRight=<x>,<y> (default: 1.000,1.000)

        <r>, <g> and <b> are in the range 0.0..1.0

        Bottom Right

    Suboptions for bg_f0r_SOP/Sat

        rSlope=<number> (0.0000..1.0000, default: 1.0000)

        rSlope

        Slope of the red color component

        gSlope=<number> (0.0000..1.0000, default: 1.0000)

        gSlope

        Slope of the green color component

        bSlope=<number> (0.0000..1.0000, default: 1.0000)

        bSlope

        Slope of the blue color component

        aSlope=<number> (0.0000..1.0000, default: 1.0000)

        aSlope

        Slope of the alpha component

        rOffset=<number> (0.0000..1.0000, default: 0.0000)

        rOffset

        Offset of the red color component

        gOffset=<number> (0.0000..1.0000, default: 0.0000)

        gOffset

        Offset of the green color component

        bOffset=<number> (0.0000..1.0000, default: 0.0000)

        bOffset

        Offset of the blue color component

        aOffset=<number> (0.0000..1.0000, default: 0.0000)

        aOffset

        Offset of the alpha component

        rPower=<number> (0.0000..1.0000, default: 1.0000)

        rPower

        Power (Gamma) of the red color component

        gPower=<number> (0.0000..1.0000, default: 1.0000)

        gPower

        Power (Gamma) of the green color component

        bPower=<number> (0.0000..1.0000, default: 1.0000)

        bPower

        Power (Gamma) of the blue color component

        aPower=<number> (0.0000..1.0000, default: 1.0000)

        aPower

        Power (Gamma) of the alpha component

        saturation=<number> (0.0000..1.0000, default: 200.0000)

        saturation

        Overall saturation

    Suboptions for bg_f0r_Saturat0r

        Saturation=<number> (0.0000..1.0000, default: 0.0000)

        Saturation

        The saturation value

    Suboptions for bg_f0r_Scale0Tilt

        Clipleft=<number> (0.0000..1.0000, default: 0.0000)

        Clip left

        Clipright=<number> (0.0000..1.0000, default: 0.0000)

        Clip right

        Cliptop=<number> (0.0000..1.0000, default: 0.0000)

        Clip top

        Clipbottom=<number> (0.0000..1.0000, default: 0.0000)

        Clip bottom

        ScaleX=<number> (0.0000..1.0000, default: 0.5000)

        Scale X

        ScaleY=<number> (0.0000..1.0000, default: 0.5000)

        Scale Y

        TiltX=<number> (0.0000..1.0000, default: 0.5000)

        Tilt X

        TiltY=<number> (0.0000..1.0000, default: 0.5000)

        Tilt Y

    Suboptions for bg_f0r_Squareblur

        Kernelsize=<number> (0.0000..1.0000, default: 0.0000)

        Kernel size

        The size of the kernel, as a proportion to its coverage of the image

    Suboptions for bg_f0r_TehRoxx0r

        Interval=<number> (0.0000..1.0000, default: 0.0100)

        Interval

        Changing speed of small blocks

    Suboptions for bg_f0r_Threshold0r

        Threshold=<number> (0.0000..1.0000, default: 0.0000)

        Threshold

        The threshold

    Suboptions for bg_f0r_Tint0r

        Mapblackto=<r>,<g>,<b> (default: 0.000,0.000,0.000)

        <r>, <g> and <b> are in the range 0.0..1.0

        Map black to

        The color to map source color with null luminance

        Mapwhiteto=<r>,<g>,<b> (default: 0.500,1.000,0.500)

        <r>, <g> and <b> are in the range 0.0..1.0

        Map white to

        The color to map source color with full luminance

        Tintamount=<number> (0.0000..1.0000, default: 0.2500)

        Tint amount

        Amount of color

    Suboptions for bg_f0r_Transparency

        Transparency=<number> (0.0000..1.0000, default: 0.0000)

        Transparency

        The transparency value

    Suboptions for bg_f0r_Vertigo

        PhaseIncrement=<number> (0.0000..1.0000, default: 0.0200)

        PhaseIncrement

        Phase increment

        Zoomrate=<number> (0.0000..1.0000, default: 1.0100)

        Zoomrate

        Zoomrate

    Suboptions for bg_f0r_Water

        splash=<x>,<y> (default: 0.000,0.000)

        <r>, <g> and <b> are in the range 0.0..1.0

        splash

        make a big splash in the center

        physics=<number> (0.0000..1.0000, default: 0.0000)

        physics

        water density: from 1 to 4

        rain=[1|0] (default: 0)

        rain

        rain drops all over

        distort=[1|0] (default: 0)

        distort

        distort all surface like dropping a bucket to the floor

        smooth=[1|0] (default: 0)

        smooth

        smooth up all perturbations on the surface

        surfer=[1|0] (default: 0)

        surfer

        surf the surface with a wandering finger

        swirl=[1|0] (default: 0)

        swirl

        swirling whirpool in the center

        randomize_swirl=[1|0] (default: 0)

        randomize_swirl

        randomize the swirling angle

    Suboptions for bg_f0r_White Balance

        NeutralColor=<r>,<g>,<b> (default: 1.000,1.000,1.000)

        <r>, <g> and <b> are in the range 0.0..1.0

        Neutral Color

        Choose a color from the source image that should be white.

        GreenTint=<number> (0.0000..1.0000, default: 1.2000)

        Green Tint

        Adjust the level of green.

    Suboptions for bg_f0r_alpha0ps

        Display=<number> (0.0000..1.0000, default: 0.0000)

        Display

        Displayinputalpha=[1|0] (default: 0)

        Display input alpha

        Operation=<number> (0.0000..1.0000, default: 0.0000)

        Operation

        Threshold=<number> (0.0000..1.0000, default: 0.5000)

        Threshold

        Shrink/growamount=<number> (0.0000..1.0000, default: 0.3333)

        Shrink/grow amount

        Invert=[1|0] (default: 0)

        Invert

    Suboptions for bg_f0r_alphagrad

        Position=<number> (0.0000..1.0000, default: 0.5000)

        Position

        Transitionwidth=[1|0] (default: 0)

        Transition width

        Tilt=<number> (0.0000..1.0000, default: 0.5000)

        Tilt

        Min=<number> (0.0000..1.0000, default: 0.0000)

        Min

        Max=<number> (0.0000..1.0000, default: 1.0000)

        Max

        Operation=<number> (0.0000..1.0000, default: 0.0000)

        Operation

    Suboptions for bg_f0r_alphaspot

        Shape=<number> (0.0000..1.0000, default: 0.0000)

        Shape

        PositionX=<number> (0.0000..1.0000, default: 0.5000)

        Position X

        PositionY=<number> (0.0000..1.0000, default: 0.5000)

        Position Y

        SizeX=<number> (0.0000..1.0000, default: 0.1000)

        Size X

        SizeY=<number> (0.0000..1.0000, default: 0.1000)

        Size Y

        Tilt=<number> (0.0000..1.0000, default: 0.5000)

        Tilt

        Transitionwidth=<number> (0.0000..1.0000, default: 0.2000)

        Transition width

        Min=<number> (0.0000..1.0000, default: 0.0000)

        Min

        Max=<number> (0.0000..1.0000, default: 1.0000)

        Max

        Operation=<number> (0.0000..1.0000, default: 0.0000)

        Operation

    Suboptions for bg_f0r_bluescreen0r

        Color=<r>,<g>,<b> (default: 0.000,240.000,0.000)

        <r>, <g> and <b> are in the range 0.0..1.0

        Color

        The color to make transparent (B G R)

        Distance=<number> (0.0000..1.0000, default: 127.0000)

        Distance

        Distance to Color (127 is good)

    Suboptions for bg_f0r_c0rners

        Corner1X=<number> (0.0000..1.0000, default: 0.3333)

        Corner 1 X

        X coordinate of corner 1

        Corner1Y=<number> (0.0000..1.0000, default: 0.3333)

        Corner 1 Y

        Y coordinate of corner 1

        Corner2X=<number> (0.0000..1.0000, default: 0.6667)

        Corner 2 X

        X coordinate of corner 2

        Corner2Y=<number> (0.0000..1.0000, default: 0.3333)

        Corner 2 Y

        Y coordinate of corner 2

        Corner3X=<number> (0.0000..1.0000, default: 0.6667)

        Corner 3 X

        X coordinate of corner 3

        Corner3Y=<number> (0.0000..1.0000, default: 0.6667)

        Corner 3 Y

        Y coordinate of corner 3

        Corner4X=<number> (0.0000..1.0000, default: 0.3333)

        Corner 4 X

        X coordinate of corner 4

        Corner4Y=<number> (0.0000..1.0000, default: 0.6667)

        Corner 4 Y

        Y coordinate of corner 4

        EnableStretch=[1|0] (default: 0)

        Enable Stretch

        Enable stretching

        StretchX=<number> (0.0000..1.0000, default: 0.5000)

        Stretch X

        Amount of stretching in X direction

        StretchY=<number> (0.0000..1.0000, default: 0.5000)

        Stretch Y

        Amount of stretching in Y direction

        Interpolator=<number> (0.0000..1.0000, default: 0.1667)

        Interpolator

        Quality of interpolation

        TransparentBackground=[1|0] (default: 0)

        Transparent Background

        Makes background transparent

        FeatherAlpha=<number> (0.0000..1.0000, default: 0.0100)

        Feather Alpha

        Makes smooth transition into transparent

    Suboptions for bg_f0r_coloradj_RGB

        R=<number> (0.0000..1.0000, default: 0.5000)

        R

        Amount of red

        G=<number> (0.0000..1.0000, default: 0.5000)

        G

        Amount of green

        B=<number> (0.0000..1.0000, default: 0.5000)

        B

        Amount of blue

        Action=<number> (0.0000..1.0000, default: 0.3333)

        Action

        Type of color adjustment

        Keepluma=[1|0] (default: 1)

        Keep luma

        Don't change brightness

        Alphacontrolled=[1|0] (default: 0)

        Alpha controlled

        Adjust only areas with nonzero alpha

        Lumaformula=<number> (0.0000..1.0000, default: 0.5000)

        Luma formula

    Suboptions for bg_f0r_delay0r

        DelayTime=<number> (0.0000..1.0000, default: 0.0000)

        DelayTime

        the delay time

    Suboptions for bg_f0r_nosync0r

        HSync=<number> (0.0000..1.0000, default: 0.0000)

        HSync

        the hsync offset

    Suboptions for bg_f0r_pixeliz0r

        BlockSizeX=<number> (0.0000..1.0000, default: 0.4375)

        BlockSizeX

        Horizontal size of one "pixel"

        BlockSizeY=<number> (0.0000..1.0000, default: 0.4375)

        BlockSizeY

        Vertical size of one "pixel"

    Suboptions for bg_f0r_pr0be

        Measurement=<number> (0.0000..1.0000, default: 0.0000)

        Measurement

        What measurement to display

        X=<number> (0.0000..1.0000, default: 0.5000)

        X

        X position of probe

        Y=<number> (0.0000..1.0000, default: 0.5000)

        Y

        Y position of probe

        Xsize=<number> (0.0000..1.0000, default: 0.2500)

        X size

        X size of probe

        Ysize=<number> (0.0000..1.0000, default: 0.2500)

        Y size

        Y size of probe

        256scale=[1|0] (default: 0)

        256 scale

        use 0-255 instead of 0.0-1.0

        Showalpha=[1|0] (default: 0)

        Show alpha

        Display alpha value too

        Bigwindow=[1|0] (default: 0)

        Big window

        Display more data

    Suboptions for bg_f0r_pr0file

        X=<number> (0.0000..1.0000, default: 0.5000)

        X

        X position of profile

        Y=<number> (0.0000..1.0000, default: 0.5000)

        Y

        Y position of profile

        Tilt=<number> (0.0000..1.0000, default: 0.5000)

        Tilt

        Tilt of profile

        Length=<number> (0.0000..1.0000, default: 0.1584)

        Length

        Length of profile

        Channel=<number> (0.0000..1.0000, default: 0.3750)

        Channel

        Channel to numerically display

        Marker1=<number> (0.0000..1.0000, default: -0.2000)

        Marker 1

        Position of marker 1

        Marker2=<number> (0.0000..1.0000, default: -0.2000)

        Marker 2

        Position of marker 2

        Rtrace=[1|0] (default: 1)

        R trace

        Show R trace on scope

        Gtrace=[1|0] (default: 1)

        G trace

        Show G trace on scope

        Btrace=[1|0] (default: 1)

        B trace

        Show B trace on scope

        Ytrace=[1|0] (default: 0)

        Y trace

        Show Y' trace on scope

        Prtrace=[1|0] (default: 0)

        Pr trace

        Show Pr trace on scope

        Pbtrace=[1|0] (default: 0)

        Pb trace

        Show Pb trace on scope

        Alphatrace=[1|0] (default: 0)

        Alpha trace

        Show Alpha trace on scope

        Displayaverage=[1|0] (default: 1)

        Display average

        e

        DisplayRMS=[1|0] (default: 1)

        Display RMS

        Displayminimum=[1|0] (default: 0)

        Display minimum

        Displaymaximum=[1|0] (default: 0)

        Display maximum

        256scale=[1|0] (default: 0)

        256 scale

        use 0-255 instead of 0.0-1.0

        Color=<number> (0.0000..1.0000, default: 0.0000)

        Color

        rec 601 or rec 709

        Crosshaircolor=<number> (0.0000..1.0000, default: 0.0000)

        Crosshair color

        Color of the profile marker

    Suboptions for bg_f0r_primaries

        Factor=<number> (0.0000..1.0000, default: 1.0000)

        Factor

        influence of mean px value. > 32 = 0

    Suboptions for bg_f0r_select0r

        Colortoselect=<r>,<g>,<b> (default: 0.000,0.800,0.000)

        <r>, <g> and <b> are in the range 0.0..1.0

        Color to select

        Invertselection=[1|0] (default: 0)

        Invert selection

        DeltaR/A/Hue=<number> (0.0000..1.0000, default: 0.2000)

        Delta R / A / Hue

        DeltaG/B/Chroma=<number> (0.0000..1.0000, default: 0.2000)

        Delta G / B / Chroma

        DeltaB/I/I=<number> (0.0000..1.0000, default: 0.2000)

        Delta B / I / I

        Selectionsubspace=<number> (0.0000..1.0000, default: 0.0000)

        Selection subspace

        Subspaceshape=<number> (0.0000..1.0000, default: 0.0000)

        Subspace shape

        Edgemode=<number> (0.0000..1.0000, default: 0.0000)

        Edge mode

        Operation=<number> (0.0000..1.0000, default: 0.0000)

        Operation

-vm <video monitor options>
    Set video monitor options
    do_monitor=[1|0] (default: 1)

    Enable monitor

    plugin=option[{suboptions}]

    Supported options: ov_x11 ov_v4l2

    Default: ov_x11

    Plugin

    Suboptions for plugin=ov_x11

        auto_resize=[1|0] (default: 1)

        Auto resize window

        disable_xscreensaver_normal=[1|0] (default: 0)

        Disable Screensaver for normal playback

        disable_xscreensaver_fullscreen=[1|0] (default: 1)

        Disable Screensaver for fullscreen playback

        force_hw_scale=[1|0] (default: 1)

        Force hardware scaling

        Use hardware scaling even if it involves more CPU intensive pixelformat conversions

        background_color=<r>,<g>,<b> (default: 0.000,0.000,0.000)

        <r>, <g> and <b> are in the range 0.0..1.0

        Background color

        Specify the background color for videos with alpha channel. This is only used by the OpenGL driver.

        scale_mode=<string>

        Supported strings: auto nearest bilinear quadratic cubic_bspline cubic_mitchell cubic_catmull sinc_lanczos

        Default: auto

        Scale mode

        Choose scaling method. Auto means to choose based on the conversion quality. Nearest is fastest, Sinc with Lanczos window is slowest.

        scale_order=<number> (4..1000, default: 4)

        Scale order

        Order for sinc scaling

        scale_quality=<number> (1..5, default: 2)

        Scale quality

        Scale quality

    Suboptions for plugin=ov_v4l2

        device=option[{suboptions}]

        Supported options: /dev/video0

        Default: /dev/video0

        V4L2 Device

        force_rw=[1|0] (default: 1)

        Force write

        Don't use memory mapping

-m <metadata_options>
    Set metadata options
    metadata_mode=<string>

    Supported strings: static input player

    Default: static

    Metadata mode

    artist=<string>

    Artist

    title=<string>

    Title

    album=<string>

    Album

    track=<number> (default: 0)

    Track

    genre=<string>

    Genre

    author=<string>

    Author

    copyright=<string>

    Copyright

    date=<string>

    Date

    Complete date or year only

    comment=<string>

    Comment

-enc <encoding_options>
    Set encoding options
    encode_audio_to_video=[1|0] (default: 0)

    Write audio stream to video file if possible

    audio_encoder=option[{suboptions}]

    Supported options: e_wav e_vorbis e_speex e_flacogg e_flac e_lame e_faac e_mpegaudio e_ffmpeg_audio b_lame

    Default: e_wav

    Audio

    Suboptions for audio_encoder=e_wav

        write_info_chunk=[1|0] (default: 1)

        Write info chunk

        bits=<string>

        Supported strings: 8 16 24 32

        Default: 16

        Bits per sample

    Suboptions for audio_encoder=e_vorbis

        bitrate_mode=<string>

        Supported strings: vbr vbr_bitrate managed

        Default: VBR

        Bitrate mode

        Bitrate mode: VBR: You specify a quality and (optionally) a minimum and maximum bitrate VBR (bitrate): The specified nominal bitrate will be used for selecting the encoder mode. Managed: You specify a nominal bitrate and (optionally) a minimum and maximum bitrate VBR is recommended, managed bitrate might result in a worse quality

        nominal_bitrate=<number> (0..1000, default: 128)

        Nominal bitrate (kbps)

        Nominal bitrate (in kbps) for managed mode

        quality=<number> (0.0..10.0, default: 3.0)

        VBR Quality (10: best)

        Quality for VBR mode 10: best (largest output file) 0: worst (smallest output file)

        min_bitrate=<number> (0..1000, default: 0)

        Minimum bitrate (kbps)

        Optional minimum bitrate (in kbps) 0 = unspecified

        max_bitrate=<number> (0..1000, default: 0)

        Maximum bitrate (kbps)

        Optional maximum bitrate (in kbps) 0 = unspecified

    Suboptions for audio_encoder=e_speex

        mode=<string>

        Supported strings: auto nb wb uwb

        Default: auto

        Speex mode

        Encoding mode. If you select Auto, the mode will be taken from the samplerate.

        quality=<number> (0..10, default: 3)

        Quality (10: best)

        complexity=<number> (0..10, default: 3)

        Encoding complexity

        nframes=<number> (1..10, default: 1)

        Frames per Ogg packet

        bitrate=<number> (0..128, default: 8)

        Bitrate (kbps)

        Bitrate (in kbps). Set to 0 for seleting the standard bitrates for the encoding mode.

        vbr=[1|0] (default: 0)

        Variable bitrate

        abr_bitrate=<number> (0..128, default: 0)

        Average bitrate (kbps)

        Average bitrate (in kbps). Set to 0 for disabling ABR.

        vad=[1|0] (default: 0)

        Use voice activity detection

        dtx=[1|0] (default: 0)

        Enable file-based discontinuous transmission

    Suboptions for audio_encoder=e_flacogg

        bits=<string>

        Supported strings: 8 12 16 20 24

        Default: 16

        Bits

        compression_level=<number> (0..8, default: 5)

        Compression Level

        0: Fastest encoding, biggest files 8: Slowest encoding, smallest files

    Suboptions for audio_encoder=e_flac

        use_vorbis_comment=[1|0] (default: 1)

        Write vorbis comment

        Write Vorbis comment containing metadata to the file

        use_seektable=[1|0] (default: 1)

        Write seek table

        Write seektable (strongly recommended)

        num_seektable_entries=<number> (1..1000000, default: 100)

        Entries in the seektable

        Maximum number of entries in the seek table. Default is 100, larger numbers result in shorter seeking times but also in larger files.

        bits=<string>

        Supported strings: 8 12 16 20 24

        Default: 16

        Bits

        compression_level=<number> (0..8, default: 5)

        Compression Level

        0: Fastest encoding, biggest files 8: Slowest encoding, smallest files

    Suboptions for audio_encoder=e_lame

        do_id3v1=[1|0] (default: 1)

        Write ID3V1.1 tag

        do_id3v2=[1|0] (default: 1)

        Write ID3V2 tag

        id3v2_charset=<string>

        Supported strings: 0 1 2 3

        Default: 3

        ID3V2 Encoding

        bitrate_mode=<string>

        Supported strings: CBR ABR VBR

        Default: CBR

        Bitrate mode

        stereo_mode=<string>

        Supported strings: Stereo Joint stereo Auto

        Default: Auto

        Stereo mode

        Stereo: Completely independent channels Joint stereo: Improve quality (save bits) by using similarities of the channels Auto (recommended): Select one of the above depending on quality or bitrate setting

        quality=<number> (0..9, default: 2)

        Encoding speed

        0: Slowest encoding, best quality 9: Fastest encoding, worst quality

        cbr_bitrate=<number> (8..320, default: 128)

        Bitrate (kbps)

        Bitrate in kbps. If your selection is no valid mp3 bitrate, we'll choose the closest value.

        vbr_quality=<number> (0..9, default: 4)

        VBR Quality

        VBR Quality level. 0: best, 9: worst

        abr_bitrate=<number> (8..320, default: 128)

        ABR overall bitrate (kbps)

        Average bitrate for ABR mode

        abr_min_bitrate=<number> (0..320, default: 0)

        ABR min bitrate (kbps)

        Minimum bitrate for ABR mode. 0 means let lame decide. If your selection is no valid mp3 bitrate, we'll choose the closest value.

        abr_max_bitrate=<number> (0..320, default: 0)

        ABR max bitrate (kbps)

        Maximum bitrate for ABR mode. 0 means let lame decide. If your selection is no valid mp3 bitrate, we'll choose the closest value.

    Suboptions for audio_encoder=e_faac

        do_id3v1=[1|0] (default: 1)

        Write ID3V1.1 tag

        do_id3v2=[1|0] (default: 1)

        Write ID3V2 tag

        id3v2_charset=<string>

        Supported strings: 0 1 2 3

        Default: 3

        ID3V2 Encoding

        object_type=<string>

        Supported strings: mpeg2_main mpeg2_lc mpeg4_main mpeg4_lc mpeg4_ltp

        Default: mpeg4_main

        Object type

        bitrate=<number> (0..1000, default: 0)

        Bitrate (kbps)

        Average bitrate (0: VBR based on quality)

        quality=<number> (10..500, default: 100)

        Quality

        Quantizer quality

        block_types=<string>

        Supported strings: Both No short No long

        Default: Both

        Block types

        tns=[1|0] (default: 0)

        Use temporal noise shaping

        no_midside=[1|0] (default: 0)

        Don't use mid/side coding

    Suboptions for audio_encoder=e_mpegaudio

        bitrate=<number> (32..448, default: 224)

        Bitrate (kbps)

        layer=<number> (1..2, default: 2)

        Layer (1 or 2)

        Audio layer

        vcd=[1|0] (default: 1)

        VCD Compatible

        Make VCD compliant output. This forces layer II, 224 kbps and 44.1 KHz stereo

    Suboptions for audio_encoder=e_ffmpeg_audio

        format=<string>

        Supported strings: au ac3 aiff mp2 asf

        Default: au

        Format

        codec=option[{suboptions}]

        Supported options: pcm_mulaw pcm_s16be pcm_alaw ac3 pcm_s8 mp2 wma2 wma1

        Default: pcm_mulaw

        Codec

        Suboptions for codec=ac3

            ff_bit_rate_str=<string>

            Supported strings: 32 40 48 56 64 80 96 112 128 160 192 224 256 320 384 448 512 576 640

            Default: 128

            Bit rate (kbps)

        Suboptions for codec=mp2

            ff_bit_rate_str=<string>

            Supported strings: 32 48 56 64 80 96 112 128 160 192 224 256 320 384

            Default: 128

            Bit rate (kbps)

        Suboptions for codec=wma2

            ff_bit_rate_str=<string>

            Supported strings: 24 48 64 96 128

            Default: 128

            Bit rate (kbps)

        Suboptions for codec=wma1

            ff_bit_rate_str=<string>

            Supported strings: 24 48 64 96 128

            Default: 128

            Bit rate (kbps)

    Suboptions for audio_encoder=b_lame

        server=<string> (Default: localhost)

        Server

        port=<number> (1..65535, default: 8000)

        Port

        mount=<string> (Default: /stream.ogg)

        Mount

        user=<string> (Default: source)

        User

        password=<string>

        Password

        name=<string> (Default: Test stream)

        Name

        description=<string> (Default: Brought to you by gmerlin)

        Description

        stereo_mode=<string>

        Supported strings: Stereo Joint stereo Auto

        Default: Auto

        Stereo mode

        Stereo: Completely independent channels Joint stereo: Improve quality (save bits) by using similarities of the channels Auto (recommended): Select one of the above depending on quality or bitrate setting

        quality=<number> (0..9, default: 2)

        Encoding speed

        0: Slowest encoding, best quality 9: Fastest encoding, worst quality

        cbr_bitrate=<number> (8..320, default: 128)

        Bitrate (kbps)

        Bitrate in kbps. If your selection is no valid mp3 bitrate, we'll choose the closest value.

    video_encoder=option[{suboptions}]

    Supported options: e_lqt e_y4m e_mpegvideo e_singlepic e_theora e_mpeg e_ffmpeg_video e_ffmpeg b_ogg

    Default: e_lqt

    Video

    Suboptions for video_encoder=e_lqt

        format=<string>

        Supported strings: quicktime avi avi_opendml mp4 m4a 3gp

        Default: quicktime

        Format

        make_streamable=[1|0] (default: 0)

        Make streamable

        Make the file streamable afterwards (uses twice the diskspace)

        max_riff_size=<number> (1..1024, default: 1024)

        Maximum RIFF size

        Maximum RIFF size (in MB) for OpenDML AVIs. The default (1GB) is reasonable and should only be changed by people who know what they do.

        codec=option[{suboptions}]

        Supported options: ima4 rawaudio twos ulaw sowt alaw in24 in32 fl32 fl64 lpcm vorbis vorbis_qt ffmpeg_mp2 ffmpeg_ac3 lame faac

        Default: ima4

        Codec

        Suboptions for codec=in24

            pcm_little_endian=[1|0] (default: 0)

            Little endian

        Suboptions for codec=in32

            pcm_little_endian=[1|0] (default: 0)

            Little endian

        Suboptions for codec=fl32

            pcm_little_endian=[1|0] (default: 0)

            Little endian

        Suboptions for codec=fl64

            pcm_little_endian=[1|0] (default: 0)

            Little endian

        Suboptions for codec=lpcm

            pcm_format=<string>

            Supported strings: Integer (16 bit) Integer (24 bit) Integer (32 bit) Float (32 bit) Float (64 bit)

            Default: Integer (16 bit)

            Format

            pcm_little_endian=[1|0] (default: 0)

            Little endian

        Suboptions for codec=vorbis

            vorbis_bitrate=<number> (default: 128000)

            Nominal Bitrate

            vorbis_vbr=[1|0] (default: 1)

            Use variable bitrate

            vorbis_max_bitrate=<number> (default: -1)

            Maximum Bitrate (-1 = no limit)

            vorbis_min_bitrate=<number> (default: -1)

            Minimum Bitrate (-1 = no limit)

        Suboptions for codec=vorbis_qt

            vorbis_bitrate=<number> (default: 128000)

            Nominal Bitrate

            vorbis_vbr=[1|0] (default: 1)

            Use variable bitrate

            vorbis_max_bitrate=<number> (default: -1)

            Maximum Bitrate (-1 = no limit)

            vorbis_min_bitrate=<number> (default: -1)

            Minimum Bitrate (-1 = no limit)

        Suboptions for codec=ffmpeg_mp2

            bit_rate_audio=<number> (default: 128)

            Bit rate (kbps)

        Suboptions for codec=ffmpeg_ac3

            bit_rate_audio=<number> (default: 128)

            Bit rate (kbps)

        Suboptions for codec=lame

            mp3_bitrate_mode=<string>

            Supported strings: CBR ABR VBR

            Default: CBR

            Bitrate mode

            CBR: Constant bitrate VBR: Variable bitrate ABR: Average bitrate

            mp3_bitrate=<number> (default: 256000)

            Nominal Bitrate (ABR/CBR)

            Bitrate in bits per second. For CBR, this must be a valid MP3 bitrate

            mp3_bitrate_min=<number> (default: 64000)

            Minimum Bitrate (ABR)

            Minimum ABR bitrate in bits per second. This must be a valid MP3 bitrate

            mp3_bitrate_max=<number> (default: 320000)

            Maximum Bitrate (ABR)

            Maximum ABR bitrate in bits per second. This must be a valid MP3 bitrate

            mp3_quality=<number> (0..9, default: 0)

            Quality (0 = best)

            0: Slowest encoding, best quality 9: Fastest encoding, worst quality

            mp3_quality_vbr=<number> (0..9, default: 0)

            VBR Quality (0 = best)

            VBR Quality level. 0: best, 9: worst

        Suboptions for codec=faac

            faac_bitrate=<number> (default: 0)

            Bitrate (kbps, 0 = VBR)

            quality=<number> (10..500, default: 100)

            VBR Quality

            object_type=<string>

            Supported strings: Low Main SSR LTP

            Default: Low

            Object type

        box_top=<number> (0..65535, default: 0)

        Text box (top)

        box_left=<number> (0..65535, default: 0)

        Text box (left)

        box_bottom=<number> (0..65535, default: 0)

        Text box (bottom)

        box_right=<number> (0..65535, default: 0)

        Text box (right)

        fg_color=<r>,<g>,<b>,<a> (default: 1.000,1.000,1.000,1.000)

        <r>, <g>, <b> and <a> are in the range 0.0..1.0

        Text color

        bg_color=<r>,<g>,<b>,<a> (default: 0.000,0.000,0.000,1.000)

        <r>, <g>, <b> and <a> are in the range 0.0..1.0

        Background color

        default_timescale=<number> (default: 25)

        Default timescale

        For formats, which support only constant framerates, set the default timescale here

        default_frame_duration=<number> (default: 1)

        Default frame duration

        For formats, which support only constant framerates, set the default frame duration here

        codec=option[{suboptions}]

        Supported options: raw v308 v408 v410 yuv2 yuv4 yv12 2vuy v210 rtjpeg jpeg mjpa png ffmpeg_mpg4 ffmpeg_msmpeg4v3 ffmpeg_msmpeg4v3_wmp ffmpeg_h263 ffmpeg_h263p ffmpeg_mjpg ffmpeg_rle ffmpeg_dv ffmpeg_dvcpro ffmpeg_dv50 ffmpeg_ffvhuff ffmpeg_ffv1 ffmpeg_dnxhd ffmpeg_imx x264 schroedinger yuvs

        Default: raw

        Codec

        Suboptions for codec=rtjpeg

            rtjpeg_quality=<number> (0..100, default: 100)

            Quality setting

            rtjpeg_key_rate=<number> (default: 25)

            Key frame interval

            rtjpeg_luma_quant=<number> (default: 1)

            Luma quantiser

            rtjpeg_chroma_quant=<number> (default: 1)

            Chroma quantiser

        Suboptions for codec=jpeg

            jpeg_quality=<number> (1..100, default: 95)

            Quality

            jpeg_usefloat=[1|0] (default: 0)

            Use float

        Suboptions for codec=mjpa

            jpeg_quality=<number> (1..100, default: 95)

            Quality

            jpeg_usefloat=[1|0] (default: 0)

            Use float

        Suboptions for codec=png

            png_compression_level=<number> (0..9, default: 9)

            Compression Level

        Suboptions for codec=ffmpeg_mpg4

            gop_size=<number> (0..300, default: 250)

            GOP size (0 = intra only)

            ff_scenechange_threshold=<number> (-1000000000..1000000000, default: 0)

            Scenechange threshold

            Threshold for scene change detection. Negative values mean more sensitivity (more keyframes)

            ff_scenechange_factor=<number> (default: 0)

            Scenechange factor

            Multiplied by qscale for each frame and added to scene_change_score

            ff_flag_closed_gop=[1|0] (default: 0)

            Close all GOPs

            ff_flag2_strict_gop=[1|0] (default: 0)

            Strictly enforce GOP size

            ff_max_b_frames=<number> (0..16, default: 0)

            Max B-Frames

            Maximum number of B-frames between non B-frames

            ff_b_frame_strategy=[1|0] (default: 0)

            Avoid B-frames in high motion scenes

            ff_flag_ac_pred=[1|0] (default: 0)

            MPEG-4 AC prediction

            ff_bit_rate_video=<number> (default: 800)

            Bit rate (kbps)

            ff_bit_rate_tolerance=<number> (default: 8000)

            Bitrate tolerance (kbps)

            Number of bits the bitstream is allowed to diverge from the reference. Unused for constant quantizer encoding

            ff_rc_min_rate=<number> (default: 0)

            Minimum bitrate (kbps)

            Minimum bitrate (0 means arbitrary)

            ff_rc_max_rate=<number> (default: 0)

            Maximum bitrate (kbps)

            Maximum bitrate (0 means arbitrary)

            ff_rc_buffer_size=<number> (default: 0)

            RC buffer size

            Decoder bitstream buffer size in kbits. When encoding with max and/or min bitrate, this must be specified.

            ff_rc_initial_cplx=<number> (0.0..99.0, default: 0.0)

            Initial RC complexity

            ff_rc_initial_buffer_occupancy=<number> (default: 0)

            Initial RC buffer occupancy

            Number of kilobits which should be loaded into the rc buffer before encoding starts. Must not be larger than RC buffer size

            ff_qmin=<number> (0..31, default: 2)

            Minimum quantizer scale

            ff_qmax=<number> (0..31, default: 31)

            Maximum quantizer scale

            ff_max_qdiff=<number> (0..31, default: 3)

            Maximum quantizer difference

            Maximum quantizer difference between frames

            ff_flag_qscale=[1|0] (default: 0)

            Use fixed quantizer

            Use fixed quality encoding

            ff_qscale=<number> (1..31, default: 10)

            Fixed quantizer

            Quantizer for fixed quality encoding. Lower means better, 1 is not recommended

            ff_qcompress=<number> (0.00..1.00, default: 0.50)

            Quantizer compression

            Amount of qscale change between easy & hard scenes

            ff_qblur=<number> (0.00..1.00, default: 0.00)

            Quantizer blur

            Amount of qscale smoothing over time

            ff_quantizer_noise_shaping=<number> (0..3, default: 0)

            Quantizer noise shaping

            Choose quantization such that noise will be masked by similar-frequency content in the image

            ff_trellis=[1|0] (default: 0)

            Use trellis quantization

            Use trellis quantization (improves quality)

            ff_i_quant_factor=<number> (-31.0..31.0, default: -0.8)

            I quantizer factor

            Quantizer factor between P-frames and I-frames. If > 0 then the last P frame quantizer will be used (q= lastp_q*factor+offset). If < 0 then normal ratecontrol will be done (q= -normal_q*factor+offset)

            ff_i_quant_offset=<number> (0.0..31.0, default: 0.0)

            I quantizer offset

            Quantizer offset between P-frames and I-frames

            ff_b_quant_factor=<number> (-31.00..31.00, default: 1.25)

            B quantizer factor

            Quantizer factor between B-frames and non-B-frames

            ff_b_quant_offset=<number> (0.00..31.00, default: 1.25)

            B quantizer offset

            Quantizer offset between B-frames and non-B-frames if > 0 then the last p frame quantizer will be used (q= lastp_q*factor+offset)
             if < 0 then normal ratecontrol will be done (q= -normal_q*factor+offset)

            ff_flag_cbp_rd=[1|0] (default: 0)

            CBP RD

            Use rate distortion optimization for cbp. This can only be used together with trellis quantization.

            ff_me_method=<string>

            Supported strings: Zero Phods Log X1 Epzs Full

            Default: Zero

            Motion estimation method

            ff_me_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME compare function

            Motion estimation compare function. SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME compare

            ff_me_range=<number> (0..1000, default: 0)

            Motion estimation range

            Motion estimation search range (0 means unlimited)

            ff_me_threshold=<number> (0..4000000, default: 0)

            ME Theshold

            Motion estimation threshold. under which no motion estimation is performed, but instead the user specified motion vectors are used

            ff_mb_decision=<string>

            Supported strings: Use compare function Fewest bits Rate distoration

            Default: Use compare function

            MB decision mode

            ff_dia_size=<number> (-9..9, default: 0)

            ME diamond size & shape

            Motion estimation diamond size. Negative means shape adaptive.

            ff_flag_gmc=[1|0] (default: 0)

            Use global motion compensation

            Warning: GMC is not supported by all decoders

            ff_flag_4mv=[1|0] (default: 0)

            4 MV per MB allowed

            Allow 4 motion vectors per macroblock (slightly better quality). Works better if MB decision mode is "Fewest bits" or "Rate distoration".

            ff_flag_mv0=[1|0] (default: 0)

            Always try a MB with MV=<0,0>

            ff_flag_qp_rd=[1|0] (default: 0)

            QP RD

            Use rate distortion optimization for qp selection. Can only be used if MB decision mode is "Rate distoration"

            ff_pre_me=<number> (0..2, default: 0)

            ME pre-pass

            Motion estimation pre-pass 0: disabled 1: only after I-frames 2: always

            ff_me_pre_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME pre-pass compare function

            Motion estimation pre-pass compare function. SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_pre_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME pre-pass compare

            ff_pre_dia_size=<number> (-9..9, default: 0)

            ME pre-pass diamond size & shape

            Motion estimation pre-pass diamond size. Negative means shape adaptive.

            ff_flag_qpel=[1|0] (default: 0)

            Use qpel MC

            Use 1/4 pixel motion compensation. Warning: QPEL is not supported by all decoders.

            ff_me_sub_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            Subpixel ME compare function

            Subpixel motion estimation compare function. SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_sub_cmp_chroma=[1|0] (default: 0)

            Enable chroma subpixel ME compare

            ff_me_subpel_quality=<number> (1..8, default: 8)

            Subpel ME quality

            Subpel motion estimation refinement quality (for qpel). Higher values mean higher quality but slower encoding.

            ff_lumi_masking=<number> (0.00..1.00, default: 0.00)

            Luminance masking

            Encode very bright image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_dark_masking=<number> (0.00..1.00, default: 0.00)

            Darkness masking

            Encode very dark image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_temporal_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Temporary complexity masking

            Encode very fast moving image parts with reduced quality. 0 means disabled.

            ff_spatial_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Spatial complexity masking

            Encode very complex image parts with reduced quality. 0 means disabled, 0-0.5 is a sane range.

            ff_border_masking=<number> (0.00..1.00, default: 0.00)

            Border masking

            Encode image parts near the border with reduced quality.0 means disabled

            ff_p_masking=<number> (0.00..1.00, default: 0.00)

            Inter block masking

            Encode inter blocks with reduced quality (increases the quality of intra blocks). 0 means disabled, 1 will double the bits allocated for intra blocks.

            ff_flag_normalize_aqp=[1|0] (default: 0)

            Normalize adaptive quantization

            When using masking, try to adjust the per macroblock quantizers to maintain the desired average

            ff_strict_std_compliance=<number> (-2..2, default: 0)

            Standards compliance

            2 = Strictly conform to a older more strict version of the spec or reference software
             1: Strictly conform to all the things in the spec no matter what consequences
             0: Default
             -1: Allow unofficial extensions
             -2: Allow non standarized experimental things

            ff_noise_reduction=<number> (0..2000, default: 0)

            Noise reduction

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

            ff_flag_bitexact=[1|0] (default: 0)

            Use only bitexact stuff

            Use only bitexact stuff (except (i)dct)

            ff_thread_count=<number> (default: 1)

            Number of threads to launch

            Spcify how many threads to launch

        Suboptions for codec=ffmpeg_msmpeg4v3

            gop_size=<number> (0..300, default: 250)

            GOP size (0 = intra only)

            ff_scenechange_threshold=<number> (-1000000000..1000000000, default: 0)

            Scenechange threshold

            Threshold for scene change detection. Negative values mean more sensitivity (more keyframes)

            ff_scenechange_factor=<number> (default: 0)

            Scenechange factor

            Multiplied by qscale for each frame and added to scene_change_score

            ff_flag_closed_gop=[1|0] (default: 0)

            Close all GOPs

            ff_flag2_strict_gop=[1|0] (default: 0)

            Strictly enforce GOP size

            ff_bit_rate_video=<number> (default: 800)

            Bit rate (kbps)

            ff_bit_rate_tolerance=<number> (default: 8000)

            Bitrate tolerance (kbps)

            Number of bits the bitstream is allowed to diverge from the reference. Unused for constant quantizer encoding

            ff_rc_min_rate=<number> (default: 0)

            Minimum bitrate (kbps)

            Minimum bitrate (0 means arbitrary)

            ff_rc_max_rate=<number> (default: 0)

            Maximum bitrate (kbps)

            Maximum bitrate (0 means arbitrary)

            ff_rc_buffer_size=<number> (default: 0)

            RC buffer size

            Decoder bitstream buffer size in kbits. When encoding with max and/or min bitrate, this must be specified.

            ff_rc_initial_cplx=<number> (0.0..99.0, default: 0.0)

            Initial RC complexity

            ff_rc_initial_buffer_occupancy=<number> (default: 0)

            Initial RC buffer occupancy

            Number of kilobits which should be loaded into the rc buffer before encoding starts. Must not be larger than RC buffer size

            ff_qmin=<number> (0..31, default: 2)

            Minimum quantizer scale

            ff_qmax=<number> (0..31, default: 31)

            Maximum quantizer scale

            ff_max_qdiff=<number> (0..31, default: 3)

            Maximum quantizer difference

            Maximum quantizer difference between frames

            ff_flag_qscale=[1|0] (default: 0)

            Use fixed quantizer

            Use fixed quality encoding

            ff_qscale=<number> (1..31, default: 10)

            Fixed quantizer

            Quantizer for fixed quality encoding. Lower means better, 1 is not recommended

            ff_qcompress=<number> (0.00..1.00, default: 0.50)

            Quantizer compression

            Amount of qscale change between easy & hard scenes

            ff_qblur=<number> (0.00..1.00, default: 0.00)

            Quantizer blur

            Amount of qscale smoothing over time

            ff_quantizer_noise_shaping=<number> (0..3, default: 0)

            Quantizer noise shaping

            Choose quantization such that noise will be masked by similar-frequency content in the image

            ff_trellis=[1|0] (default: 0)

            Use trellis quantization

            Use trellis quantization (improves quality)

            ff_i_quant_factor=<number> (-31.0..31.0, default: -0.8)

            I quantizer factor

            Quantizer factor between P-frames and I-frames. If > 0 then the last P frame quantizer will be used (q= lastp_q*factor+offset). If < 0 then normal ratecontrol will be done (q= -normal_q*factor+offset)

            ff_i_quant_offset=<number> (0.0..31.0, default: 0.0)

            I quantizer offset

            Quantizer offset between P-frames and I-frames

            ff_me_method=<string>

            Supported strings: Zero Phods Log X1 Epzs Full

            Default: Zero

            Motion estimation method

            ff_me_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME compare function

            Motion estimation compare function. SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME compare

            ff_me_range=<number> (0..1000, default: 0)

            Motion estimation range

            Motion estimation search range (0 means unlimited)

            ff_me_threshold=<number> (0..4000000, default: 0)

            ME Theshold

            Motion estimation threshold. under which no motion estimation is performed, but instead the user specified motion vectors are used

            ff_mb_decision=<string>

            Supported strings: Use compare function Fewest bits Rate distoration

            Default: Use compare function

            MB decision mode

            ff_dia_size=<number> (-9..9, default: 0)

            ME diamond size & shape

            Motion estimation diamond size. Negative means shape adaptive.

            ff_pre_me=<number> (0..2, default: 0)

            ME pre-pass

            Motion estimation pre-pass 0: disabled 1: only after I-frames 2: always

            ff_me_pre_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME pre-pass compare function

            Motion estimation pre-pass compare function. SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_pre_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME pre-pass compare

            ff_pre_dia_size=<number> (-9..9, default: 0)

            ME pre-pass diamond size & shape

            Motion estimation pre-pass diamond size. Negative means shape adaptive.

            ff_lumi_masking=<number> (0.00..1.00, default: 0.00)

            Luminance masking

            Encode very bright image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_dark_masking=<number> (0.00..1.00, default: 0.00)

            Darkness masking

            Encode very dark image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_temporal_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Temporary complexity masking

            Encode very fast moving image parts with reduced quality. 0 means disabled.

            ff_spatial_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Spatial complexity masking

            Encode very complex image parts with reduced quality. 0 means disabled, 0-0.5 is a sane range.

            ff_border_masking=<number> (0.00..1.00, default: 0.00)

            Border masking

            Encode image parts near the border with reduced quality.0 means disabled

            ff_p_masking=<number> (0.00..1.00, default: 0.00)

            Inter block masking

            Encode inter blocks with reduced quality (increases the quality of intra blocks). 0 means disabled, 1 will double the bits allocated for intra blocks.

            ff_flag_normalize_aqp=[1|0] (default: 0)

            Normalize adaptive quantization

            When using masking, try to adjust the per macroblock quantizers to maintain the desired average

            ff_strict_std_compliance=<number> (-2..2, default: 0)

            Standards compliance

            2 = Strictly conform to a older more strict version of the spec or reference software
             1: Strictly conform to all the things in the spec no matter what consequences
             0: Default
             -1: Allow unofficial extensions
             -2: Allow non standarized experimental things

            ff_noise_reduction=<number> (0..2000, default: 0)

            Noise reduction

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

            ff_flag_bitexact=[1|0] (default: 0)

            Use only bitexact stuff

            Use only bitexact stuff (except (i)dct)

            ff_thread_count=<number> (default: 1)

            Number of threads to launch

            Spcify how many threads to launch

        Suboptions for codec=ffmpeg_msmpeg4v3_wmp

            gop_size=<number> (0..300, default: 250)

            GOP size (0 = intra only)

            ff_scenechange_threshold=<number> (-1000000000..1000000000, default: 0)

            Scenechange threshold

            Threshold for scene change detection. Negative values mean more sensitivity (more keyframes)

            ff_scenechange_factor=<number> (default: 0)

            Scenechange factor

            Multiplied by qscale for each frame and added to scene_change_score

            ff_flag_closed_gop=[1|0] (default: 0)

            Close all GOPs

            ff_flag2_strict_gop=[1|0] (default: 0)

            Strictly enforce GOP size

            ff_bit_rate_video=<number> (default: 800)

            Bit rate (kbps)

            ff_bit_rate_tolerance=<number> (default: 8000)

            Bitrate tolerance (kbps)

            Number of bits the bitstream is allowed to diverge from the reference. Unused for constant quantizer encoding

            ff_rc_min_rate=<number> (default: 0)

            Minimum bitrate (kbps)

            Minimum bitrate (0 means arbitrary)

            ff_rc_max_rate=<number> (default: 0)

            Maximum bitrate (kbps)

            Maximum bitrate (0 means arbitrary)

            ff_rc_buffer_size=<number> (default: 0)

            RC buffer size

            Decoder bitstream buffer size in kbits. When encoding with max and/or min bitrate, this must be specified.

            ff_rc_initial_cplx=<number> (0.0..99.0, default: 0.0)

            Initial RC complexity

            ff_rc_initial_buffer_occupancy=<number> (default: 0)

            Initial RC buffer occupancy

            Number of kilobits which should be loaded into the rc buffer before encoding starts. Must not be larger than RC buffer size

            ff_qmin=<number> (0..31, default: 2)

            Minimum quantizer scale

            ff_qmax=<number> (0..31, default: 31)

            Maximum quantizer scale

            ff_max_qdiff=<number> (0..31, default: 3)

            Maximum quantizer difference

            Maximum quantizer difference between frames

            ff_flag_qscale=[1|0] (default: 0)

            Use fixed quantizer

            Use fixed quality encoding

            ff_qscale=<number> (1..31, default: 10)

            Fixed quantizer

            Quantizer for fixed quality encoding. Lower means better, 1 is not recommended

            ff_qcompress=<number> (0.00..1.00, default: 0.50)

            Quantizer compression

            Amount of qscale change between easy & hard scenes

            ff_qblur=<number> (0.00..1.00, default: 0.00)

            Quantizer blur

            Amount of qscale smoothing over time

            ff_quantizer_noise_shaping=<number> (0..3, default: 0)

            Quantizer noise shaping

            Choose quantization such that noise will be masked by similar-frequency content in the image

            ff_trellis=[1|0] (default: 0)

            Use trellis quantization

            Use trellis quantization (improves quality)

            ff_i_quant_factor=<number> (-31.0..31.0, default: -0.8)

            I quantizer factor

            Quantizer factor between P-frames and I-frames. If > 0 then the last P frame quantizer will be used (q= lastp_q*factor+offset). If < 0 then normal ratecontrol will be done (q= -normal_q*factor+offset)

            ff_i_quant_offset=<number> (0.0..31.0, default: 0.0)

            I quantizer offset

            Quantizer offset between P-frames and I-frames

            ff_me_method=<string>

            Supported strings: Zero Phods Log X1 Epzs Full

            Default: Zero

            Motion estimation method

            ff_me_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME compare function

            Motion estimation compare function. SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME compare

            ff_me_range=<number> (0..1000, default: 0)

            Motion estimation range

            Motion estimation search range (0 means unlimited)

            ff_me_threshold=<number> (0..4000000, default: 0)

            ME Theshold

            Motion estimation threshold. under which no motion estimation is performed, but instead the user specified motion vectors are used

            ff_mb_decision=<string>

            Supported strings: Use compare function Fewest bits Rate distoration

            Default: Use compare function

            MB decision mode

            ff_dia_size=<number> (-9..9, default: 0)

            ME diamond size & shape

            Motion estimation diamond size. Negative means shape adaptive.

            ff_pre_me=<number> (0..2, default: 0)

            ME pre-pass

            Motion estimation pre-pass 0: disabled 1: only after I-frames 2: always

            ff_me_pre_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME pre-pass compare function

            Motion estimation pre-pass compare function. SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_pre_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME pre-pass compare

            ff_pre_dia_size=<number> (-9..9, default: 0)

            ME pre-pass diamond size & shape

            Motion estimation pre-pass diamond size. Negative means shape adaptive.

            ff_lumi_masking=<number> (0.00..1.00, default: 0.00)

            Luminance masking

            Encode very bright image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_dark_masking=<number> (0.00..1.00, default: 0.00)

            Darkness masking

            Encode very dark image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_temporal_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Temporary complexity masking

            Encode very fast moving image parts with reduced quality. 0 means disabled.

            ff_spatial_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Spatial complexity masking

            Encode very complex image parts with reduced quality. 0 means disabled, 0-0.5 is a sane range.

            ff_border_masking=<number> (0.00..1.00, default: 0.00)

            Border masking

            Encode image parts near the border with reduced quality.0 means disabled

            ff_p_masking=<number> (0.00..1.00, default: 0.00)

            Inter block masking

            Encode inter blocks with reduced quality (increases the quality of intra blocks). 0 means disabled, 1 will double the bits allocated for intra blocks.

            ff_flag_normalize_aqp=[1|0] (default: 0)

            Normalize adaptive quantization

            When using masking, try to adjust the per macroblock quantizers to maintain the desired average

            ff_strict_std_compliance=<number> (-2..2, default: 0)

            Standards compliance

            2 = Strictly conform to a older more strict version of the spec or reference software
             1: Strictly conform to all the things in the spec no matter what consequences
             0: Default
             -1: Allow unofficial extensions
             -2: Allow non standarized experimental things

            ff_noise_reduction=<number> (0..2000, default: 0)

            Noise reduction

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

            ff_flag_bitexact=[1|0] (default: 0)

            Use only bitexact stuff

            Use only bitexact stuff (except (i)dct)

            ff_thread_count=<number> (default: 1)

            Number of threads to launch

            Spcify how many threads to launch

        Suboptions for codec=ffmpeg_h263

            gop_size=<number> (0..300, default: 250)

            GOP size (0 = intra only)

            ff_scenechange_threshold=<number> (-1000000000..1000000000, default: 0)

            Scenechange threshold

            Threshold for scene change detection. Negative values mean more sensitivity (more keyframes)

            ff_scenechange_factor=<number> (default: 0)

            Scenechange factor

            Multiplied by qscale for each frame and added to scene_change_score

            ff_flag_closed_gop=[1|0] (default: 0)

            Close all GOPs

            ff_flag2_strict_gop=[1|0] (default: 0)

            Strictly enforce GOP size

            ff_bit_rate_video=<number> (default: 800)

            Bit rate (kbps)

            ff_bit_rate_tolerance=<number> (default: 8000)

            Bitrate tolerance (kbps)

            Number of bits the bitstream is allowed to diverge from the reference. Unused for constant quantizer encoding

            ff_rc_min_rate=<number> (default: 0)

            Minimum bitrate (kbps)

            Minimum bitrate (0 means arbitrary)

            ff_rc_max_rate=<number> (default: 0)

            Maximum bitrate (kbps)

            Maximum bitrate (0 means arbitrary)

            ff_rc_buffer_size=<number> (default: 0)

            RC buffer size

            Decoder bitstream buffer size in kbits. When encoding with max and/or min bitrate, this must be specified.

            ff_rc_initial_cplx=<number> (0.0..99.0, default: 0.0)

            Initial RC complexity

            ff_rc_initial_buffer_occupancy=<number> (default: 0)

            Initial RC buffer occupancy

            Number of kilobits which should be loaded into the rc buffer before encoding starts. Must not be larger than RC buffer size

            ff_qmin=<number> (0..31, default: 2)

            Minimum quantizer scale

            ff_qmax=<number> (0..31, default: 31)

            Maximum quantizer scale

            ff_max_qdiff=<number> (0..31, default: 3)

            Maximum quantizer difference

            Maximum quantizer difference between frames

            ff_flag_qscale=[1|0] (default: 0)

            Use fixed quantizer

            Use fixed quality encoding

            ff_qscale=<number> (1..31, default: 10)

            Fixed quantizer

            Quantizer for fixed quality encoding. Lower means better, 1 is not recommended

            ff_qcompress=<number> (0.00..1.00, default: 0.50)

            Quantizer compression

            Amount of qscale change between easy & hard scenes

            ff_qblur=<number> (0.00..1.00, default: 0.00)

            Quantizer blur

            Amount of qscale smoothing over time

            ff_quantizer_noise_shaping=<number> (0..3, default: 0)

            Quantizer noise shaping

            Choose quantization such that noise will be masked by similar-frequency content in the image

            ff_trellis=[1|0] (default: 0)

            Use trellis quantization

            Use trellis quantization (improves quality)

            ff_i_quant_factor=<number> (-31.0..31.0, default: -0.8)

            I quantizer factor

            Quantizer factor between P-frames and I-frames. If > 0 then the last P frame quantizer will be used (q= lastp_q*factor+offset). If < 0 then normal ratecontrol will be done (q= -normal_q*factor+offset)

            ff_i_quant_offset=<number> (0.0..31.0, default: 0.0)

            I quantizer offset

            Quantizer offset between P-frames and I-frames

            ff_me_method=<string>

            Supported strings: Zero Phods Log X1 Epzs Full

            Default: Zero

            Motion estimation method

            ff_me_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME compare function

            Motion estimation compare function. SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME compare

            ff_me_range=<number> (0..1000, default: 0)

            Motion estimation range

            Motion estimation search range (0 means unlimited)

            ff_me_threshold=<number> (0..4000000, default: 0)

            ME Theshold

            Motion estimation threshold. under which no motion estimation is performed, but instead the user specified motion vectors are used

            ff_mb_decision=<string>

            Supported strings: Use compare function Fewest bits Rate distoration

            Default: Use compare function

            MB decision mode

            ff_dia_size=<number> (-9..9, default: 0)

            ME diamond size & shape

            Motion estimation diamond size. Negative means shape adaptive.

            ff_flag_4mv=[1|0] (default: 0)

            4 MV per MB allowed

            Allow 4 motion vectors per macroblock (slightly better quality). Works better if MB decision mode is "Fewest bits" or "Rate distoration".

            ff_pre_me=<number> (0..2, default: 0)

            ME pre-pass

            Motion estimation pre-pass 0: disabled 1: only after I-frames 2: always

            ff_me_pre_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME pre-pass compare function

            Motion estimation pre-pass compare function. SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_pre_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME pre-pass compare

            ff_pre_dia_size=<number> (-9..9, default: 0)

            ME pre-pass diamond size & shape

            Motion estimation pre-pass diamond size. Negative means shape adaptive.

            ff_lumi_masking=<number> (0.00..1.00, default: 0.00)

            Luminance masking

            Encode very bright image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_dark_masking=<number> (0.00..1.00, default: 0.00)

            Darkness masking

            Encode very dark image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_temporal_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Temporary complexity masking

            Encode very fast moving image parts with reduced quality. 0 means disabled.

            ff_spatial_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Spatial complexity masking

            Encode very complex image parts with reduced quality. 0 means disabled, 0-0.5 is a sane range.

            ff_border_masking=<number> (0.00..1.00, default: 0.00)

            Border masking

            Encode image parts near the border with reduced quality.0 means disabled

            ff_p_masking=<number> (0.00..1.00, default: 0.00)

            Inter block masking

            Encode inter blocks with reduced quality (increases the quality of intra blocks). 0 means disabled, 1 will double the bits allocated for intra blocks.

            ff_flag_normalize_aqp=[1|0] (default: 0)

            Normalize adaptive quantization

            When using masking, try to adjust the per macroblock quantizers to maintain the desired average

            ff_strict_std_compliance=<number> (-2..2, default: 0)

            Standards compliance

            2 = Strictly conform to a older more strict version of the spec or reference software
             1: Strictly conform to all the things in the spec no matter what consequences
             0: Default
             -1: Allow unofficial extensions
             -2: Allow non standarized experimental things

            ff_noise_reduction=<number> (0..2000, default: 0)

            Noise reduction

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

            ff_flag_bitexact=[1|0] (default: 0)

            Use only bitexact stuff

            Use only bitexact stuff (except (i)dct)

            ff_thread_count=<number> (default: 1)

            Number of threads to launch

            Spcify how many threads to launch

            ff_flag_obmc=[1|0] (default: 0)

            OBMC

            Overlapped block motion compensation (only supported with simple MB decision)

        Suboptions for codec=ffmpeg_h263p

            gop_size=<number> (0..300, default: 250)

            GOP size (0 = intra only)

            ff_scenechange_threshold=<number> (-1000000000..1000000000, default: 0)

            Scenechange threshold

            Threshold for scene change detection. Negative values mean more sensitivity (more keyframes)

            ff_scenechange_factor=<number> (default: 0)

            Scenechange factor

            Multiplied by qscale for each frame and added to scene_change_score

            ff_flag_closed_gop=[1|0] (default: 0)

            Close all GOPs

            ff_flag2_strict_gop=[1|0] (default: 0)

            Strictly enforce GOP size

            ff_bit_rate_video=<number> (default: 800)

            Bit rate (kbps)

            ff_bit_rate_tolerance=<number> (default: 8000)

            Bitrate tolerance (kbps)

            Number of bits the bitstream is allowed to diverge from the reference. Unused for constant quantizer encoding

            ff_rc_min_rate=<number> (default: 0)

            Minimum bitrate (kbps)

            Minimum bitrate (0 means arbitrary)

            ff_rc_max_rate=<number> (default: 0)

            Maximum bitrate (kbps)

            Maximum bitrate (0 means arbitrary)

            ff_rc_buffer_size=<number> (default: 0)

            RC buffer size

            Decoder bitstream buffer size in kbits. When encoding with max and/or min bitrate, this must be specified.

            ff_rc_initial_cplx=<number> (0.0..99.0, default: 0.0)

            Initial RC complexity

            ff_rc_initial_buffer_occupancy=<number> (default: 0)

            Initial RC buffer occupancy

            Number of kilobits which should be loaded into the rc buffer before encoding starts. Must not be larger than RC buffer size

            ff_qmin=<number> (0..31, default: 2)

            Minimum quantizer scale

            ff_qmax=<number> (0..31, default: 31)

            Maximum quantizer scale

            ff_max_qdiff=<number> (0..31, default: 3)

            Maximum quantizer difference

            Maximum quantizer difference between frames

            ff_flag_qscale=[1|0] (default: 0)

            Use fixed quantizer

            Use fixed quality encoding

            ff_qscale=<number> (1..31, default: 10)

            Fixed quantizer

            Quantizer for fixed quality encoding. Lower means better, 1 is not recommended

            ff_qcompress=<number> (0.00..1.00, default: 0.50)

            Quantizer compression

            Amount of qscale change between easy & hard scenes

            ff_qblur=<number> (0.00..1.00, default: 0.00)

            Quantizer blur

            Amount of qscale smoothing over time

            ff_quantizer_noise_shaping=<number> (0..3, default: 0)

            Quantizer noise shaping

            Choose quantization such that noise will be masked by similar-frequency content in the image

            ff_trellis=[1|0] (default: 0)

            Use trellis quantization

            Use trellis quantization (improves quality)

            ff_i_quant_factor=<number> (-31.0..31.0, default: -0.8)

            I quantizer factor

            Quantizer factor between P-frames and I-frames. If > 0 then the last P frame quantizer will be used (q= lastp_q*factor+offset). If < 0 then normal ratecontrol will be done (q= -normal_q*factor+offset)

            ff_i_quant_offset=<number> (0.0..31.0, default: 0.0)

            I quantizer offset

            Quantizer offset between P-frames and I-frames

            ff_me_method=<string>

            Supported strings: Zero Phods Log X1 Epzs Full

            Default: Zero

            Motion estimation method

            ff_me_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME compare function

            Motion estimation compare function. SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME compare

            ff_me_range=<number> (0..1000, default: 0)

            Motion estimation range

            Motion estimation search range (0 means unlimited)

            ff_me_threshold=<number> (0..4000000, default: 0)

            ME Theshold

            Motion estimation threshold. under which no motion estimation is performed, but instead the user specified motion vectors are used

            ff_mb_decision=<string>

            Supported strings: Use compare function Fewest bits Rate distoration

            Default: Use compare function

            MB decision mode

            ff_dia_size=<number> (-9..9, default: 0)

            ME diamond size & shape

            Motion estimation diamond size. Negative means shape adaptive.

            ff_flag_4mv=[1|0] (default: 0)

            4 MV per MB allowed

            Allow 4 motion vectors per macroblock (slightly better quality). Works better if MB decision mode is "Fewest bits" or "Rate distoration".

            ff_pre_me=<number> (0..2, default: 0)

            ME pre-pass

            Motion estimation pre-pass 0: disabled 1: only after I-frames 2: always

            ff_me_pre_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME pre-pass compare function

            Motion estimation pre-pass compare function. SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_pre_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME pre-pass compare

            ff_pre_dia_size=<number> (-9..9, default: 0)

            ME pre-pass diamond size & shape

            Motion estimation pre-pass diamond size. Negative means shape adaptive.

            ff_lumi_masking=<number> (0.00..1.00, default: 0.00)

            Luminance masking

            Encode very bright image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_dark_masking=<number> (0.00..1.00, default: 0.00)

            Darkness masking

            Encode very dark image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_temporal_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Temporary complexity masking

            Encode very fast moving image parts with reduced quality. 0 means disabled.

            ff_spatial_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Spatial complexity masking

            Encode very complex image parts with reduced quality. 0 means disabled, 0-0.5 is a sane range.

            ff_border_masking=<number> (0.00..1.00, default: 0.00)

            Border masking

            Encode image parts near the border with reduced quality.0 means disabled

            ff_p_masking=<number> (0.00..1.00, default: 0.00)

            Inter block masking

            Encode inter blocks with reduced quality (increases the quality of intra blocks). 0 means disabled, 1 will double the bits allocated for intra blocks.

            ff_flag_normalize_aqp=[1|0] (default: 0)

            Normalize adaptive quantization

            When using masking, try to adjust the per macroblock quantizers to maintain the desired average

            ff_strict_std_compliance=<number> (-2..2, default: 0)

            Standards compliance

            2 = Strictly conform to a older more strict version of the spec or reference software
             1: Strictly conform to all the things in the spec no matter what consequences
             0: Default
             -1: Allow unofficial extensions
             -2: Allow non standarized experimental things

            ff_noise_reduction=<number> (0..2000, default: 0)

            Noise reduction

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

            ff_flag_bitexact=[1|0] (default: 0)

            Use only bitexact stuff

            Use only bitexact stuff (except (i)dct)

            ff_thread_count=<number> (default: 1)

            Number of threads to launch

            Spcify how many threads to launch

            ff_flag_h263p_aiv=[1|0] (default: 0)

            Alternative inter vlc

            ff_flag_obmc=[1|0] (default: 0)

            OBMC

            Overlapped block motion compensation (only supported with simple MB decision)

        Suboptions for codec=ffmpeg_mjpg

            ff_bit_rate_video=<number> (default: 800)

            Bit rate (kbps)

            ff_bit_rate_tolerance=<number> (default: 8000)

            Bitrate tolerance (kbps)

            Number of bits the bitstream is allowed to diverge from the reference. Unused for constant quantizer encoding

            ff_rc_min_rate=<number> (default: 0)

            Minimum bitrate (kbps)

            Minimum bitrate (0 means arbitrary)

            ff_rc_max_rate=<number> (default: 0)

            Maximum bitrate (kbps)

            Maximum bitrate (0 means arbitrary)

            ff_rc_buffer_size=<number> (default: 0)

            RC buffer size

            Decoder bitstream buffer size in kbits. When encoding with max and/or min bitrate, this must be specified.

            ff_rc_initial_cplx=<number> (0.0..99.0, default: 0.0)

            Initial RC complexity

            ff_rc_initial_buffer_occupancy=<number> (default: 0)

            Initial RC buffer occupancy

            Number of kilobits which should be loaded into the rc buffer before encoding starts. Must not be larger than RC buffer size

            ff_qmin=<number> (0..31, default: 2)

            Minimum quantizer scale

            ff_qmax=<number> (0..31, default: 31)

            Maximum quantizer scale

            ff_max_qdiff=<number> (0..31, default: 3)

            Maximum quantizer difference

            Maximum quantizer difference between frames

            ff_flag_qscale=[1|0] (default: 0)

            Use fixed quantizer

            Use fixed quality encoding

            ff_qscale=<number> (1..31, default: 10)

            Fixed quantizer

            Quantizer for fixed quality encoding. Lower means better, 1 is not recommended

            ff_qcompress=<number> (0.00..1.00, default: 0.50)

            Quantizer compression

            Amount of qscale change between easy & hard scenes

            ff_qblur=<number> (0.00..1.00, default: 0.00)

            Quantizer blur

            Amount of qscale smoothing over time

            ff_quantizer_noise_shaping=<number> (0..3, default: 0)

            Quantizer noise shaping

            Choose quantization such that noise will be masked by similar-frequency content in the image

            ff_trellis=[1|0] (default: 0)

            Use trellis quantization

            Use trellis quantization (improves quality)

            ff_lumi_masking=<number> (0.00..1.00, default: 0.00)

            Luminance masking

            Encode very bright image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_dark_masking=<number> (0.00..1.00, default: 0.00)

            Darkness masking

            Encode very dark image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_temporal_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Temporary complexity masking

            Encode very fast moving image parts with reduced quality. 0 means disabled.

            ff_spatial_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Spatial complexity masking

            Encode very complex image parts with reduced quality. 0 means disabled, 0-0.5 is a sane range.

            ff_border_masking=<number> (0.00..1.00, default: 0.00)

            Border masking

            Encode image parts near the border with reduced quality.0 means disabled

            ff_p_masking=<number> (0.00..1.00, default: 0.00)

            Inter block masking

            Encode inter blocks with reduced quality (increases the quality of intra blocks). 0 means disabled, 1 will double the bits allocated for intra blocks.

            ff_flag_normalize_aqp=[1|0] (default: 0)

            Normalize adaptive quantization

            When using masking, try to adjust the per macroblock quantizers to maintain the desired average

            ff_strict_std_compliance=<number> (-2..2, default: 0)

            Standards compliance

            2 = Strictly conform to a older more strict version of the spec or reference software
             1: Strictly conform to all the things in the spec no matter what consequences
             0: Default
             -1: Allow unofficial extensions
             -2: Allow non standarized experimental things

            ff_noise_reduction=<number> (0..2000, default: 0)

            Noise reduction

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

            ff_flag_bitexact=[1|0] (default: 0)

            Use only bitexact stuff

            Use only bitexact stuff (except (i)dct)

            ff_thread_count=<number> (default: 1)

            Number of threads to launch

            Spcify how many threads to launch

        Suboptions for codec=ffmpeg_ffv1

            ff_coder_type=<string>

            Supported strings: VLC Arithmetic

            Default: VLC

            Coder type

        Suboptions for codec=ffmpeg_imx

            imx_bitrate=<string>

            Supported strings: 30 40 50

            Default: 50

            Bitrate (Mbps)

            imx_strip_vbi=<number> (default: 1)

            Strip VBI

        Suboptions for codec=x264

            x264_i_keyint_max=<number> (default: 250)

            Maximum GOP size

            x264_i_keyint_min=<number> (default: 25)

            Minimum GOP size

            x264_i_scenecut_threshold=<number> (default: 40)

            Scenecut threshold

            How aggressively to insert extra I-frames

            x264_i_bframe=<number> (0..16, default: 0)

            B-Frames

            Number of B-frames between I and P

            x264_i_bframe_adaptive=<string>

            Supported strings: None Fast Trellis

            Default: Fast

            Adaptive B-frame decision

            x264_i_bframe_bias=<number> (-90..100, default: 0)

            B-frame bias

            Influences how often B-frames are used

            x264_i_bframe_pyramid=<string>

            Supported strings: None Strict Normal

            Default: Normal

            B-frame pyramid

            Keep some B-frames as references

            x264_i_rc_method=<string>

            Supported strings: Constant quality CRF based VBR Average bitrate

            Default: CRF based VBR

            Ratecontrol method

            Ratecontrol method: Constant quality: Specify a quantizer parameter below CRF based VBR: Specify a rate factor below Average bitrate: Specify a bitrate below Selecting 2-pass encoding will force Average bitrate.

            x264_i_bitrate=<number> (default: 0)

            Bitrate

            Bitrate in kbit/s. 0 means VBR (recommended)

            x264_f_rate_tolerance=<number> (0.0..100.0, default: 1.0)

            Bitrate tolerance

            Allowed variance of average bitrate

            x264_i_vbv_max_bitrate=<number> (default: 0)

            Maximum local bitrate

            Sets a maximum local bitrate in kbits/s.

            x264_i_vbv_buffer_size=<number> (default: 0)

            VBV Buffer size

            Averaging period for the maximum local bitrate. Measured in kbits.

            x264_f_vbv_buffer_init=<number> (0.00..1.00, default: 0.90)

            Initial VBV buffer occupancy

            Sets the initial VBV buffer occupancy as a fraction of the buffer size.

            x264_b_psy=[1|0] (default: 1)

            Psy optimizations

            Psychovisual optimization

            x264_f_psy_rd=<number> (0.00..10.00, default: 1.00)

            Psy RD strength

            Strength of psychovisual optimization: RD (requires Partition decision >= 6)

            x264_f_psy_trellis=<number> (0.00..10.00, default: 0.00)

            Psy trellis strength

            Strength of psychovisual optimization (requires trellis)

            x264_b_mb_tree=[1|0] (default: 1)

            Macroblock-tree ratecontrol

            x264_i_lookahead=<number> (0..250, default: 40)

            Lookahead

            Number of frames for frametype lookahead

            x264_f_rf_constant=<number> (0..51, default: 23)

            Nominal Quantizer parameter

            This selects the nominal quantizer to use (1 to 51). Lower values result in better fidelity, but higher bitrates. 26 is a good default value. 0 means lossless.

            x264_i_qp_constant=<number> (0..51, default: 23)

            Quantizer parameter

            This selects the quantizer to use (1 to 51). Lower values result in better fidelity, but higher bitrates. 26 is a good default value. 0 means lossless.

            x264_i_qp_min=<number> (0..51, default: 10)

            Minimum quantizer parameter

            Minimum quantizer parameter

            x264_i_qp_max=<number> (0..51, default: 51)

            Maximum quantizer parameter

            Maximum quantizer parameter

            x264_i_qp_step=<number> (1..50, default: 4)

            Maximum QP step

            Maximum quantizer step

            x264_f_ip_factor=<number> (default: 1.40)

            QP factor between I and P

            x264_f_pb_factor=<number> (default: 1.30)

            QP factor between P and B

            x264_i_aq_mode=<string>

            Supported strings: None Variance AQ (complexity mask) Autovariance AQ (experimental)

            Default: Variance AQ (complexity mask)

            Adaptive quantization

            x264_f_aq_strength=<number> (0.50..1.50, default: 1.00)

            AQ strength

            Adaptive quantization strength: Reduces blocking and blurring in flat and textured areas

            x264_f_qcompress=<number> (0.00..1.00, default: 0.60)

            QP curve compression

            Only for 2-pass encoding

            x264_f_qblur=<number> (default: 0.50)

            QP Reduce fluctuations in QP (after curve compression)

            Only for 2-pass encoding

            x264_f_complexity_blur=<number> (default: 20.00)

            Temporally blur complexity

            Only for 2-pass encoding

            x264_i_chroma_qp_offset=<number> (default: 0)

            QP difference between chroma and luma

            x264_i_luma_deadzone_0=<number> (default: 21)

            Inter luma quantization deadzone

            x264_i_luma_deadzone_1=<number> (default: 11)

            Intra luma quantization deadzone

            x264_analyse_8x8_transform=[1|0] (default: 0)

            8x8 transform

            x264_analyse_psub16x16=[1|0] (default: 1)

            8x16, 16x8 and 8x8 P-frame search

            x264_analyse_bsub16x16=[1|0] (default: 1)

            8x16, 16x8 and 8x8 B-frame search

            x264_analyse_psub8x8=[1|0] (default: 0)

            4x8, 8x4 and 4x4 P-frame search

            x264_analyse_i8x8=[1|0] (default: 1)

            8x8 Intra search

            8x8 Intra search requires 8x8 transform

            x264_analyse_i4x4=[1|0] (default: 1)

            4x4 Intra search

            x264_i_me_method=<string>

            Supported strings: Diamond search Hexagonal search Uneven Multi-Hexagon Exhaustive search Hadamard exhaustive search (slow)

            Default: Hexagonal search

            Method

            Motion estimation method Diamond search: fastest Hexagonal search: default setting Uneven Multi-Hexagon: better but slower Exhaustive search: extremely slow, primarily for testing

            x264_i_subpel_refine=<number> (1..9, default: 7)

            Partition decision

            Subpixel motion estimation and partition decision quality: 1=fast, 9=best.

            x264_i_me_range=<number> (default: 16)

            Search range

            Maximum distance to search for motion estimation, measured from predicted position(s). Default of 16 is good for most footage, high motion sequences may benefit from settings between 24-32.

            x264_i_frame_reference=<number> (1..16, default: 1)

            Max Ref. frames

            This is effective in Anime, but seems to make little difference in live-action source material. Some decoders are unable to deal with large frameref values.

            x264_b_chroma_me=[1|0] (default: 1)

            Chroma motion estimation

            x264_b_mixed_references=[1|0] (default: 1)

            Mixed references

            Allow each MB partition in P-frames to have it's own reference number

            x264_b_weighted_bipred=[1|0] (default: 0)

            Weighted biprediction

            Implicit weighting for B-frames

            x264_i_weighted_pred=<string>

            Supported strings: Disabled Blind offset Smart analysis

            Default: Smart analysis

            Weighted prediction for P-frames

            x264_i_direct_mv_pred=<string>

            Supported strings: None Spatial Temporal Auto

            Default: Spatial

            Direct MV prediction mode

            x264_b_deblocking_filter=[1|0] (default: 1)

            Deblocking filter

            Use deblocking loop filter (increases quality).

            x264_i_deblocking_filter_alphac0=<number> (-6..6, default: 0)

            Deblocking filter strength

            Loop filter AlphaC0 parameter

            x264_i_deblocking_filter_beta=<number> (-6..6, default: 0)

            Deblocking filter threshold

            Loop filter Beta parameter

            x264_b_cabac=[1|0] (default: 1)

            Enable CABAC

            Enable CABAC (Context-Adaptive Binary Arithmetic Coding). Slightly slows down encoding and decoding, but should save 10-15% bitrate.

            x264_i_trellis=<string>

            Supported strings: Disabled Enabled (final) Enabled (always)

            Default: Enabled (final)

            Trellis RD quantization

            Trellis RD quantization. Requires CABAC. Can be enabled either for the final encode of a MB or for all mode desisions

            x264_i_noise_reduction=<number> (0..65536, default: 0)

            Noise reduction

            x264_i_threads=<number> (default: 1)

            Threads

            Number of threads

            x264_b_fast_pskip=[1|0] (default: 1)

            early SKIP detection on P-frames

            x264_b_dct_decimate=[1|0] (default: 1)

            Transform coefficient thresholding on P-frames

        Suboptions for codec=schroedinger

            enc_rate_control=<string>

            Supported strings: Constant noise threshold Constant bitrate Low delay Lossless Constant lambda Constant error Constant quality

            Default: Constant quality

            Rate control

            enc_bitrate=<number> (default: 13824000)

            Bitrate

            enc_buffer_size=<number> (default: 0)

            Buffer size

            enc_buffer_level=<number> (default: 0)

            Buffer level

            enc_noise_threshold=<number> (0.00..100.00, default: 25.00)

            Noise Threshold

            enc_quality=<number> (0.00..10.00, default: 5.00)

            Quality

            enc_enable_rdo_cbr=[1|0] (default: 1)

            rdo cbr

            enc_gop_structure=<string>

            Supported strings: Adaptive Intra only Backref Chained backref Biref Chained biref

            Default: Adaptive

            GOP Stucture

            enc_au_distance=<number> (default: 30)

            GOP size

            enc_open_gop=[1|0] (default: 1)

            Open GOPs

            Choose whether GOPs should be open or closed. Closed GOPs improve seeking accuracy for buggy decoders, open GOPs have a slightly better compression

            enc_mv_precision=<number> (default: 0)

            MV Precision

            enc_motion_block_size=<string>

            Supported strings: Automatic Small Medium Large

            Default: Automatic

            Block size

            enc_motion_block_overlap=<string>

            Supported strings: Automatic None Partial Full

            Default: Automatic

            Block overlap

            enc_enable_chroma_me=[1|0] (default: 0)

            Enable chroma ME

            enc_enable_global_motion=[1|0] (default: 0)

            Enable GMC

            Enable global motion estimation

            enc_enable_phasecorr_estimation=[1|0] (default: 0)

            Enable phasecorrelation estimation

            enc_enable_hierarchical_estimation=[1|0] (default: 1)

            Hierarchical estimation

            enc_enable_phasecorr_estimation=[1|0] (default: 0)

            Phasecorr estimation

            enc_enable_bigblock_estimation=[1|0] (default: 1)

            Bigblock estimation

            enc_enable_global_motion=[1|0] (default: 0)

            Global motion estimation

            enc_enable_deep_estimation=[1|0] (default: 1)

            Deep estimation

            enc_enable_scene_change_detection=[1|0] (default: 1)

            Scene change detection

            enc_intra_wavelet=<string>

            Supported strings: Deslauriers-Debuc (9,3) LeGall (5,3) Deslauriers-Debuc (13,5) Haar (no shift) Haar (single shift) Fidelity Daubechies (9,7)

            Default: Deslauriers-Debuc (9,3)

            Intra wavelet

            enc_inter_wavelet=<string>

            Supported strings: Deslauriers-Debuc (9,3) LeGall (5,3) Deslauriers-Debuc (13,5) Haar (no shift) Haar (single shift) Fidelity Daubechies (9,7)

            Default: LeGall (5,3)

            Inter wavelet

            enc_filtering=<string>

            Supported strings: None Center weighted median Gaussian Add noise Adaptive Gaussian

            Default: None

            Filter

            enc_filter_value=<number> (0..100, default: 5)

            Filter value

            enc_force_profile=<string>

            Supported strings: Auto VC-2 low delay VC-2 simple VC-2 main Main

            Default: Auto

            Force profile

            enc_codeblock_size=<string>

            Supported strings: Auto Small Medium Large Full

            Default: Auto

            Codeblock size

            enc_enable_multiquant=[1|0] (default: 1)

            Enable multiquant

            enc_enable_dc_multiquant=[1|0] (default: 0)

            Enable DC multiquant

            enc_enable_noarith=[1|0] (default: 0)

            Disable arithmetic coding

            enc_downsample_levels=<number> (2..8, default: 5)

            Downsample levels

            enc_transform_depth=<number> (0..6, default: 3)

            Transform depth

    Suboptions for video_encoder=e_y4m

        chroma_mode=<string>

        Supported strings: auto 420jpeg 420mpeg2 420paldv 444 422 411 mono yuva4444

        Default: auto

        Chroma mode

        Set the chroma mode of the output file. Auto means to take the format most similar to the source.

        default_timescale=<number> (default: 25)

        Default timescale

        For formats, which support only constant framerates, set the default timescale here

        default_frame_duration=<number> (default: 1)

        Default frame duration

        For formats, which support only constant framerates, set the default frame duration here

    Suboptions for video_encoder=e_mpegvideo

        format=<string>

        Supported strings: mpeg1 mpeg2 vcd svcd dvd

        Default: mpeg1

        Format

        Sets the MPEG flavour. Note, that for VCD, SVCD and DVD, you MUST provide valid frame sizes

        bitrate_mode=<string>

        Supported strings: auto vbr cbr

        Default: auto

        Bitrate Mode

        Specify constant or variable bitrate. For "Auto", constant bitrate will be used for MPEG-1, variable bitrate will be used for MPEG-2. For formats, which require CBR, this option is ignored

        bitrate=<number> (200..99999, default: 1150)

        Bitrate (kbps)

        Video bitrate in kbps. For VBR, it's the maximum bitrate. If the format requires a fixed bitrate (e.g. VCD) this option is ignored

        quantization=<number> (1..31, default: 8)

        Quantization

        Minimum quantization for VBR. Lower numbers mean higher quality. For CBR, this option is ignored.

        quant_matrix=<string>

        Supported strings: default kvcd tmpgenc hi-res

        Default: default

        Quantization matrices

        bframes=<number> (0..2, default: 0)

        Number of B-Frames

        Specify the number of B-frames between 2 P/I frames. More B-frames slow down encoding and increase memory usage, but might give better compression results. For VCD, this option is ignored, since the VCD standard requires 2 B-frames, no matter if you like them or not.

        user_options=<string>

        User options

        Enter further commandline options for mpeg2enc here. Check the mpeg2enc manual page for details

        default_timescale=<number> (default: 25)

        Default timescale

        For formats, which support only constant framerates, set the default timescale here

        default_frame_duration=<number> (default: 1)

        Default frame duration

        For formats, which support only constant framerates, set the default frame duration here

    Suboptions for video_encoder=e_singlepic

        plugin=option[{suboptions}]

        Supported options: iw_jpeg iw_png iw_tiff iw_tga iw_bmp iw_pnm iw_gavl

        Default: iw_jpeg

        Plugin

        Suboptions for plugin=iw_jpeg

            quality=<number> (0..100, default: 95)

            Quality

            chroma_sampling=<string>

            Supported strings: 4:2:0 4:2:2 4:4:4

            Default: 4:2:0

            Chroma sampling

        Suboptions for plugin=iw_png

            compression=<number> (0..9, default: 9)

            Compression level

            bit_mode=<string>

            Supported strings: Auto 8 16

            Default: 8

            Bits per channel

            If you select auto, the depth will be chosen according to the input format

        Suboptions for plugin=iw_tiff

            compression=<string>

            Supported strings: none packbits deflate jpeg

            Default: none

            Compression

            jpeg_quality=<number> (0..100, default: 75)

            JPEG quality

            zip_quality=<number> (0..9, default: 6)

            Deflate compression level

        Suboptions for plugin=iw_tga

            rle=[1|0] (default: 0)

            Do RLE compression

        Suboptions for plugin=iw_pnm

            format=<string>

            Supported strings: binary ascii

            Default: binary

            Format

            comment=<string> (Default: Created with gmerlin)

            Comment

            Comment which will be written in front of every file

        frame_digits=<number> (1..9, default: 4)

        Framenumber digits

        frame_offset=<number> (0..1000000, default: 0)

        Framenumber offset

    Suboptions for video_encoder=e_theora

        codec=option[{suboptions}]

        Supported options: vorbis speex flacogg

        Default: vorbis

        Codec

        Suboptions for codec=vorbis

            bitrate_mode=<string>

            Supported strings: vbr vbr_bitrate managed

            Default: VBR

            Bitrate mode

            Bitrate mode: VBR: You specify a quality and (optionally) a minimum and maximum bitrate VBR (bitrate): The specified nominal bitrate will be used for selecting the encoder mode. Managed: You specify a nominal bitrate and (optionally) a minimum and maximum bitrate VBR is recommended, managed bitrate might result in a worse quality

            nominal_bitrate=<number> (0..1000, default: 128)

            Nominal bitrate (kbps)

            Nominal bitrate (in kbps) for managed mode

            quality=<number> (0.0..10.0, default: 3.0)

            VBR Quality (10: best)

            Quality for VBR mode 10: best (largest output file) 0: worst (smallest output file)

            min_bitrate=<number> (0..1000, default: 0)

            Minimum bitrate (kbps)

            Optional minimum bitrate (in kbps) 0 = unspecified

            max_bitrate=<number> (0..1000, default: 0)

            Maximum bitrate (kbps)

            Optional maximum bitrate (in kbps) 0 = unspecified

        Suboptions for codec=speex

            mode=<string>

            Supported strings: auto nb wb uwb

            Default: auto

            Speex mode

            Encoding mode. If you select Auto, the mode will be taken from the samplerate.

            quality=<number> (0..10, default: 3)

            Quality (10: best)

            complexity=<number> (0..10, default: 3)

            Encoding complexity

            nframes=<number> (1..10, default: 1)

            Frames per Ogg packet

            bitrate=<number> (0..128, default: 8)

            Bitrate (kbps)

            Bitrate (in kbps). Set to 0 for seleting the standard bitrates for the encoding mode.

            vbr=[1|0] (default: 0)

            Variable bitrate

            abr_bitrate=<number> (0..128, default: 0)

            Average bitrate (kbps)

            Average bitrate (in kbps). Set to 0 for disabling ABR.

            vad=[1|0] (default: 0)

            Use voice activity detection

            dtx=[1|0] (default: 0)

            Enable file-based discontinuous transmission

        Suboptions for codec=flacogg

            bits=<string>

            Supported strings: 8 12 16 20 24

            Default: 16

            Bits

            compression_level=<number> (0..8, default: 5)

            Compression Level

            0: Fastest encoding, biggest files 8: Slowest encoding, smallest files

        cbr=[1|0] (default: 0)

        Use constant bitrate

        For constant bitrate, choose a target bitrate. For variable bitrate, choose a nominal quality.

        target_bitrate=<number> (45..2000, default: 250)

        Target bitrate (kbps)

        quality=<number> (0..63, default: 10)

        Nominal quality

        Quality for VBR mode 63: best (largest output file) 0: worst (smallest output file)

        max_keyframe_interval=<number> (1..1000, default: 64)

        Maximum keyframe interval

        drop_frames=[1|0] (default: 1)

        Enable frame dropping

        Drop frames to keep within bitrate buffer constraints. This can have a severe impact on quality, but is the only way to ensure that bitrate targets are met at low rates during sudden bursts of activity.

        cap_overflow=[1|0] (default: 1)

        Don't bank excess bits for later use

        Ignore bitrate buffer overflows. If the encoder uses so few bits that the reservoir of available bits overflows, ignore the excess. The encoder will not try to use these extra bits in future frames. At high rates this may cause the result to be undersized, but allows a client to play the stream using a finite buffer; it should normally be enabled.

        cap_underflow=[1|0] (default: 0)

        Don't try to make up shortfalls later

        Ignore bitrate buffer underflows. If the encoder uses so many bits that the reservoir of available bits underflows, ignore the deficit. The encoder will not try to make up these extra bits in future frames. At low rates this may cause the result to be oversized; it should normally be disabled.

        speed=<number> (0.00..1.00, default: 0.00)

        Encoding speed

        Higher speed levels favor quicker encoding over better quality per bit. Depending on the encoding mode, and the internal algorithms used, quality may actually improve, but in this case bitrate will also likely increase. In any case, overall rate/distortion performance will probably decrease.

        default_timescale=<number> (default: 25)

        Default timescale

        For formats, which support only constant framerates, set the default timescale here

        default_frame_duration=<number> (default: 1)

        Default frame duration

        For formats, which support only constant framerates, set the default frame duration here

    Suboptions for video_encoder=e_mpeg

        format=<string>

        Supported strings: mpeg1 vcd mpeg2 svcd dvd_nav dvd

        Default: mpeg1

        Format

        Output format. Note that for some output formats (e.g. VCD), you MUST use proper settings for the audio and video streams also, since this isn't done automatically

        tmp_dir=<string>

        Directory for temporary files

        Leave empty to use the same directory as the final output file

        aux_stream_1=<string>

        Additional stream 1

        Additional stream to multiplex into the final output file. Use this if you want e.g. create mp3 or AC3 audio with some other encoder

        aux_stream_2=<string>

        Additional stream 2

        Additional stream to multiplex into the final output file. Use this if you want e.g. create mp3 or AC3 audio with some other encoder

        aux_stream_3=<string>

        Additional stream 3

        Additional stream to multiplex into the final output file. Use this if you want e.g. create mp3 or AC3 audio with some other encoder

        bitrate=<number> (32..448, default: 224)

        Bitrate (kbps)

        layer=<number> (1..2, default: 2)

        Layer (1 or 2)

        Audio layer

        vcd=[1|0] (default: 1)

        VCD Compatible

        Make VCD compliant output. This forces layer II, 224 kbps and 44.1 KHz stereo

        format=<string>

        Supported strings: mpeg1 mpeg2 vcd svcd dvd

        Default: mpeg1

        Format

        Sets the MPEG flavour. Note, that for VCD, SVCD and DVD, you MUST provide valid frame sizes

        bitrate_mode=<string>

        Supported strings: auto vbr cbr

        Default: auto

        Bitrate Mode

        Specify constant or variable bitrate. For "Auto", constant bitrate will be used for MPEG-1, variable bitrate will be used for MPEG-2. For formats, which require CBR, this option is ignored

        bitrate=<number> (200..99999, default: 1150)

        Bitrate (kbps)

        Video bitrate in kbps. For VBR, it's the maximum bitrate. If the format requires a fixed bitrate (e.g. VCD) this option is ignored

        quantization=<number> (1..31, default: 8)

        Quantization

        Minimum quantization for VBR. Lower numbers mean higher quality. For CBR, this option is ignored.

        quant_matrix=<string>

        Supported strings: default kvcd tmpgenc hi-res

        Default: default

        Quantization matrices

        bframes=<number> (0..2, default: 0)

        Number of B-Frames

        Specify the number of B-frames between 2 P/I frames. More B-frames slow down encoding and increase memory usage, but might give better compression results. For VCD, this option is ignored, since the VCD standard requires 2 B-frames, no matter if you like them or not.

        user_options=<string>

        User options

        Enter further commandline options for mpeg2enc here. Check the mpeg2enc manual page for details

        default_timescale=<number> (default: 25)

        Default timescale

        For formats, which support only constant framerates, set the default timescale here

        default_frame_duration=<number> (default: 1)

        Default frame duration

        For formats, which support only constant framerates, set the default frame duration here

    Suboptions for video_encoder=e_ffmpeg_video

        format=<string>

        Supported strings: mpeg1video mpeg2video

        Default: mpeg1video

        Format

        codec=option[{suboptions}]

        Supported options: mpeg1video mpeg2video

        Default: mpeg1video

        Codec

        Suboptions for codec=mpeg1video

            gop_size=<number> (0..300, default: 250)

            GOP size (0 = intra only)

            ff_scenechange_threshold=<number> (-1000000000..1000000000, default: 0)

            Scenechange threshold

            Threshold for scene change detection. Negative values mean more sensitivity (more keyframes)

            ff_scenechange_factor=<number> (default: 0)

            Scenechange factor

            Multiplied by qscale for each frame and added to scene_change_score

            ff_flag_closed_gop=[1|0] (default: 0)

            Close all GOPs

            ff_flag2_strict_gop=[1|0] (default: 0)

            Strictly enforce GOP size

            ff_max_b_frames=<number> (0..16, default: 0)

            Max B-Frames

            Maximum number of B-frames between non B-frames

            ff_b_frame_strategy=[1|0] (default: 0)

            Avoid B-frames in high motion scenes

            ff_bit_rate_video=<number> (default: 800)

            Bit rate (kbps)

            ff_bit_rate_tolerance=<number> (default: 8000)

            Bitrate tolerance (kbps)

            Number of bits the bitstream is allowed to diverge from the reference. Unused for constant quantizer encoding

            ff_rc_min_rate=<number> (default: 0)

            Minimum bitrate (kbps)

            Minimum bitrate (0 means arbitrary)

            ff_rc_max_rate=<number> (default: 0)

            Maximum bitrate (kbps)

            Maximum bitrate (0 means arbitrary)

            ff_rc_buffer_size=<number> (default: 0)

            RC buffer size

            Decoder bitstream buffer size in kbits. When encoding with max and/or min bitrate, this must be specified.

            ff_rc_initial_cplx=<number> (0.0..99.0, default: 0.0)

            Initial RC complexity

            ff_rc_initial_buffer_occupancy=<number> (default: 0)

            Initial RC buffer occupancy

            Number of kilobits which should be loaded into the rc buffer before encoding starts. Must not be larger than RC buffer size

            ff_qmin=<number> (0..31, default: 2)

            Minimum quantizer scale

            ff_qmax=<number> (0..31, default: 31)

            Maximum quantizer scale

            ff_max_qdiff=<number> (0..31, default: 3)

            Maximum quantizer difference

            Maximum quantizer difference between frames

            ff_flag_qscale=[1|0] (default: 0)

            Use fixed quantizer

            Use fixed quality encoding

            ff_qscale=<number> (1..31, default: 10)

            Fixed quantizer

            Quantizer for fixed quality encoding. Lower means better, 1 is not recommended

            ff_qcompress=<number> (0.00..1.00, default: 0.50)

            Quantizer compression

            Amount of qscale change between easy & hard scenes

            ff_qblur=<number> (0.00..1.00, default: 0.00)

            Quantizer blur

            Amount of qscale smoothing over time

            ff_quantizer_noise_shaping=<number> (0..3, default: 0)

            Quantizer noise shaping

            Choose quantization such that noise will be masked by similar-frequency content in the image

            ff_trellis=[1|0] (default: 0)

            Use trellis quantization

            Use trellis quantization (improves quality)

            ff_i_quant_factor=<number> (-31.0..31.0, default: -0.8)

            I quantizer factor

            Quantizer factor between P-frames and I-frames. If > 0 then the last P frame quantizer will be used (q= lastp_q*factor+offset). If < 0 then normal ratecontrol will be done (q= -normal_q*factor+offset)

            ff_i_quant_offset=<number> (0.0..31.0, default: 0.0)

            I quantizer offset

            Quantizer offset between P-frames and I-frames

            ff_b_quant_factor=<number> (-31.00..31.00, default: 1.25)

            B quantizer factor

            Quantizer factor between B-frames and non-B-frames

            ff_b_quant_offset=<number> (0.00..31.00, default: 1.25)

            B quantizer offset

            Quantizer offset between B-frames and non-B-frames if > 0 then the last p frame quantizer will be used (q= lastp_q*factor+offset) if < 0 then normal ratecontrol will be done (q= -normal_q*factor+offset)

            ff_me_method=<string>

            Supported strings: Zero Phods Log X1 Epzs Full

            Default: Zero

            Motion estimation method

            ff_me_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME compare function

            Motion estimation compare function.SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME compare

            ff_me_range=<number> (0..1000, default: 0)

            Motion estimation range

            Motion estimation search range (0 means unlimited)

            ff_me_threshold=<number> (0..4000000, default: 0)

            ME Theshold

            Motion estimation threshold. under which no motion estimation is performed, but instead the user specified motion vectors are used

            ff_mb_decision=<string>

            Supported strings: Use compare function Fewest bits Rate distoration

            Default: Use compare function

            MB decision mode

            ff_dia_size=<number> (-9..9, default: 0)

            ME diamond size & shape

            Motion estimation diamond size. Negative means shape adaptive.

            ff_pre_me=<number> (0..2, default: 0)

            ME pre-pass

            Motion estimation pre-pass 0: disabled 1: only after I-frames 2: always

            ff_me_pre_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME pre-pass compare function

            Motion estimation pre-pass compare function. SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_pre_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME pre-pass compare

            ff_pre_dia_size=<number> (-9..9, default: 0)

            ME pre-pass diamond size & shape

            Motion estimation pre-pass diamond size. Negative means shape adaptive.

            ff_lumi_masking=<number> (0.00..1.00, default: 0.00)

            Luminance masking

            Encode very bright image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_dark_masking=<number> (0.00..1.00, default: 0.00)

            Darkness masking

            Encode very dark image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_temporal_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Temporary complexity masking

            Encode very fast moving image parts with reduced quality. 0 means disabled.

            ff_spatial_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Spatial complexity masking

            Encode very complex image parts with reduced quality. 0 means disabled, 0-0.5 is a sane range.

            ff_border_masking=<number> (0.00..1.00, default: 0.00)

            Border masking

            Encode image parts near the border with reduced quality. 0 means disabled

            ff_p_masking=<number> (0.00..1.00, default: 0.00)

            Inter block masking

            Encode inter blocks with reduced quality (increases the quality of intra blocks). 0 means disabled, 1 will double the bits allocated for intra blocks.

            ff_flag_normalize_aqp=[1|0] (default: 0)

            Normalize adaptive quantization

            When using masking, try to adjust the per macroblock quantizers to maintain the desired average

            ff_strict_std_compliance=<number> (-2..2, default: 0)

            Standards compliance

            2: Strictly conform to a older more strict version of the spec or reference software 1: Strictly conform to all the things in the spec no matter what consequences 0: Default -1: Allow inofficial extensions -2: Allow non standarized experimental things

            ff_noise_reduction=<number> (0..2000, default: 0)

            Noise reduction

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

            ff_flag_bitexact=[1|0] (default: 0)

            Use only bitexact stuff

            Use only bitexact stuff (except (i)dct)

        Suboptions for codec=mpeg2video

            gop_size=<number> (0..300, default: 250)

            GOP size (0 = intra only)

            ff_scenechange_threshold=<number> (-1000000000..1000000000, default: 0)

            Scenechange threshold

            Threshold for scene change detection. Negative values mean more sensitivity (more keyframes)

            ff_scenechange_factor=<number> (default: 0)

            Scenechange factor

            Multiplied by qscale for each frame and added to scene_change_score

            ff_flag_closed_gop=[1|0] (default: 0)

            Close all GOPs

            ff_flag2_strict_gop=[1|0] (default: 0)

            Strictly enforce GOP size

            ff_max_b_frames=<number> (0..16, default: 0)

            Max B-Frames

            Maximum number of B-frames between non B-frames

            ff_b_frame_strategy=[1|0] (default: 0)

            Avoid B-frames in high motion scenes

            ff_bit_rate_video=<number> (default: 800)

            Bit rate (kbps)

            ff_bit_rate_tolerance=<number> (default: 8000)

            Bitrate tolerance (kbps)

            Number of bits the bitstream is allowed to diverge from the reference. Unused for constant quantizer encoding

            ff_rc_min_rate=<number> (default: 0)

            Minimum bitrate (kbps)

            Minimum bitrate (0 means arbitrary)

            ff_rc_max_rate=<number> (default: 0)

            Maximum bitrate (kbps)

            Maximum bitrate (0 means arbitrary)

            ff_rc_buffer_size=<number> (default: 0)

            RC buffer size

            Decoder bitstream buffer size in kbits. When encoding with max and/or min bitrate, this must be specified.

            ff_rc_initial_cplx=<number> (0.0..99.0, default: 0.0)

            Initial RC complexity

            ff_rc_initial_buffer_occupancy=<number> (default: 0)

            Initial RC buffer occupancy

            Number of kilobits which should be loaded into the rc buffer before encoding starts. Must not be larger than RC buffer size

            ff_qmin=<number> (0..31, default: 2)

            Minimum quantizer scale

            ff_qmax=<number> (0..31, default: 31)

            Maximum quantizer scale

            ff_max_qdiff=<number> (0..31, default: 3)

            Maximum quantizer difference

            Maximum quantizer difference between frames

            ff_flag_qscale=[1|0] (default: 0)

            Use fixed quantizer

            Use fixed quality encoding

            ff_qscale=<number> (1..31, default: 10)

            Fixed quantizer

            Quantizer for fixed quality encoding. Lower means better, 1 is not recommended

            ff_qcompress=<number> (0.00..1.00, default: 0.50)

            Quantizer compression

            Amount of qscale change between easy & hard scenes

            ff_qblur=<number> (0.00..1.00, default: 0.00)

            Quantizer blur

            Amount of qscale smoothing over time

            ff_quantizer_noise_shaping=<number> (0..3, default: 0)

            Quantizer noise shaping

            Choose quantization such that noise will be masked by similar-frequency content in the image

            ff_trellis=[1|0] (default: 0)

            Use trellis quantization

            Use trellis quantization (improves quality)

            ff_i_quant_factor=<number> (-31.0..31.0, default: -0.8)

            I quantizer factor

            Quantizer factor between P-frames and I-frames. If > 0 then the last P frame quantizer will be used (q= lastp_q*factor+offset). If < 0 then normal ratecontrol will be done (q= -normal_q*factor+offset)

            ff_i_quant_offset=<number> (0.0..31.0, default: 0.0)

            I quantizer offset

            Quantizer offset between P-frames and I-frames

            ff_b_quant_factor=<number> (-31.00..31.00, default: 1.25)

            B quantizer factor

            Quantizer factor between B-frames and non-B-frames

            ff_b_quant_offset=<number> (0.00..31.00, default: 1.25)

            B quantizer offset

            Quantizer offset between B-frames and non-B-frames if > 0 then the last p frame quantizer will be used (q= lastp_q*factor+offset) if < 0 then normal ratecontrol will be done (q= -normal_q*factor+offset)

            ff_me_method=<string>

            Supported strings: Zero Phods Log X1 Epzs Full

            Default: Zero

            Motion estimation method

            ff_me_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME compare function

            Motion estimation compare function.SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME compare

            ff_me_range=<number> (0..1000, default: 0)

            Motion estimation range

            Motion estimation search range (0 means unlimited)

            ff_me_threshold=<number> (0..4000000, default: 0)

            ME Theshold

            Motion estimation threshold. under which no motion estimation is performed, but instead the user specified motion vectors are used

            ff_mb_decision=<string>

            Supported strings: Use compare function Fewest bits Rate distoration

            Default: Use compare function

            MB decision mode

            ff_dia_size=<number> (-9..9, default: 0)

            ME diamond size & shape

            Motion estimation diamond size. Negative means shape adaptive.

            ff_pre_me=<number> (0..2, default: 0)

            ME pre-pass

            Motion estimation pre-pass 0: disabled 1: only after I-frames 2: always

            ff_me_pre_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME pre-pass compare function

            Motion estimation pre-pass compare function. SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_pre_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME pre-pass compare

            ff_pre_dia_size=<number> (-9..9, default: 0)

            ME pre-pass diamond size & shape

            Motion estimation pre-pass diamond size. Negative means shape adaptive.

            ff_lumi_masking=<number> (0.00..1.00, default: 0.00)

            Luminance masking

            Encode very bright image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_dark_masking=<number> (0.00..1.00, default: 0.00)

            Darkness masking

            Encode very dark image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_temporal_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Temporary complexity masking

            Encode very fast moving image parts with reduced quality. 0 means disabled.

            ff_spatial_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Spatial complexity masking

            Encode very complex image parts with reduced quality. 0 means disabled, 0-0.5 is a sane range.

            ff_border_masking=<number> (0.00..1.00, default: 0.00)

            Border masking

            Encode image parts near the border with reduced quality. 0 means disabled

            ff_p_masking=<number> (0.00..1.00, default: 0.00)

            Inter block masking

            Encode inter blocks with reduced quality (increases the quality of intra blocks). 0 means disabled, 1 will double the bits allocated for intra blocks.

            ff_flag_normalize_aqp=[1|0] (default: 0)

            Normalize adaptive quantization

            When using masking, try to adjust the per macroblock quantizers to maintain the desired average

            ff_strict_std_compliance=<number> (-2..2, default: 0)

            Standards compliance

            2: Strictly conform to a older more strict version of the spec or reference software 1: Strictly conform to all the things in the spec no matter what consequences 0: Default -1: Allow inofficial extensions -2: Allow non standarized experimental things

            ff_noise_reduction=<number> (0..2000, default: 0)

            Noise reduction

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

            ff_flag_bitexact=[1|0] (default: 0)

            Use only bitexact stuff

            Use only bitexact stuff (except (i)dct)

        default_timescale=<number> (default: 25)

        Default timescale

        For formats, which support only constant framerates, set the default timescale here

        default_frame_duration=<number> (default: 1)

        Default frame duration

        For formats, which support only constant framerates, set the default frame duration here

    Suboptions for video_encoder=e_ffmpeg

        format=<string>

        Supported strings: avi mpeg vob dvd flv asf mpegts

        Default: avi

        Format

        codec=option[{suboptions}]

        Supported options: pcm_s16le pcm_u8 pcm_alaw pcm_mulaw mp3 mp2 ac3 wma2 wma1

        Default: pcm_s16le

        Codec

        Suboptions for codec=mp3

            ff_bit_rate_str=<string>

            Supported strings: 32 40 48 56 64 80 96 112 128 160 192 224 256 320

            Default: 128

            Bit rate (kbps)

        Suboptions for codec=mp2

            ff_bit_rate_str=<string>

            Supported strings: 32 48 56 64 80 96 112 128 160 192 224 256 320 384

            Default: 128

            Bit rate (kbps)

        Suboptions for codec=ac3

            ff_bit_rate_str=<string>

            Supported strings: 32 40 48 56 64 80 96 112 128 160 192 224 256 320 384 448 512 576 640

            Default: 128

            Bit rate (kbps)

        Suboptions for codec=wma2

            ff_bit_rate_str=<string>

            Supported strings: 24 48 64 96 128

            Default: 128

            Bit rate (kbps)

        Suboptions for codec=wma1

            ff_bit_rate_str=<string>

            Supported strings: 24 48 64 96 128

            Default: 128

            Bit rate (kbps)

        codec=option[{suboptions}]

        Supported options: mpeg4 msmpeg4v3 mjpeg mpeg1video mpeg2video flv1 wmv1

        Default: mpeg4

        Codec

        Suboptions for codec=mpeg4

            gop_size=<number> (0..300, default: 250)

            GOP size (0 = intra only)

            ff_scenechange_threshold=<number> (-1000000000..1000000000, default: 0)

            Scenechange threshold

            Threshold for scene change detection. Negative values mean more sensitivity (more keyframes)

            ff_scenechange_factor=<number> (default: 0)

            Scenechange factor

            Multiplied by qscale for each frame and added to scene_change_score

            ff_flag_closed_gop=[1|0] (default: 0)

            Close all GOPs

            ff_flag2_strict_gop=[1|0] (default: 0)

            Strictly enforce GOP size

            ff_max_b_frames=<number> (0..16, default: 0)

            Max B-Frames

            Maximum number of B-frames between non B-frames

            ff_b_frame_strategy=[1|0] (default: 0)

            Avoid B-frames in high motion scenes

            ff_flag_ac_pred=[1|0] (default: 0)

            MPEG-4 AC prediction

            ff_bit_rate_video=<number> (default: 800)

            Bit rate (kbps)

            ff_bit_rate_tolerance=<number> (default: 8000)

            Bitrate tolerance (kbps)

            Number of bits the bitstream is allowed to diverge from the reference. Unused for constant quantizer encoding

            ff_rc_min_rate=<number> (default: 0)

            Minimum bitrate (kbps)

            Minimum bitrate (0 means arbitrary)

            ff_rc_max_rate=<number> (default: 0)

            Maximum bitrate (kbps)

            Maximum bitrate (0 means arbitrary)

            ff_rc_buffer_size=<number> (default: 0)

            RC buffer size

            Decoder bitstream buffer size in kbits. When encoding with max and/or min bitrate, this must be specified.

            ff_rc_initial_cplx=<number> (0.0..99.0, default: 0.0)

            Initial RC complexity

            ff_rc_initial_buffer_occupancy=<number> (default: 0)

            Initial RC buffer occupancy

            Number of kilobits which should be loaded into the rc buffer before encoding starts. Must not be larger than RC buffer size

            ff_qmin=<number> (0..31, default: 2)

            Minimum quantizer scale

            ff_qmax=<number> (0..31, default: 31)

            Maximum quantizer scale

            ff_max_qdiff=<number> (0..31, default: 3)

            Maximum quantizer difference

            Maximum quantizer difference between frames

            ff_flag_qscale=[1|0] (default: 0)

            Use fixed quantizer

            Use fixed quality encoding

            ff_qscale=<number> (1..31, default: 10)

            Fixed quantizer

            Quantizer for fixed quality encoding. Lower means better, 1 is not recommended

            ff_qcompress=<number> (0.00..1.00, default: 0.50)

            Quantizer compression

            Amount of qscale change between easy & hard scenes

            ff_qblur=<number> (0.00..1.00, default: 0.00)

            Quantizer blur

            Amount of qscale smoothing over time

            ff_quantizer_noise_shaping=<number> (0..3, default: 0)

            Quantizer noise shaping

            Choose quantization such that noise will be masked by similar-frequency content in the image

            ff_trellis=[1|0] (default: 0)

            Use trellis quantization

            Use trellis quantization (improves quality)

            ff_i_quant_factor=<number> (-31.0..31.0, default: -0.8)

            I quantizer factor

            Quantizer factor between P-frames and I-frames. If > 0 then the last P frame quantizer will be used (q= lastp_q*factor+offset). If < 0 then normal ratecontrol will be done (q= -normal_q*factor+offset)

            ff_i_quant_offset=<number> (0.0..31.0, default: 0.0)

            I quantizer offset

            Quantizer offset between P-frames and I-frames

            ff_b_quant_factor=<number> (-31.00..31.00, default: 1.25)

            B quantizer factor

            Quantizer factor between B-frames and non-B-frames

            ff_b_quant_offset=<number> (0.00..31.00, default: 1.25)

            B quantizer offset

            Quantizer offset between B-frames and non-B-frames if > 0 then the last p frame quantizer will be used (q= lastp_q*factor+offset) if < 0 then normal ratecontrol will be done (q= -normal_q*factor+offset)

            ff_flag_cbp_rd=[1|0] (default: 0)

            CBP RD

            Use rate distortion optimization for cbp

            ff_me_method=<string>

            Supported strings: Zero Phods Log X1 Epzs Full

            Default: Zero

            Motion estimation method

            ff_me_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME compare function

            Motion estimation compare function.SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME compare

            ff_me_range=<number> (0..1000, default: 0)

            Motion estimation range

            Motion estimation search range (0 means unlimited)

            ff_me_threshold=<number> (0..4000000, default: 0)

            ME Theshold

            Motion estimation threshold. under which no motion estimation is performed, but instead the user specified motion vectors are used

            ff_mb_decision=<string>

            Supported strings: Use compare function Fewest bits Rate distoration

            Default: Use compare function

            MB decision mode

            ff_dia_size=<number> (-9..9, default: 0)

            ME diamond size & shape

            Motion estimation diamond size. Negative means shape adaptive.

            ff_flag_gmc=[1|0] (default: 0)

            Use global motion compensation

            Warning: GMC is not supported by all decoders

            ff_flag_4mv=[1|0] (default: 0)

            4 MV per MB allowed

            Allow 4 motion vectors per macroblock (slightly better quality). Works better if MB decision mode is "Fewest bits" or "Rate distoration".

            ff_flag_mv0=[1|0] (default: 0)

            Always try a MB with MV=<0,0>

            ff_flag_qp_rd=[1|0] (default: 0)

            QP RD

            Use rate distortion optimization for qp selection

            ff_pre_me=<number> (0..2, default: 0)

            ME pre-pass

            Motion estimation pre-pass 0: disabled 1: only after I-frames 2: always

            ff_me_pre_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME pre-pass compare function

            Motion estimation pre-pass compare function. SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_pre_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME pre-pass compare

            ff_pre_dia_size=<number> (-9..9, default: 0)

            ME pre-pass diamond size & shape

            Motion estimation pre-pass diamond size. Negative means shape adaptive.

            ff_flag_qpel=[1|0] (default: 0)

            Use qpel MC

            Use 1/4 pixel motion compensation. Warning: QPEL is not supported by all decoders.

            ff_me_sub_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            Subpixel ME compare function

            Subpixel motion estimation compare function. SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_sub_cmp_chroma=[1|0] (default: 0)

            Enable chroma subpixel ME compare

            ff_me_subpel_quality=<number> (1..8, default: 8)

            Subpel ME quality

            Subpel motion estimation refinement quality (for qpel). Higher values mean higher quality but slower encoding.

            ff_lumi_masking=<number> (0.00..1.00, default: 0.00)

            Luminance masking

            Encode very bright image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_dark_masking=<number> (0.00..1.00, default: 0.00)

            Darkness masking

            Encode very dark image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_temporal_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Temporary complexity masking

            Encode very fast moving image parts with reduced quality. 0 means disabled.

            ff_spatial_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Spatial complexity masking

            Encode very complex image parts with reduced quality. 0 means disabled, 0-0.5 is a sane range.

            ff_border_masking=<number> (0.00..1.00, default: 0.00)

            Border masking

            Encode image parts near the border with reduced quality. 0 means disabled

            ff_p_masking=<number> (0.00..1.00, default: 0.00)

            Inter block masking

            Encode inter blocks with reduced quality (increases the quality of intra blocks). 0 means disabled, 1 will double the bits allocated for intra blocks.

            ff_flag_normalize_aqp=[1|0] (default: 0)

            Normalize adaptive quantization

            When using masking, try to adjust the per macroblock quantizers to maintain the desired average

            ff_strict_std_compliance=<number> (-2..2, default: 0)

            Standards compliance

            2: Strictly conform to a older more strict version of the spec or reference software 1: Strictly conform to all the things in the spec no matter what consequences 0: Default -1: Allow inofficial extensions -2: Allow non standarized experimental things

            ff_noise_reduction=<number> (0..2000, default: 0)

            Noise reduction

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

            ff_flag_bitexact=[1|0] (default: 0)

            Use only bitexact stuff

            Use only bitexact stuff (except (i)dct)

        Suboptions for codec=msmpeg4v3

            gop_size=<number> (0..300, default: 250)

            GOP size (0 = intra only)

            ff_scenechange_threshold=<number> (-1000000000..1000000000, default: 0)

            Scenechange threshold

            Threshold for scene change detection. Negative values mean more sensitivity (more keyframes)

            ff_scenechange_factor=<number> (default: 0)

            Scenechange factor

            Multiplied by qscale for each frame and added to scene_change_score

            ff_flag_closed_gop=[1|0] (default: 0)

            Close all GOPs

            ff_flag2_strict_gop=[1|0] (default: 0)

            Strictly enforce GOP size

            ff_bit_rate_video=<number> (default: 800)

            Bit rate (kbps)

            ff_bit_rate_tolerance=<number> (default: 8000)

            Bitrate tolerance (kbps)

            Number of bits the bitstream is allowed to diverge from the reference. Unused for constant quantizer encoding

            ff_rc_min_rate=<number> (default: 0)

            Minimum bitrate (kbps)

            Minimum bitrate (0 means arbitrary)

            ff_rc_max_rate=<number> (default: 0)

            Maximum bitrate (kbps)

            Maximum bitrate (0 means arbitrary)

            ff_rc_buffer_size=<number> (default: 0)

            RC buffer size

            Decoder bitstream buffer size in kbits. When encoding with max and/or min bitrate, this must be specified.

            ff_rc_initial_cplx=<number> (0.0..99.0, default: 0.0)

            Initial RC complexity

            ff_rc_initial_buffer_occupancy=<number> (default: 0)

            Initial RC buffer occupancy

            Number of kilobits which should be loaded into the rc buffer before encoding starts. Must not be larger than RC buffer size

            ff_qmin=<number> (0..31, default: 2)

            Minimum quantizer scale

            ff_qmax=<number> (0..31, default: 31)

            Maximum quantizer scale

            ff_max_qdiff=<number> (0..31, default: 3)

            Maximum quantizer difference

            Maximum quantizer difference between frames

            ff_flag_qscale=[1|0] (default: 0)

            Use fixed quantizer

            Use fixed quality encoding

            ff_qscale=<number> (1..31, default: 10)

            Fixed quantizer

            Quantizer for fixed quality encoding. Lower means better, 1 is not recommended

            ff_qcompress=<number> (0.00..1.00, default: 0.50)

            Quantizer compression

            Amount of qscale change between easy & hard scenes

            ff_qblur=<number> (0.00..1.00, default: 0.00)

            Quantizer blur

            Amount of qscale smoothing over time

            ff_quantizer_noise_shaping=<number> (0..3, default: 0)

            Quantizer noise shaping

            Choose quantization such that noise will be masked by similar-frequency content in the image

            ff_trellis=[1|0] (default: 0)

            Use trellis quantization

            Use trellis quantization (improves quality)

            ff_i_quant_factor=<number> (-31.0..31.0, default: -0.8)

            I quantizer factor

            Quantizer factor between P-frames and I-frames. If > 0 then the last P frame quantizer will be used (q= lastp_q*factor+offset). If < 0 then normal ratecontrol will be done (q= -normal_q*factor+offset)

            ff_i_quant_offset=<number> (0.0..31.0, default: 0.0)

            I quantizer offset

            Quantizer offset between P-frames and I-frames

            ff_me_method=<string>

            Supported strings: Zero Phods Log X1 Epzs Full

            Default: Zero

            Motion estimation method

            ff_me_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME compare function

            Motion estimation compare function.SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME compare

            ff_me_range=<number> (0..1000, default: 0)

            Motion estimation range

            Motion estimation search range (0 means unlimited)

            ff_me_threshold=<number> (0..4000000, default: 0)

            ME Theshold

            Motion estimation threshold. under which no motion estimation is performed, but instead the user specified motion vectors are used

            ff_mb_decision=<string>

            Supported strings: Use compare function Fewest bits Rate distoration

            Default: Use compare function

            MB decision mode

            ff_dia_size=<number> (-9..9, default: 0)

            ME diamond size & shape

            Motion estimation diamond size. Negative means shape adaptive.

            ff_pre_me=<number> (0..2, default: 0)

            ME pre-pass

            Motion estimation pre-pass 0: disabled 1: only after I-frames 2: always

            ff_me_pre_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME pre-pass compare function

            Motion estimation pre-pass compare function. SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_pre_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME pre-pass compare

            ff_pre_dia_size=<number> (-9..9, default: 0)

            ME pre-pass diamond size & shape

            Motion estimation pre-pass diamond size. Negative means shape adaptive.

            ff_lumi_masking=<number> (0.00..1.00, default: 0.00)

            Luminance masking

            Encode very bright image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_dark_masking=<number> (0.00..1.00, default: 0.00)

            Darkness masking

            Encode very dark image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_temporal_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Temporary complexity masking

            Encode very fast moving image parts with reduced quality. 0 means disabled.

            ff_spatial_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Spatial complexity masking

            Encode very complex image parts with reduced quality. 0 means disabled, 0-0.5 is a sane range.

            ff_border_masking=<number> (0.00..1.00, default: 0.00)

            Border masking

            Encode image parts near the border with reduced quality. 0 means disabled

            ff_p_masking=<number> (0.00..1.00, default: 0.00)

            Inter block masking

            Encode inter blocks with reduced quality (increases the quality of intra blocks). 0 means disabled, 1 will double the bits allocated for intra blocks.

            ff_flag_normalize_aqp=[1|0] (default: 0)

            Normalize adaptive quantization

            When using masking, try to adjust the per macroblock quantizers to maintain the desired average

            ff_strict_std_compliance=<number> (-2..2, default: 0)

            Standards compliance

            2: Strictly conform to a older more strict version of the spec or reference software 1: Strictly conform to all the things in the spec no matter what consequences 0: Default -1: Allow inofficial extensions -2: Allow non standarized experimental things

            ff_noise_reduction=<number> (0..2000, default: 0)

            Noise reduction

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

            ff_flag_bitexact=[1|0] (default: 0)

            Use only bitexact stuff

            Use only bitexact stuff (except (i)dct)

        Suboptions for codec=mjpeg

            ff_bit_rate_video=<number> (default: 800)

            Bit rate (kbps)

            ff_bit_rate_tolerance=<number> (default: 8000)

            Bitrate tolerance (kbps)

            Number of bits the bitstream is allowed to diverge from the reference. Unused for constant quantizer encoding

            ff_rc_min_rate=<number> (default: 0)

            Minimum bitrate (kbps)

            Minimum bitrate (0 means arbitrary)

            ff_rc_max_rate=<number> (default: 0)

            Maximum bitrate (kbps)

            Maximum bitrate (0 means arbitrary)

            ff_rc_buffer_size=<number> (default: 0)

            RC buffer size

            Decoder bitstream buffer size in kbits. When encoding with max and/or min bitrate, this must be specified.

            ff_rc_initial_cplx=<number> (0.0..99.0, default: 0.0)

            Initial RC complexity

            ff_rc_initial_buffer_occupancy=<number> (default: 0)

            Initial RC buffer occupancy

            Number of kilobits which should be loaded into the rc buffer before encoding starts. Must not be larger than RC buffer size

            ff_qmin=<number> (0..31, default: 2)

            Minimum quantizer scale

            ff_qmax=<number> (0..31, default: 31)

            Maximum quantizer scale

            ff_max_qdiff=<number> (0..31, default: 3)

            Maximum quantizer difference

            Maximum quantizer difference between frames

            ff_flag_qscale=[1|0] (default: 0)

            Use fixed quantizer

            Use fixed quality encoding

            ff_qscale=<number> (1..31, default: 10)

            Fixed quantizer

            Quantizer for fixed quality encoding. Lower means better, 1 is not recommended

            ff_qcompress=<number> (0.00..1.00, default: 0.50)

            Quantizer compression

            Amount of qscale change between easy & hard scenes

            ff_qblur=<number> (0.00..1.00, default: 0.00)

            Quantizer blur

            Amount of qscale smoothing over time

            ff_quantizer_noise_shaping=<number> (0..3, default: 0)

            Quantizer noise shaping

            Choose quantization such that noise will be masked by similar-frequency content in the image

            ff_trellis=[1|0] (default: 0)

            Use trellis quantization

            Use trellis quantization (improves quality)

            ff_strict_std_compliance=<number> (-2..2, default: 0)

            Standards compliance

            2: Strictly conform to a older more strict version of the spec or reference software 1: Strictly conform to all the things in the spec no matter what consequences 0: Default -1: Allow inofficial extensions -2: Allow non standarized experimental things

            ff_noise_reduction=<number> (0..2000, default: 0)

            Noise reduction

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

            ff_flag_bitexact=[1|0] (default: 0)

            Use only bitexact stuff

            Use only bitexact stuff (except (i)dct)

        Suboptions for codec=mpeg1video

            gop_size=<number> (0..300, default: 250)

            GOP size (0 = intra only)

            ff_scenechange_threshold=<number> (-1000000000..1000000000, default: 0)

            Scenechange threshold

            Threshold for scene change detection. Negative values mean more sensitivity (more keyframes)

            ff_scenechange_factor=<number> (default: 0)

            Scenechange factor

            Multiplied by qscale for each frame and added to scene_change_score

            ff_flag_closed_gop=[1|0] (default: 0)

            Close all GOPs

            ff_flag2_strict_gop=[1|0] (default: 0)

            Strictly enforce GOP size

            ff_max_b_frames=<number> (0..16, default: 0)

            Max B-Frames

            Maximum number of B-frames between non B-frames

            ff_b_frame_strategy=[1|0] (default: 0)

            Avoid B-frames in high motion scenes

            ff_bit_rate_video=<number> (default: 800)

            Bit rate (kbps)

            ff_bit_rate_tolerance=<number> (default: 8000)

            Bitrate tolerance (kbps)

            Number of bits the bitstream is allowed to diverge from the reference. Unused for constant quantizer encoding

            ff_rc_min_rate=<number> (default: 0)

            Minimum bitrate (kbps)

            Minimum bitrate (0 means arbitrary)

            ff_rc_max_rate=<number> (default: 0)

            Maximum bitrate (kbps)

            Maximum bitrate (0 means arbitrary)

            ff_rc_buffer_size=<number> (default: 0)

            RC buffer size

            Decoder bitstream buffer size in kbits. When encoding with max and/or min bitrate, this must be specified.

            ff_rc_initial_cplx=<number> (0.0..99.0, default: 0.0)

            Initial RC complexity

            ff_rc_initial_buffer_occupancy=<number> (default: 0)

            Initial RC buffer occupancy

            Number of kilobits which should be loaded into the rc buffer before encoding starts. Must not be larger than RC buffer size

            ff_qmin=<number> (0..31, default: 2)

            Minimum quantizer scale

            ff_qmax=<number> (0..31, default: 31)

            Maximum quantizer scale

            ff_max_qdiff=<number> (0..31, default: 3)

            Maximum quantizer difference

            Maximum quantizer difference between frames

            ff_flag_qscale=[1|0] (default: 0)

            Use fixed quantizer

            Use fixed quality encoding

            ff_qscale=<number> (1..31, default: 10)

            Fixed quantizer

            Quantizer for fixed quality encoding. Lower means better, 1 is not recommended

            ff_qcompress=<number> (0.00..1.00, default: 0.50)

            Quantizer compression

            Amount of qscale change between easy & hard scenes

            ff_qblur=<number> (0.00..1.00, default: 0.00)

            Quantizer blur

            Amount of qscale smoothing over time

            ff_quantizer_noise_shaping=<number> (0..3, default: 0)

            Quantizer noise shaping

            Choose quantization such that noise will be masked by similar-frequency content in the image

            ff_trellis=[1|0] (default: 0)

            Use trellis quantization

            Use trellis quantization (improves quality)

            ff_i_quant_factor=<number> (-31.0..31.0, default: -0.8)

            I quantizer factor

            Quantizer factor between P-frames and I-frames. If > 0 then the last P frame quantizer will be used (q= lastp_q*factor+offset). If < 0 then normal ratecontrol will be done (q= -normal_q*factor+offset)

            ff_i_quant_offset=<number> (0.0..31.0, default: 0.0)

            I quantizer offset

            Quantizer offset between P-frames and I-frames

            ff_b_quant_factor=<number> (-31.00..31.00, default: 1.25)

            B quantizer factor

            Quantizer factor between B-frames and non-B-frames

            ff_b_quant_offset=<number> (0.00..31.00, default: 1.25)

            B quantizer offset

            Quantizer offset between B-frames and non-B-frames if > 0 then the last p frame quantizer will be used (q= lastp_q*factor+offset) if < 0 then normal ratecontrol will be done (q= -normal_q*factor+offset)

            ff_me_method=<string>

            Supported strings: Zero Phods Log X1 Epzs Full

            Default: Zero

            Motion estimation method

            ff_me_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME compare function

            Motion estimation compare function.SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME compare

            ff_me_range=<number> (0..1000, default: 0)

            Motion estimation range

            Motion estimation search range (0 means unlimited)

            ff_me_threshold=<number> (0..4000000, default: 0)

            ME Theshold

            Motion estimation threshold. under which no motion estimation is performed, but instead the user specified motion vectors are used

            ff_mb_decision=<string>

            Supported strings: Use compare function Fewest bits Rate distoration

            Default: Use compare function

            MB decision mode

            ff_dia_size=<number> (-9..9, default: 0)

            ME diamond size & shape

            Motion estimation diamond size. Negative means shape adaptive.

            ff_pre_me=<number> (0..2, default: 0)

            ME pre-pass

            Motion estimation pre-pass 0: disabled 1: only after I-frames 2: always

            ff_me_pre_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME pre-pass compare function

            Motion estimation pre-pass compare function. SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_pre_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME pre-pass compare

            ff_pre_dia_size=<number> (-9..9, default: 0)

            ME pre-pass diamond size & shape

            Motion estimation pre-pass diamond size. Negative means shape adaptive.

            ff_lumi_masking=<number> (0.00..1.00, default: 0.00)

            Luminance masking

            Encode very bright image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_dark_masking=<number> (0.00..1.00, default: 0.00)

            Darkness masking

            Encode very dark image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_temporal_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Temporary complexity masking

            Encode very fast moving image parts with reduced quality. 0 means disabled.

            ff_spatial_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Spatial complexity masking

            Encode very complex image parts with reduced quality. 0 means disabled, 0-0.5 is a sane range.

            ff_border_masking=<number> (0.00..1.00, default: 0.00)

            Border masking

            Encode image parts near the border with reduced quality. 0 means disabled

            ff_p_masking=<number> (0.00..1.00, default: 0.00)

            Inter block masking

            Encode inter blocks with reduced quality (increases the quality of intra blocks). 0 means disabled, 1 will double the bits allocated for intra blocks.

            ff_flag_normalize_aqp=[1|0] (default: 0)

            Normalize adaptive quantization

            When using masking, try to adjust the per macroblock quantizers to maintain the desired average

            ff_strict_std_compliance=<number> (-2..2, default: 0)

            Standards compliance

            2: Strictly conform to a older more strict version of the spec or reference software 1: Strictly conform to all the things in the spec no matter what consequences 0: Default -1: Allow inofficial extensions -2: Allow non standarized experimental things

            ff_noise_reduction=<number> (0..2000, default: 0)

            Noise reduction

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

            ff_flag_bitexact=[1|0] (default: 0)

            Use only bitexact stuff

            Use only bitexact stuff (except (i)dct)

        Suboptions for codec=mpeg2video

            gop_size=<number> (0..300, default: 250)

            GOP size (0 = intra only)

            ff_scenechange_threshold=<number> (-1000000000..1000000000, default: 0)

            Scenechange threshold

            Threshold for scene change detection. Negative values mean more sensitivity (more keyframes)

            ff_scenechange_factor=<number> (default: 0)

            Scenechange factor

            Multiplied by qscale for each frame and added to scene_change_score

            ff_flag_closed_gop=[1|0] (default: 0)

            Close all GOPs

            ff_flag2_strict_gop=[1|0] (default: 0)

            Strictly enforce GOP size

            ff_max_b_frames=<number> (0..16, default: 0)

            Max B-Frames

            Maximum number of B-frames between non B-frames

            ff_b_frame_strategy=[1|0] (default: 0)

            Avoid B-frames in high motion scenes

            ff_bit_rate_video=<number> (default: 800)

            Bit rate (kbps)

            ff_bit_rate_tolerance=<number> (default: 8000)

            Bitrate tolerance (kbps)

            Number of bits the bitstream is allowed to diverge from the reference. Unused for constant quantizer encoding

            ff_rc_min_rate=<number> (default: 0)

            Minimum bitrate (kbps)

            Minimum bitrate (0 means arbitrary)

            ff_rc_max_rate=<number> (default: 0)

            Maximum bitrate (kbps)

            Maximum bitrate (0 means arbitrary)

            ff_rc_buffer_size=<number> (default: 0)

            RC buffer size

            Decoder bitstream buffer size in kbits. When encoding with max and/or min bitrate, this must be specified.

            ff_rc_initial_cplx=<number> (0.0..99.0, default: 0.0)

            Initial RC complexity

            ff_rc_initial_buffer_occupancy=<number> (default: 0)

            Initial RC buffer occupancy

            Number of kilobits which should be loaded into the rc buffer before encoding starts. Must not be larger than RC buffer size

            ff_qmin=<number> (0..31, default: 2)

            Minimum quantizer scale

            ff_qmax=<number> (0..31, default: 31)

            Maximum quantizer scale

            ff_max_qdiff=<number> (0..31, default: 3)

            Maximum quantizer difference

            Maximum quantizer difference between frames

            ff_flag_qscale=[1|0] (default: 0)

            Use fixed quantizer

            Use fixed quality encoding

            ff_qscale=<number> (1..31, default: 10)

            Fixed quantizer

            Quantizer for fixed quality encoding. Lower means better, 1 is not recommended

            ff_qcompress=<number> (0.00..1.00, default: 0.50)

            Quantizer compression

            Amount of qscale change between easy & hard scenes

            ff_qblur=<number> (0.00..1.00, default: 0.00)

            Quantizer blur

            Amount of qscale smoothing over time

            ff_quantizer_noise_shaping=<number> (0..3, default: 0)

            Quantizer noise shaping

            Choose quantization such that noise will be masked by similar-frequency content in the image

            ff_trellis=[1|0] (default: 0)

            Use trellis quantization

            Use trellis quantization (improves quality)

            ff_i_quant_factor=<number> (-31.0..31.0, default: -0.8)

            I quantizer factor

            Quantizer factor between P-frames and I-frames. If > 0 then the last P frame quantizer will be used (q= lastp_q*factor+offset). If < 0 then normal ratecontrol will be done (q= -normal_q*factor+offset)

            ff_i_quant_offset=<number> (0.0..31.0, default: 0.0)

            I quantizer offset

            Quantizer offset between P-frames and I-frames

            ff_b_quant_factor=<number> (-31.00..31.00, default: 1.25)

            B quantizer factor

            Quantizer factor between B-frames and non-B-frames

            ff_b_quant_offset=<number> (0.00..31.00, default: 1.25)

            B quantizer offset

            Quantizer offset between B-frames and non-B-frames if > 0 then the last p frame quantizer will be used (q= lastp_q*factor+offset) if < 0 then normal ratecontrol will be done (q= -normal_q*factor+offset)

            ff_me_method=<string>

            Supported strings: Zero Phods Log X1 Epzs Full

            Default: Zero

            Motion estimation method

            ff_me_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME compare function

            Motion estimation compare function.SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME compare

            ff_me_range=<number> (0..1000, default: 0)

            Motion estimation range

            Motion estimation search range (0 means unlimited)

            ff_me_threshold=<number> (0..4000000, default: 0)

            ME Theshold

            Motion estimation threshold. under which no motion estimation is performed, but instead the user specified motion vectors are used

            ff_mb_decision=<string>

            Supported strings: Use compare function Fewest bits Rate distoration

            Default: Use compare function

            MB decision mode

            ff_dia_size=<number> (-9..9, default: 0)

            ME diamond size & shape

            Motion estimation diamond size. Negative means shape adaptive.

            ff_pre_me=<number> (0..2, default: 0)

            ME pre-pass

            Motion estimation pre-pass 0: disabled 1: only after I-frames 2: always

            ff_me_pre_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME pre-pass compare function

            Motion estimation pre-pass compare function. SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_pre_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME pre-pass compare

            ff_pre_dia_size=<number> (-9..9, default: 0)

            ME pre-pass diamond size & shape

            Motion estimation pre-pass diamond size. Negative means shape adaptive.

            ff_lumi_masking=<number> (0.00..1.00, default: 0.00)

            Luminance masking

            Encode very bright image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_dark_masking=<number> (0.00..1.00, default: 0.00)

            Darkness masking

            Encode very dark image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_temporal_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Temporary complexity masking

            Encode very fast moving image parts with reduced quality. 0 means disabled.

            ff_spatial_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Spatial complexity masking

            Encode very complex image parts with reduced quality. 0 means disabled, 0-0.5 is a sane range.

            ff_border_masking=<number> (0.00..1.00, default: 0.00)

            Border masking

            Encode image parts near the border with reduced quality. 0 means disabled

            ff_p_masking=<number> (0.00..1.00, default: 0.00)

            Inter block masking

            Encode inter blocks with reduced quality (increases the quality of intra blocks). 0 means disabled, 1 will double the bits allocated for intra blocks.

            ff_flag_normalize_aqp=[1|0] (default: 0)

            Normalize adaptive quantization

            When using masking, try to adjust the per macroblock quantizers to maintain the desired average

            ff_strict_std_compliance=<number> (-2..2, default: 0)

            Standards compliance

            2: Strictly conform to a older more strict version of the spec or reference software 1: Strictly conform to all the things in the spec no matter what consequences 0: Default -1: Allow inofficial extensions -2: Allow non standarized experimental things

            ff_noise_reduction=<number> (0..2000, default: 0)

            Noise reduction

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

            ff_flag_bitexact=[1|0] (default: 0)

            Use only bitexact stuff

            Use only bitexact stuff (except (i)dct)

        Suboptions for codec=flv1

            gop_size=<number> (0..300, default: 250)

            GOP size (0 = intra only)

            ff_scenechange_threshold=<number> (-1000000000..1000000000, default: 0)

            Scenechange threshold

            Threshold for scene change detection. Negative values mean more sensitivity (more keyframes)

            ff_scenechange_factor=<number> (default: 0)

            Scenechange factor

            Multiplied by qscale for each frame and added to scene_change_score

            ff_flag_closed_gop=[1|0] (default: 0)

            Close all GOPs

            ff_flag2_strict_gop=[1|0] (default: 0)

            Strictly enforce GOP size

            ff_bit_rate_video=<number> (default: 800)

            Bit rate (kbps)

            ff_bit_rate_tolerance=<number> (default: 8000)

            Bitrate tolerance (kbps)

            Number of bits the bitstream is allowed to diverge from the reference. Unused for constant quantizer encoding

            ff_rc_min_rate=<number> (default: 0)

            Minimum bitrate (kbps)

            Minimum bitrate (0 means arbitrary)

            ff_rc_max_rate=<number> (default: 0)

            Maximum bitrate (kbps)

            Maximum bitrate (0 means arbitrary)

            ff_rc_buffer_size=<number> (default: 0)

            RC buffer size

            Decoder bitstream buffer size in kbits. When encoding with max and/or min bitrate, this must be specified.

            ff_rc_initial_cplx=<number> (0.0..99.0, default: 0.0)

            Initial RC complexity

            ff_rc_initial_buffer_occupancy=<number> (default: 0)

            Initial RC buffer occupancy

            Number of kilobits which should be loaded into the rc buffer before encoding starts. Must not be larger than RC buffer size

            ff_qmin=<number> (0..31, default: 2)

            Minimum quantizer scale

            ff_qmax=<number> (0..31, default: 31)

            Maximum quantizer scale

            ff_max_qdiff=<number> (0..31, default: 3)

            Maximum quantizer difference

            Maximum quantizer difference between frames

            ff_flag_qscale=[1|0] (default: 0)

            Use fixed quantizer

            Use fixed quality encoding

            ff_qscale=<number> (1..31, default: 10)

            Fixed quantizer

            Quantizer for fixed quality encoding. Lower means better, 1 is not recommended

            ff_qcompress=<number> (0.00..1.00, default: 0.50)

            Quantizer compression

            Amount of qscale change between easy & hard scenes

            ff_qblur=<number> (0.00..1.00, default: 0.00)

            Quantizer blur

            Amount of qscale smoothing over time

            ff_quantizer_noise_shaping=<number> (0..3, default: 0)

            Quantizer noise shaping

            Choose quantization such that noise will be masked by similar-frequency content in the image

            ff_trellis=[1|0] (default: 0)

            Use trellis quantization

            Use trellis quantization (improves quality)

            ff_i_quant_factor=<number> (-31.0..31.0, default: -0.8)

            I quantizer factor

            Quantizer factor between P-frames and I-frames. If > 0 then the last P frame quantizer will be used (q= lastp_q*factor+offset). If < 0 then normal ratecontrol will be done (q= -normal_q*factor+offset)

            ff_i_quant_offset=<number> (0.0..31.0, default: 0.0)

            I quantizer offset

            Quantizer offset between P-frames and I-frames

            ff_me_method=<string>

            Supported strings: Zero Phods Log X1 Epzs Full

            Default: Zero

            Motion estimation method

            ff_me_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME compare function

            Motion estimation compare function.SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME compare

            ff_me_range=<number> (0..1000, default: 0)

            Motion estimation range

            Motion estimation search range (0 means unlimited)

            ff_me_threshold=<number> (0..4000000, default: 0)

            ME Theshold

            Motion estimation threshold. under which no motion estimation is performed, but instead the user specified motion vectors are used

            ff_mb_decision=<string>

            Supported strings: Use compare function Fewest bits Rate distoration

            Default: Use compare function

            MB decision mode

            ff_dia_size=<number> (-9..9, default: 0)

            ME diamond size & shape

            Motion estimation diamond size. Negative means shape adaptive.

            ff_pre_me=<number> (0..2, default: 0)

            ME pre-pass

            Motion estimation pre-pass 0: disabled 1: only after I-frames 2: always

            ff_me_pre_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME pre-pass compare function

            Motion estimation pre-pass compare function. SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_pre_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME pre-pass compare

            ff_pre_dia_size=<number> (-9..9, default: 0)

            ME pre-pass diamond size & shape

            Motion estimation pre-pass diamond size. Negative means shape adaptive.

            ff_lumi_masking=<number> (0.00..1.00, default: 0.00)

            Luminance masking

            Encode very bright image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_dark_masking=<number> (0.00..1.00, default: 0.00)

            Darkness masking

            Encode very dark image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_temporal_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Temporary complexity masking

            Encode very fast moving image parts with reduced quality. 0 means disabled.

            ff_spatial_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Spatial complexity masking

            Encode very complex image parts with reduced quality. 0 means disabled, 0-0.5 is a sane range.

            ff_border_masking=<number> (0.00..1.00, default: 0.00)

            Border masking

            Encode image parts near the border with reduced quality. 0 means disabled

            ff_p_masking=<number> (0.00..1.00, default: 0.00)

            Inter block masking

            Encode inter blocks with reduced quality (increases the quality of intra blocks). 0 means disabled, 1 will double the bits allocated for intra blocks.

            ff_flag_normalize_aqp=[1|0] (default: 0)

            Normalize adaptive quantization

            When using masking, try to adjust the per macroblock quantizers to maintain the desired average

            ff_strict_std_compliance=<number> (-2..2, default: 0)

            Standards compliance

            2: Strictly conform to a older more strict version of the spec or reference software 1: Strictly conform to all the things in the spec no matter what consequences 0: Default -1: Allow inofficial extensions -2: Allow non standarized experimental things

            ff_noise_reduction=<number> (0..2000, default: 0)

            Noise reduction

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

            ff_flag_bitexact=[1|0] (default: 0)

            Use only bitexact stuff

            Use only bitexact stuff (except (i)dct)

        Suboptions for codec=wmv1

            gop_size=<number> (0..300, default: 250)

            GOP size (0 = intra only)

            ff_scenechange_threshold=<number> (-1000000000..1000000000, default: 0)

            Scenechange threshold

            Threshold for scene change detection. Negative values mean more sensitivity (more keyframes)

            ff_scenechange_factor=<number> (default: 0)

            Scenechange factor

            Multiplied by qscale for each frame and added to scene_change_score

            ff_flag_closed_gop=[1|0] (default: 0)

            Close all GOPs

            ff_flag2_strict_gop=[1|0] (default: 0)

            Strictly enforce GOP size

            ff_bit_rate_video=<number> (default: 800)

            Bit rate (kbps)

            ff_bit_rate_tolerance=<number> (default: 8000)

            Bitrate tolerance (kbps)

            Number of bits the bitstream is allowed to diverge from the reference. Unused for constant quantizer encoding

            ff_rc_min_rate=<number> (default: 0)

            Minimum bitrate (kbps)

            Minimum bitrate (0 means arbitrary)

            ff_rc_max_rate=<number> (default: 0)

            Maximum bitrate (kbps)

            Maximum bitrate (0 means arbitrary)

            ff_rc_buffer_size=<number> (default: 0)

            RC buffer size

            Decoder bitstream buffer size in kbits. When encoding with max and/or min bitrate, this must be specified.

            ff_rc_initial_cplx=<number> (0.0..99.0, default: 0.0)

            Initial RC complexity

            ff_rc_initial_buffer_occupancy=<number> (default: 0)

            Initial RC buffer occupancy

            Number of kilobits which should be loaded into the rc buffer before encoding starts. Must not be larger than RC buffer size

            ff_qmin=<number> (0..31, default: 2)

            Minimum quantizer scale

            ff_qmax=<number> (0..31, default: 31)

            Maximum quantizer scale

            ff_max_qdiff=<number> (0..31, default: 3)

            Maximum quantizer difference

            Maximum quantizer difference between frames

            ff_flag_qscale=[1|0] (default: 0)

            Use fixed quantizer

            Use fixed quality encoding

            ff_qscale=<number> (1..31, default: 10)

            Fixed quantizer

            Quantizer for fixed quality encoding. Lower means better, 1 is not recommended

            ff_qcompress=<number> (0.00..1.00, default: 0.50)

            Quantizer compression

            Amount of qscale change between easy & hard scenes

            ff_qblur=<number> (0.00..1.00, default: 0.00)

            Quantizer blur

            Amount of qscale smoothing over time

            ff_quantizer_noise_shaping=<number> (0..3, default: 0)

            Quantizer noise shaping

            Choose quantization such that noise will be masked by similar-frequency content in the image

            ff_trellis=[1|0] (default: 0)

            Use trellis quantization

            Use trellis quantization (improves quality)

            ff_i_quant_factor=<number> (-31.0..31.0, default: -0.8)

            I quantizer factor

            Quantizer factor between P-frames and I-frames. If > 0 then the last P frame quantizer will be used (q= lastp_q*factor+offset). If < 0 then normal ratecontrol will be done (q= -normal_q*factor+offset)

            ff_i_quant_offset=<number> (0.0..31.0, default: 0.0)

            I quantizer offset

            Quantizer offset between P-frames and I-frames

            ff_me_method=<string>

            Supported strings: Zero Phods Log X1 Epzs Full

            Default: Zero

            Motion estimation method

            ff_me_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME compare function

            Motion estimation compare function.SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME compare

            ff_me_range=<number> (0..1000, default: 0)

            Motion estimation range

            Motion estimation search range (0 means unlimited)

            ff_me_threshold=<number> (0..4000000, default: 0)

            ME Theshold

            Motion estimation threshold. under which no motion estimation is performed, but instead the user specified motion vectors are used

            ff_mb_decision=<string>

            Supported strings: Use compare function Fewest bits Rate distoration

            Default: Use compare function

            MB decision mode

            ff_dia_size=<number> (-9..9, default: 0)

            ME diamond size & shape

            Motion estimation diamond size. Negative means shape adaptive.

            ff_pre_me=<number> (0..2, default: 0)

            ME pre-pass

            Motion estimation pre-pass 0: disabled 1: only after I-frames 2: always

            ff_me_pre_cmp=<string>

            Supported strings: SAD SSE SATD DCT PSNR BIT RD ZERO VSAD VSSE NSSE

            Default: SAD

            ME pre-pass compare function

            Motion estimation pre-pass compare function. SAD: Sum of absolute differences SSE: Sum of squared errors SATD: Sum of absolute Hadamard transformed differences DCT: Sum of absolute DCT transformed differences PSNR: Sum of squared quantization errors (low quality) BIT: Number of bits needed for the block RD: Rate distortion optimal (slow) ZERO: 0 VSAD: Sum of absolute vertical differences VSSE: Sum of squared vertical differences NSSE: Noise preserving sum of squared differences

            ff_me_pre_cmp_chroma=[1|0] (default: 0)

            Enable chroma ME pre-pass compare

            ff_pre_dia_size=<number> (-9..9, default: 0)

            ME pre-pass diamond size & shape

            Motion estimation pre-pass diamond size. Negative means shape adaptive.

            ff_lumi_masking=<number> (0.00..1.00, default: 0.00)

            Luminance masking

            Encode very bright image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_dark_masking=<number> (0.00..1.00, default: 0.00)

            Darkness masking

            Encode very dark image parts with reduced quality. 0 means disabled, 0-0.3 is a sane range.

            ff_temporal_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Temporary complexity masking

            Encode very fast moving image parts with reduced quality. 0 means disabled.

            ff_spatial_cplx_masking=<number> (0.00..1.00, default: 0.00)

            Spatial complexity masking

            Encode very complex image parts with reduced quality. 0 means disabled, 0-0.5 is a sane range.

            ff_border_masking=<number> (0.00..1.00, default: 0.00)

            Border masking

            Encode image parts near the border with reduced quality. 0 means disabled

            ff_p_masking=<number> (0.00..1.00, default: 0.00)

            Inter block masking

            Encode inter blocks with reduced quality (increases the quality of intra blocks). 0 means disabled, 1 will double the bits allocated for intra blocks.

            ff_flag_normalize_aqp=[1|0] (default: 0)

            Normalize adaptive quantization

            When using masking, try to adjust the per macroblock quantizers to maintain the desired average

            ff_strict_std_compliance=<number> (-2..2, default: 0)

            Standards compliance

            2: Strictly conform to a older more strict version of the spec or reference software 1: Strictly conform to all the things in the spec no matter what consequences 0: Default -1: Allow inofficial extensions -2: Allow non standarized experimental things

            ff_noise_reduction=<number> (0..2000, default: 0)

            Noise reduction

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

            ff_flag_bitexact=[1|0] (default: 0)

            Use only bitexact stuff

            Use only bitexact stuff (except (i)dct)

        default_timescale=<number> (default: 25)

        Default timescale

        For formats, which support only constant framerates, set the default timescale here

        default_frame_duration=<number> (default: 1)

        Default frame duration

        For formats, which support only constant framerates, set the default frame duration here

    Suboptions for video_encoder=b_ogg

        server=<string> (Default: localhost)

        Server

        port=<number> (1..65535, default: 8000)

        Port

        mount=<string> (Default: /stream.ogg)

        Mount

        user=<string> (Default: source)

        User

        password=<string>

        Password

        name=<string> (Default: Test stream)

        Name

        description=<string> (Default: Brought to you by gmerlin)

        Description

        codec=option[{suboptions}]

        Supported options: vorbis speex

        Default: vorbis

        Codec

        Suboptions for codec=vorbis

            bitrate_mode=<string>

            Supported strings: vbr vbr_bitrate managed

            Default: VBR

            Bitrate mode

            Bitrate mode: VBR: You specify a quality and (optionally) a minimum and maximum bitrate VBR (bitrate): The specified nominal bitrate will be used for selecting the encoder mode. Managed: You specify a nominal bitrate and (optionally) a minimum and maximum bitrate VBR is recommended, managed bitrate might result in a worse quality

            nominal_bitrate=<number> (0..1000, default: 128)

            Nominal bitrate (kbps)

            Nominal bitrate (in kbps) for managed mode

            quality=<number> (0.0..10.0, default: 3.0)

            VBR Quality (10: best)

            Quality for VBR mode 10: best (largest output file) 0: worst (smallest output file)

            min_bitrate=<number> (0..1000, default: 0)

            Minimum bitrate (kbps)

            Optional minimum bitrate (in kbps) 0 = unspecified

            max_bitrate=<number> (0..1000, default: 0)

            Maximum bitrate (kbps)

            Optional maximum bitrate (in kbps) 0 = unspecified

        Suboptions for codec=speex

            mode=<string>

            Supported strings: auto nb wb uwb

            Default: auto

            Speex mode

            Encoding mode. If you select Auto, the mode will be taken from the samplerate.

            quality=<number> (0..10, default: 3)

            Quality (10: best)

            complexity=<number> (0..10, default: 3)

            Encoding complexity

            nframes=<number> (1..10, default: 1)

            Frames per Ogg packet

            bitrate=<number> (0..128, default: 8)

            Bitrate (kbps)

            Bitrate (in kbps). Set to 0 for seleting the standard bitrates for the encoding mode.

            vbr=[1|0] (default: 0)

            Variable bitrate

            abr_bitrate=<number> (0..128, default: 0)

            Average bitrate (kbps)

            Average bitrate (in kbps). Set to 0 for disabling ABR.

            vad=[1|0] (default: 0)

            Use voice activity detection

            dtx=[1|0] (default: 0)

            Enable file-based discontinuous transmission

        cbr=[1|0] (default: 0)

        Use constant bitrate

        For constant bitrate, choose a target bitrate. For variable bitrate, choose a nominal quality.

        target_bitrate=<number> (45..2000, default: 250)

        Target bitrate (kbps)

        quality=<number> (0..63, default: 10)

        Nominal quality

        Quality for VBR mode 63: best (largest output file) 0: worst (smallest output file)

        max_keyframe_interval=<number> (1..1000, default: 64)

        Maximum keyframe interval

        drop_frames=[1|0] (default: 1)

        Enable frame dropping

        Drop frames to keep within bitrate buffer constraints. This can have a severe impact on quality, but is the only way to ensure that bitrate targets are met at low rates during sudden bursts of activity.

        cap_overflow=[1|0] (default: 1)

        Don't bank excess bits for later use

        Ignore bitrate buffer overflows. If the encoder uses so few bits that the reservoir of available bits overflows, ignore the excess. The encoder will not try to use these extra bits in future frames. At high rates this may cause the result to be undersized, but allows a client to play the stream using a finite buffer; it should normally be enabled.

        cap_underflow=[1|0] (default: 0)

        Don't try to make up shortfalls later

        Ignore bitrate buffer underflows. If the encoder uses so many bits that the reservoir of available bits underflows, ignore the deficit. The encoder will not try to make up these extra bits in future frames. At low rates this may cause the result to be oversized; it should normally be disabled.

        speed=<number> (0.00..1.00, default: 0.00)

        Encoding speed

        Higher speed levels favor quicker encoding over better quality per bit. Depending on the encoding mode, and the internal algorithms used, quality may actually improve, but in this case bitrate will also likely increase. In any case, overall rate/distortion performance will probably decrease.

        default_timescale=<number> (default: 25)

        Default timescale

        For formats, which support only constant framerates, set the default timescale here

        default_frame_duration=<number> (default: 1)

        Default frame duration

        For formats, which support only constant framerates, set the default frame duration here

-o <output_options>
    Set output options
    output_directory=<string> (Default: .)

    Output directory

    output_filename_mask=<string> (Default: %Y-%m-%d-%H-%M-%S)

    Output filename mask

    Extension is appended by the plugin For the date and time formatting, consult the documentation of the strftime(3) function

    snapshot_directory=<string> (Default: .)

    Snapshot directory

    snapshot_filename_mask=<string> (Default: shot_%5n)

    Snapshot filename mask

    Extension is appended by the plugin %t Inserts time %d Inserts date %<i>n Inserts Frame number with <i> digits

-r
    Record to file
-syslog <name>
    Set log messages to syslog

GENERIC OPTIONS
The following generic options are available for all gmerlin applications -help
    Print this help message and exit
-help-man
    Print this help message as a manual page and exit
-help-texi
    Print this help message in texinfo format and exit
-version
    Print version info and exit

FILES
~/.gmerlin/plugins.xml
    Cache of the plugin registry (shared by all applicatons)

~/.gmerlin/generic/config.xml
    Default plugin parameters are read from there. Use gmerlin_plugincfg to change them.